Online-Hilfe für SAP GUI

1 Nach der Installation von SAP GUI

1.1 Symbole für SAP GUI

Wenn Sie SAP GUI installiert haben, erscheinen ein oder mehrere Symbole für SAP-Logon-Pad und/oder SAP Logon auf Ihrem Desktop.

SAP Logon

SAP-Logon-Pad

Der Systemsteuerung von Microsoft Windows wird ein neuer Eintrag SAP-Konfiguration hinzugefügt.

1.2 Startmenü: Eintrag für SAP GUI

Im Microsoft Windows-Menü Starten -> Alle Programme erscheint ein neuer Knoten: SAP Frontend.

1.3 Benutzerspezifische automatische Aktualisierung

Wenn SAP GUI von einem Installationsserver aus installiert wurde, kann jeder Benutzer eine automatische Aktualisierung des lokalen SAP GUI von diesem Installationsserver aus aktivieren. Sie können eine Prüfung für Aktualisierungen durchführen, wenn Sie SAP Logon (oder SAP-Logon-Pad) durch einen Doppelklick auf das entsprechende Symbol starten.
Sie können die Netzwerklast reduzieren, indem Sie die Häufigkeit dieser automatischen Aktualisierungsprüfung einschränken, damit sie nicht bei jedem Start von SAP GUI durchgeführt wird.

Um die automatische Aktualisierung zu konfigurieren, gehen Sie wie folgt vor:

  • Öffnen Sie durch einen rechten Mausklick auf das Symbol SAP Logon (oder SAP-Logon-Pad) das Kontextmenü.
  • Wählen Sie Configure Auto Update.

Sie gelangen auf das folgende Dialogfenster:

Sie verwenden das Ankreuzfeld Enable update check für das Aktivieren oder Deaktivieren der automatischen Aktualisierung.
Sie können außerdem nach Ihren Wünschen die Anzahl der Doppelklicks auf das Symbol SAP Logon (SAP-Logon-Pad) konfigurieren, die für die Durchführung einer Prüfung auf verfügbare Aktualisierungen auf dem Installationsserver erforderlich ist.
Standardmäßig ist die automatische Aktualisierung

  • eingeschaltet, wenn die Installation von SAP GUI von einem Installationsserver aus ausgeführt wurde. Der Standardwert für die Anzahl der Doppelklicks auf das Symbol SAP Logon (SAP-Logon-Pad), die erforderlich ist, damit eine Prüfung auf Aktualisierung durchgeführt wird, ist auf 5 gesetzt.
  • ausgeschaltet, wenn SAP GUI von einer CD/DVD aus installiert wurde.

Um die Änderung(en) zu aktivieren, wählen Sie die Taste OK.

Falls eine aktualisierte Version von SAP GUI auf dem Installationsserver verfügbar ist, wird SAPSetup für die Aktualisierung vom lokalen SAP GUI ausgeführt, bevor SAP Logon gestartet wird.

2 SAP GUI für das Anmelden an SAP-Systeme verwenden

2.1. Anmelden und Abmelden an einem SAP-System

Wenn Sie sich zum ersten Mal anmelden, erhalten Sie von Ihrem Systemadministrator ein Initialkennwort. Beim Anmeldeprozess sollten Sie ein neues, nur Ihnen bekanntes Kennwort anlegen. Dieses Kennwort benutzen Sie anschließend bei jeder Anmeldung. (Die Vorgehensweisen können sich je nach Unternehmen unterscheiden. Wenn Sie Fragen haben, wenden Sie sich an Ihren Systemadministrator.)

2.1.1 Anmelden

Nach dem Starten eines SAP-Systems gelangen Sie auf das Anmeldebild.

Die erste Anmeldung an das SAP-System:

  1. Geben Sie die Nummer des Mandanten in das Feld Mandant ein.
    2. Wenn eine standardmäßige Mandantennummer im Feld steht, können Sie sie beibehalten oder ändern.
  2. Geben Sie Ihre Benutzer-ID in das Feld Benutzer ein.
  3. Geben Sie das vom Systemadministrator zugewiesene Initialkennwort in das Feld Kennwort ein.
    4. Bei der Eingabe des Initialkennworts bleiben die Sterne im Feld unverändert stehen, nur der Cursor bewegt sich. Aus Sicherheitsgründen zeigt das System nicht an, welche Eingabe Sie vornehmen.
  4. Wechseln Sie in das Feld Sprache. Sie können die Sprache für die angezeigten Bildschirme, Menüs und Felder ändern.

    5. Hinweis:
    Wenn Sie nach der Eingabe von Daten in ein Feld die Tabulatortaste betätigen, springt der Cursor an den Anfang des nächsten Feldes.

  5. Wählen Sie Weiter.
  6. Sie gelangen automatisch auf ein Dialogfenster mit der Abfrage des neuen Kennworts und der Aufforderung, das Initialkennwort zu ändern.

    7. Wenn das Dialogfenster für das neue Kennwort nicht erscheint, prüfen Sie, ob auf der Statusleiste eine Systemmeldung angezeigt wird. Möglicherweise ist die Angabe der Mandantennummer, des Kennworts, der Benutzer-ID oder des Sprachenschlüssels nicht korrekt. Wenn dies der Fall ist, wiederholen Sie die Schritte 1 bis 5.
  7. Geben Sie ein neues Kennwort ein und wiederholen Sie die Eingabe im Feld darunter.
  8. Wählen Sie [image] (oder betätigen Sie die Eingabetaste). Wenn Sie Ihr Kennwort erfolgreich geändert haben, erscheint das Copyright-Hinweisfenster.
  9. Wählen Sie im Copyright-Dialogfenster Weiter.
    10. Für Nachrichten, die das gesamte System betreffen, erscheint ein Dialogfenster. Nach dem Lesen der Nachricht wählen Sie Weiter, um das Dialogfenster zu schließen.

2.1.2 Abmelden

Sie können sich in jedem beliebigen Bild vom SAP-System abmelden.

  • Wählen Sie in der Menüleiste System -> Abmelden.
  • Sie können auch das rechte Symbol im oberen rechten Bildschirmbereich anklicken (wenn Sie nur einen Modus geöffnet haben).

Sie gelangen auf das Dialogfenster Abmelden.

Wenn Sie sich nicht sicher sind, ob alle Daten gesichert sind und sich deswegen doch nicht abmelden wollen, wählen Sie Nein. Sie kehren dann zu dem Bild zurück, in dem Sie gerade gearbeitet haben.
Wenn Sie jedoch sicher sind, alle Daten gesichert zu haben, wählen Sie Ja. Alle SAP-System-Modi werden geschlossen. Sie haben sich erfolgreich abgemeldet.

2.2 SAP Logon verwenden

Hinweis:
Wenn Sie eine SAP-Verknüpfung für die Anmeldung an ein System verwenden wollen, lesen Sie Abschnitt
  • SAP-Verknüpfung
Wenn Sie nur SAP-Logon-Pad installiert haben, finden Sie Informationen über die Anmeldung an das SAP-System im Abschnitt
  • SAP-Logon-Pad

2.2.1 SAP Logon starten

SAP Logon können Sie folgendermaßen starten:

  • Doppelklicken Sie auf das Symbol von SAP Logon auf Ihrem Desktop.
  • Rufen Sie SAP Logon über das Microsoft Windows-Menü auf: Starten -> Alle Programme -> SAP Frontend -> SAP Logon.

Nach dem Starten von SAP Logon erscheint das SAP-Logon-Hauptfenster (siehe unten). Das SAP-Logon-Symbol erscheint sowohl in der Symbolleiste (zusammen mit einem Titel wie z.B. SAP Logon 730) als auch im System-Tray (im rechten unteren Bereich vom Desktop).

2.2.1.1 SAP-Logon-Hauptfenster

Nach dem Starten von SAP Logon erscheint das Hauptfenster von SAP Logon:

Das SAP-Logon-Hauptfenster wird über die Explorer-Ansicht angezeigt, die standardmäßig gewählt wird:

Die Explorer-Ansicht enthält standardmäßig drei Ordner:

  • Favoriten
  • Verknüpfungen
  • Verbindungen

In diesen drei Hauptordnern können Sie Ihre eigene Ordnerstruktur anlegen und sie Ihren Arbeitsprioritäten anpassen:

  1. Wählen Sie den gewünschten Ordner.
  2. Öffnen Sie mit der rechten Maustaste das Kontextmenü.
  3. Wählen Sie Neues Unterverzeichnis hinzufügen.
    Sie gelangen auf das folgende Dialogfenster:

  4. Geben Sie einen Namen für das neue Unterverzeichnis ein und wählen Sie OK.

2.2.1.2 Hauptfenster - Listenansicht

Sie können die Ansicht des SAP-Logon-Hauptfensters durch die Auswahl der folgenden Tasten für die Listenansicht ändern:

Weitere Informationen über die Verwendung des Kontextmenüs der Systemeinträge finden Sie unter 2.2.2.4 Kontextmenü der Systemeinträge.

2.2.1.3 Hauptfenster - Baumansicht

Sie können die Ansicht des SAP-Logon-Hauptfensters durch die Auswahl der folgenden Tasten für die Baumansicht ändern:

Weitere Informationen über die Verwendung des Kontextmenüs der Systemeinträge finden Sie unter 2.2.2.4 Kontextmenü der Systemeinträge.

Finden Sie selbst heraus, welche der Ansichten Ihre Anforderungen am besten erfüllt.

2.2.2 Der Ordner Verbindungen

Wenn Sie den Ordner Verbindungen zum ersten Mal aufrufen, könnte er leer sein. Wenn Ihr Systemadministrator bereits Einträge angelegt hat, können Sie sich sofort anmelden. Zentral auf einem Server definierte Eintrage werden nur zum Lesen angezeigt. Detaillierte Informationen über die Server-Konfigurationsdatei finden Sie im SAP-Hinweis 1426178.
Sie können den Inhalt des Ordners Verbindungen in SAP Logon (nicht in SAP-Logon-Pad) ändern, indem Sie:

  • dem Ordner Verbindungen oder einem seiner Unterverzeichnisse neue Verbindungen hinzufügen.
    (Weitere Informationen finden Sie im Abschnitt 2.2.2.1 Neue Einträge hinzufügen.)

  • Einträge des Ordners Verbindungen ändern (nur wenn sie nicht als deaktiviert angezeigt werden - weitere Informationen: 2.2.2.2 Einträge ändern).

  • Einträge des Ordners Verbindungen löschen (nur wenn sie nicht als deaktiviert angezeigt werden - weitere Informationen: 2.2.2.3 Einträge löschen).

Sie können auch das Kontextmenü der Einträge des Ordners verwenden, das sowohl in SAP Logon als auch in SAP-Logon-Pad verfügbar ist, um

  • festzulegen, wie die Einträge angezeigt werden.
    (Weitere Informationen finden Sie in den Abschnitten 2.2.2.4 Kontextmenü der Systemeinträge und 2.2.7 Einträge in jedem Ordner anzeigen.)

  • sich an ein SAP-System anzumelden oder den Status der SAP-Systeme anzuzeigen.
    (Weitere Informationen: 2.2.2.4 Kontextmenü der Systemeinträge.)

2.2.2.1 Neue Einträge dem Ordner Verbindungen hinzufügen

So fügen Sie der Systemliste einen neuen Eintrag hinzu:

Wählen Sie die Taste [image] oder wählen Sie Neuen Eintrag hinzufügen aus dem Kontextmenü des Ordners.
Standardmäßig ist der erste Eintrag in der Liste Benutzerspezifisches System markiert.
Alle unterhalb der Option Benutzerspezifisches System aufgelisteten Systeme wurden von Ihrem Systemadministrator konfiguriert und sind für die Auswahl verfügbar.

Hinweis:
Fahren Sie nur mit dem Abschnitt Benutzerspezifisches System fort, wenn Sie das erforderliche System nicht in der Liste finden.

System aus der Liste wählen

  1. Wählen Sie eines der in der Systemliste angezeigten Systeme.
    Sie können dafür die System-ID manuell eingeben oder den Systemnamen in der Liste wählen. Blättern Sie gegebenenfalls in der Systemliste.

    Sie können die Systemliste zunächst auch filtern und anschließend ein System wählen.
    Positionieren Sie den Fokus auf das Feld Suche nach über der Systemliste und geben Sie die gesuchte Zeichenfolge ein. Der Suchmechanismus startet sofort einen Browser-Prozess über alle System-IDs und Beschreibungseinträge.
    Es können folgende Operatoren in einem Suchbegriff verwendet werden:

    • AND-Verknüpfung:
      Für diese Art der Verknüpfung von Suchbegriffen setzen Sie ein Pluszeichen '+' direkt vor den zu verknüpfenden Suchbegriff.
      Beispiel: Basis +Entwicklung
    • OR-Verknüpfung:
      Dies ist der Vorgabewert.
      Diese Verknüpfung wird verwendet, wenn sich ein Leerzeichen oder ein '|' direkt vor dem zu verknüpfenden Suchbegriff befindet.
      Beispiele: 4.6D 46D, 4.6D |46D
    • NOT-Operator:
      Um eine bestimmte Bedingung für die Suche auszuschließen, setzen Sie ein Minuszeichen '-' direkt vor den entsprechenden Suchbegriff.
      Beispiel: 46D -Support
    • Exakte Begriffsuche:
      Verwenden Sie diese Suche für komplette Zeichenfolgen, die Leerzeichen oder andere Steuerzeichen enthalten.
      Beispiel: "Support Package"

    Beachten Sie, dass Verknüpfungen und Operatoren, die vor dem ersten Suchbegriff stehen, bei einer exakten Begriffsuche ignoriert werden, mit Ausnahme von ".
    Die Suche kann auch System-IDs enthalten.

    Die Suche startet automatisch und listet alle aufgelisteten Einträge auf, die der Eingabe entsprechen:

    Hinweis:
    Falls die Suche fehlschlägt, erscheint die folgende Meldung:

    Sie können fortfahren, wenn Sie einen der gefilterten Einträge in der Liste wählen oder Sie können eine neue Suche starten, indem Sie Filter zurücksetzen wählen und eine neue Zeichenfolge eingeben. (Wenn Sie Filter zurücksetzen wählen, werden erneut alle Systeme in der Liste angezeigt.)

    Das letzte Eintragsfeld SAProuter erlaubt es Ihnen, einen bestimmten SAProuter für die neue Systemverbindung zu konfigurieren. Dieses Feld ist standardmäßig leer, weil viele Systeme keine bestimmte SAProuter-Verbindung benötigen. In manchen Fällen enthält das Feld einen SAProuter, der als Standard-SAProuter für Ihre lokale Installation konfiguriert ist. Wenn Sie einen bestimmten SAProuter benötigen oder die lokale Standardkonfiguration ändern müssen, wählen Sie den entsprechenden Eintrag aus der SAProuter-Dropdown-Liste.

    2. Wählen Sie Weiter.

  2. Es kann eine Weile dauern, bis die Verbindung zum Message-Server hergestellt ist und die Liste mit Gruppen/Server aufgerufen wird.
    Sie können den maximalen Wert für die Zeitüberschreitung festlegen, den Timeout des Message-Servers in Sekunden. Rufen Sie dafür die SAP-Logon-Optionen auf (weitere Informationen: 6.9.1 SAP-Logon-Optionen - Allgemein).
    Wenn Gruppen und Server verfügbar sind, werden sie aufgelistet. Wählen Sie die Gruppe oder den Server, mit der bzw. dem eine Verbindung hergestellt werden soll.

    Hinweis:
    Wenn die Suche nach Gruppen/Server erfolglos ist, erscheint die folgende Fehlermeldung in der Liste:

    Ein spezieller Port für den Message-Server kann bei Bedarf hinzugefügt werden, siehe hierzu SAP Hinweis 1685221.
    Ändern Sie, falls notwendig, die Eingabe und wählen Sie Weiter (oder lesen Sie den Hinweiskasten am Ende von Schritt 6).

  3. Auf dem folgenden Bildschirm können Sie den Verbindungstyp pflegen:

    Überprüfen Sie alle Einträge, ändern Sie sie, falls erforderlich, und wählen Sie Weiter.

  4. Auf diesem Bildschirm können Sie die Netzwerkeinstellungen pflegen:

    Secure Network Communication aktivieren:
    Dieses Ankreuzfeld ist aktiviert, wenn der SNC-Name im SAP-System, zu dem Sie eine Verbindung herstellen, definiert ist.
    Sie können das Kennzeichen für dieses Ankreuzfeld setzen, um den SNC-Modus einzuschalten und die erforderliche SNC-Stufe zu bestimmen, indem Sie unter dem Eingabefeld SNC-Name einen der Auswahlknöpfe wählen.

    Die verschiedenen Sicherheitsstufen von SNC
    Authentifizierung Wenn Sie nur die Authentifizierung verwenden, verifiziert das System die Identität der Kommunikationspartner.
    Dies ist der Mindestschutzgrad, den SNC anbietet.
    Integrität | Wenn Sie Schutz der Integrität verwenden, ermittelt das System zusätzlich alle Änderungen oder ggf. eine Manipulation der Daten, die zwischen den beiden Endpunkten einer Kommunikation aufgetreten sein könnten.
    Verschlüsselung | Wenn Sie Verschlüsselung verwenden, verschlüsselt das System die übertragenen Nachrichten, wodurch ein Abhören nutzlos wird. Der Schutz der Vertraulichkeit beinhaltet auch den Schutz der Integrität der Daten. Hierbei handelt es sich um den höchsten SNC-Sicherheitsgrad.
    Höchste verfügbare Sicherheitsstufe Für Ihre Verbindung wird automatisch die höchste Sicherheitsstufe gewählt, die das von Ihnen verwendete Sicherheitsprodukt anbietet.
    Hinweis:
    Wenn Sie die Option Höchste verfügbare Sicherheitseinstellung auswählen, wird die Sicherheitsstufe durch das verwendete Sicherheitsprodukt festgelegt. Eine sichere Authentifizierung ist dabei in jedem Fall gegeben. Verschlüsselungs- oder Integritätsschutz der Anwendungsdaten werden genutzt, falls das verwendete Sicherheitsprodukt diese Funktionen anbietet.

    In der Voreinstellung wird mit dem SNC-Modus auch die Single-Sign-On-Anmeldung aktiviert. Sie haben aber die Möglichkeit, die Single-Sign-On-Anmeldung im SNC-Modus zu deaktivieren und stattdessen eine Anmeldung mit Benutzer- und Kennworteingabe zu verwenden.
    Sie finden weitere Informationen im Handbuch zu Secure Network Communication auf dem Service Market Place unter /security -> Security in Detail -> Infrastructure Security -> SNC User's Guide.

    Schnelle Verbindung (LAN):
    Dieses Ankreuzfeld ist standardmäßig markiert.

    Langsame Verbindung (reduzierter Netzwerkverkehr):
    Sie können das Kennzeichen für dieses Ankreuzfeld setzen, um den langsamen Verbindungs-Modus (WAN-Modus) zu aktivieren.
    Weitere Informationen über die Netzwerkeinstellungen finden Sie im SAP-Hinweis 161053.

    Überprüfen Sie alle Einträge, ändern Sie sie, falls erforderlich, und wählen Sie Weiter.

  5. Der letzte Bildschirm bietet Ihnen die Möglichkeit, die Sprache und die Codierungseinstellungen zu pflegen:

    Spracheinstellungen:
    Wählen Sie die gewünschte Sprache aus der Dropdown-Liste Sprache.

    Upload-/Download-Codierung:
    Wählen Sie die gewünschte Codierung aus der Dropdown-Liste Codierung.
    Weitere Informationen zur Upload-/Download-Codierung finden Sie im SAP-Hinweis 765763.

    Überprüfen Sie alle Einträge, ändern Sie sie, falls erforderlich, und wählen Sie Fertig stellen.

  6. Das aktive Assistenten-Fenster wird geschlossen und dem Ordner Verbindungen wird der neue Systemeintrag hinzugefügt.

    Hinweis:
    Sie können die Schritte 3, 4 und 5 überspringen, indem Sie Fertig stellen wählen, nachdem Sie die Einstellung Gruppen/Server unter Schritt 2 vorgenommen haben. In diesem Fall werden alle weiteren vordefinierten Einstellungen beibehalten, der Assistent wird sofort geschlossen und die neue Verbindung zum Ordner Verbindungen hinzugefügt.

Benutzerspezifisches System

  1. Wenn das von Ihnen gewünschte System nicht aufgelistet wird, markieren Sie Benutzerspezifisches System:

    Wenn das erforderliche System eine SAProuter-Verbindung benötigt, wählen Sie den entsprechenden Router aus der Dropdown-Liste:

    Andernfalls können Sie das Feld leer lassen und Weiter wählen.

  2. Sie gelangen auf das Dialogfenster für die Konfiguration eines Benutzerspezifischen Anwendungsservers.

    Geben Sie die folgenden erforderlichen Daten ein.
    Beschreibung | Eine kurze Beschreibung des Systemeintrags. Lassen Sie das Feld Beschreibung leer, wenn Sie eine vorgeschlagene Beschreibung übernehmen wollen.
    Anwendungsserver Der Name des Host-Rechners, zu dem eine Verbindung hergestellt werden soll.
    Instanznummer (vormals Systemnummer)
    Geben Sie die Instanznummer (z.B. 00) des SAP-Systems an, zu dem eine Verbindung hergestellt werden soll.
    System-ID | Geben Sie die System-ID des SAP-Systems an, zu dem eine Verbindung hergestellt werden soll.

    Geben Sie die folgenden optionalen Daten ein.
    SAProuter-String: Ein SAProuter-String, wenn er erforderlich ist.
    (Weitere Informationen: Route Strings.)

    Je nach Informationen, die Sie über das von Ihnen gewünschte System haben, können Sie auch das Bild Gruppen-/Serverselektion für die Definition der Verbindung verwenden. Ändern Sie dafür die Dropdown-Listenauswahl des Felds Verbindungstyp.

    Geben Sie folgende Daten ein:
    Beschreibung | Geben Sie bei Bedarf eine Kurzbeschreibung ein.
    Message-Server | Geben Sie den Namen des Message-Servers oder seine IP-Adresse ein. SAP Logon versucht nun, eine Verbindung zu diesem Server herzustellen, um die verfügbare Gruppen-/Serverselektion zu laden.
    Gruppe/Server | Wenn SAP Logon den angegebenen Message-Server erreichen konnte, können Sie den entsprechenden Eintrag für Gruppe/Server wählen.

  3. Sie haben nun die folgenden Möglichkeiten:
    • Entweder wählen Sie Weiter, wenn Sie die Einstellungen für das Netzwerk und die Codepage überprüfen und möglicherweise ändern wollen.
    • Oder Sie beenden den Prozess, indem Sie Fertig stellen wählen. Die letzten beiden Dialogfenster werden daraufhin übersprungen und ihre Standardeinstellungen übernommen.
  4. Die neue Verbindung wird nun in der Liste des Ordners Verbindungen aufgenommen.

2.2.2.2 Einträge ändern

Hinweis:
Einträge können nur geändert werden, wenn sie nicht als deaktiviert angezeigt werden. Deaktiviert bedeutet, sie können zwar zur Anmeldung verwendet, ihre Eigenschaften aber nicht geändert werden. Die Deaktivierung kann folgendermaßen konfiguriert werden:
  • Zentral, für einzelne Systeme von Ihrem Systemadministrator.
  • Von jedem Benutzer über das Dialogfeld SAP-Logon-Optionen. Weitere Informationen: 6.9.1 SAP-Logon-Optionen - Allgemein

Sie können einen Eintrag ändern, indem Sie ihn in der Systemliste markieren und die Taste [image] in der Symbolleiste wählen. Sie können auch mit der rechten Maustaste das Kontextmenü des Eintrags öffnen und die Option Eigenschaften... wählen.

Es erscheint ein Dialogfenster mit dem Titel Eigenschaften für Systemeintrag. Dieser Dialog hat drei Register.

  1. Das Register Verbindung:

    Wenn der Eintrag über den Verbindungstyp Gruppen-/Serverselektion angelegt wurde, enthält das Dialogfenster die folgenden Elemente:

    Ändern Sie bei Bedarf die Daten für Parameter Systemverbindung.

    Wenn der Eintrag über den Verbindungstyp Benutzerspezifischer Anwendungsserver angelegt wurde, enthält das Dialogfenster andere Elemente:

    Ändern Sie bei Bedarf die Daten für Parameter Systemverbindung (weitere Informationen: Benutzerspezifischer Anwendungsserver).

  2. Das Register Netzwerk:

    Weitere Informationen: Netzwerkeinstellungen

  3. Das Register Codepage:

    Weitere Informationen: Einstellungen für Sprache und Codierung

  4. Sichern Sie die neuen Einstellungen.

    Bestätigen Sie mit der Drucktaste OK. Die geänderten Einstellungen sind jetzt gesichert.

2.2.2.3 Einträge löschen

Hinweis:
Einträge können nur gelöscht werden, wenn sie nicht als deaktiviert angezeigt werden. Deaktiviert bedeutet, sie können zwar zur Anmeldung verwendet, ihre Eigenschaften aber nicht geändert werden. Die Deaktivierung kann folgendermaßen konfiguriert werden:
  • Zentral, für einzelne Systeme von Ihrem Systemadministrator.
  • Von jedem Benutzer über das Dialogfeld SAP-Logon-Optionen. Weitere Informationen: 6.9.1 SAP-Logon-Optionen - Allgemein

  1. Markieren Sie den entsprechenden Eintrag im Ordner Verbindungen.
  2. Wählen Sie [image] in der Symbolleiste.
  3. Bestätigen Sie die Löschung mit Ja auf dem folgenden Dialogfenster:

    Wenn Sie das Kennzeichen des Ankreuzfelds für Bestätigung der Löschung des Listenfeldeintrags entfernen (weitere Informationen: 6.9.1 SAP-Logon-Optionen - Allgemein), wird der Bestätigungsdialog nicht mehr angezeigt.

2.2.2.4 Kontextmenü der Systemeinträge

Wenn Sie einen Systemeintrag markieren, können Sie sein Kontextmenü mit einem rechten Mausklick, der Kontextmenütaste oder der Tastenkombination Umschalttaste + F10 öffnen.

Das Kontextmenü der Systemeinträge in SAP Logon enthält die Optionen Anmelden, Löschen, Systemstatus.... (Erforderliche Voraussetzungen finden Sie unter 2.2.12 SAP-Systemstatus anzeigen), Ansicht und Eigenschaften...:

Wählen Sie

  • für Systemeinträge ohne aktiviertem SNC-Modus:
    Anmelden, um sich an dem gewählten SAP-System anzumelden.
  • für Systemeinträge mit aktiviertem SNC-Modus:
    SNC-Logon mit Single Sign-On, um sich über das Single Sign-On-Verfahren an dem gewählten SAP-System anzumelden.
    SNC-Logon ohne Single Sign-On, um sich mit Hilfe von Benutzer und Kennwort an dem gewählten SAP-System anzumelden.
  • Löschen, um den gewählten Eintrag zu löschen.
  • Systemstatus..., um eine Web-Seite mit Informationen über den Status Ihres SAP-Systems zu öffnen (vorausgesetzt, sie ist gepflegt).
  • Ansicht und eine der untergeordneten Menüoptionen, um Ihre Systemeinträge in unterschiedlichen Darstellungsmodi anzuzeigen.
  • Eigenschaften..., um die Definition des gewählten Eintrags zu ändern.

Hinweis:
In SAP-Logon-Pad enthält das Kontextmenü des Systemeinträge lediglich die Optionen Anmelden, Systemstatus... und Ansicht (weitere Informationen: 2.4 SAP-Logon-Pad).

2.2.2.5 Inhalt des Ordners Verbindungen mithilfe von Unterverzeichnissen strukturieren

Eine Strukturierung der Einträge im Ordner Verbindungen kann erforderlich sein, wenn die Anzahl der Einträge sehr hoch ist. Deswegen ist das Hinzufügen neuer Unterverzeichnisse möglich.

So fügen Sie dem Ordner Verbindungen neue Einträge hinzu:

  1. Öffnen Sie das Kontextmenü mit der rechten Maustaste.
  2. Wählen Sie Neues Unterverzeichnis hinzufügen
  3. Geben Sie einen Namen für das neue Unterverzeichnis ein.
  4. Bestätigen Sie den Dialog.

Das neue Unterverzeichnis wird nun auf dem Einstiegsbild von SAP Logon angezeigt.

Sie können

  • Einträge durch Drag&Drop aus dem Ordner Verbindungen in sein neues Unterverzeichnis einfügen.
  • das neue Unterverzeichnis in dem Einstiegsbild von SAP Logon markieren und neue Verbindungseinträge anlegen, entsprechend der Beschreibung in Abschnitt 2.2.2.1 Neue Einträge dem Ordner Verbindungen hinzufügen.

2.2.3 Der Ordner Verknüpfungen

Verknüpfungen ermöglichen es Ihnen, SAP-Transaktionen zu starten, Reports auszuführen oder Systembefehle direkt nach dem Anmelden an ein bestimmtes System auszuführen.

Wenn Sie den Ordner Verbindungen zum ersten Mal aufrufen, könnte er leer sein. Wenn Ihr Systemadministrator bereits Einträge angelegt hat, können Sie sich sofort anmelden. Zentral auf einem Servier definierte Eintrage werden nur zum Lesen angezeigt. Detaillierte Informationen über die Server-Konfigurationsdatei finden Sie im SAP-Hinweis 1426178.

Sie können SAP-Verknüpfungen nicht nur von Ihrem Desktop aus anlegen und/oder bearbeiten (weitere Informationen: SAP-Verknüpfung vom Desktop aus anlegen) oder von einem beliebigen Bildschirm in dem SAP-System aus anlegen (weitere Informationen: SAP-Verknüpfung von einem beliebigen Bild im SAP-System aus anlegen), sondern auch vom Ordner Verknüpfungen in SAP Logon aus anlegen.

Sie können den Inhalt des Ordners Verknüpfungen in SAP Logon (aber nicht in SAP-Logon-Pad) auf folgende Weise ändern:

  • Sie fügen dem Ordner Verknüpfungen neue Einträge hinzu, indem Sie [image] wählen
    (weitere Informationen: 2.2.3.1 Neue Einträge hinzufügen),

  • Sie ändern die Liste der SAP-Verknüpfungen, indem Sie [image] wählen
    (weitere Informationen: 2.2.3.2 Einträge ändern),

  • Sie löschen den markierten Eintrag einer SAP-Verknüpfung, indem Sie [image] wählen
    (weitere Informationen: 2.2.3.3 Einträge löschen).

Sie können auch das Kontextmenü der SAP-Verknüpfung für diese Aktionen verwenden. Dort steht Ihnen eine weitere Option zur Verfügung:

  • Sie können Ihre SAP-Verknüpfungseinträge in unterschiedlichen Darstellungen anzeigen, indem Sie im Kontextmenü Ansicht und anschließend einen der untergeordneten Einträge wählen
    (weitere Informationen: 2.2.3.4 Kontextmenü der SAP-Verknüpfungseinträge und 2.2.7 Einträge in jedem Ordner anzeigen).

2.2.3.1 Neue Einträge dem Ordner Verknüpfungen hinzufügen

Hinweis:
Sie können eine Verknüpfung zu einem bestimmten System nur anlegen, wenn Sie zuvor die entsprechende Verbindung im Ordner Verbindungen angelegt haben (weitere Informationen: 2.2.2.1 Neue Einträge dem Ordner Verbindungen hinzufügen).

  1. Wählen Sie den Ordner Verknüpfungen.
  2. Wenn bereits SAP-Verknüpfungen auf Ihrem Desktop vorhanden sind (oder in einem Ordner Ihres Dateisystems), können Sie jede von ihnen dem Ordner Verknüpfungen durch Drag&Drop des Verknüpfungs-Symbols in das SAP-Logon-Fenster hinzufügen.
  3. Sie können einen neuen Eintrag anlegen, indem Sie Neu in der Symbolleiste des SAP-Logon-Fensters wählen oder das Kontextmenü des Ordners Verknüpfungen öffnen und Neuen Eintrag hinzufügen wählen.
    Sie gelangen auf ein Dialogfenster mit dem Titel Neue SAP-Verknüpfung anlegen.

    Nach Eingabe der erforderlichen Daten (siehe dazu die Beschreibung zu Register Allgemein unter 2.3.1 SAP-Verknüpfung anlegen) sind die Schaltflächen Weiter und Fertig stellen aktiviert.

    Wählen Sie Fertig stellen, wenn Sie die Standardoptionen für Trace-Stufe, Fenstergröße und Arbeitsverzeichnis verwenden wollen.
    Andernfalls wählen Sie die Schaltfläche Weiter. Sie gelangen auf das folgende Dialogfenster.

  4. Ändern Sie die Optionen nach Bedarf:
    • Wählen Sie die entsprechende Trace-Stufe mithilfe der Dropdown-Liste.
    • Sie können die Fenstergröße beim Starten der Transaktion im Feld Fenstergröße angeben.
    • Nehmen Sie, falls notwendig, Änderungen im Feld Arbeitsverzeichnis vor.
    • Deaktivieren Sie bei Bedarf Verbindungen beim Starten von SAP-Verknüpfungen wiederverwenden.
      Wenn dieses Ankreuzfeld deaktiviert ist, wird jedesmal, wenn Sie eine SAP-Verknüpfung für das Anmelden an ein SAP-System verwenden, eine neue Verbindung hergestellt, unabhängig davon, ob bereits andere Verbindungen zu diesem System existieren.
  5. Die neu angelegte Verknüpfung erscheint in der Verknüpfungsliste.
  6. Sie können auch über Drag&Drop einen beliebigen Eintrag in der Verknüpfungsliste auf das Desktop ziehen.

2.2.3.2 Einträge ändern

  1. Markieren Sie die entsprechende Verknüpfung im Ordner Verknüpfungen.
  2. Wählen Sie Bearbeiten in der Symbolleiste.

    Es erscheint ein Dialogfenster mit dem Titel Eigenschaften der SAP-Verknüpfung.

  3. Geben Sie die erforderlichen Änderungen in die Eingabefelder der beiden Register ein.
    Weitere Informationen: 2.2.3.1 Neue Einträge dem Ordner Verknüpfungen hinzufügen

  4. Falls erforderlich korrigieren Sie die Einstellungen auf der Registerkarte Optionen:

  5. Bestätigen Sie mit OK.

2.2.3.3 Einträge löschen

  1. Markieren Sie den gewünschten Eintrag in der Verknüpfungsliste.

  2. Wählen Sie [image] und bestätigen Sie die Löschung, indem Sie Ja auf dem darauf folgenden Bestätigungsdialog wählen.

    Wenn Sie das Kennzeichen des Ankreuzfelds für "Bestätigung der Löschung des Listenfeldeintrags" entfernen ( weitere Informationen: 6.9.1 SAP-Logon-Optionen - Allgemein), wird der Bestätigungsdialog nicht mehr angezeigt.

2.2.3.4 Kontextmenü der Systemeinträge

Wenn Sie einen SAP-Verknüpfungseintrag markieren, können Sie sein Kontextmenü mit einem rechten Mausklick, der Kontextmenütaste oder der Tastenkombination Umschalttaste + F10 öffnen.

In SAP Logon enthält das Kontextmenü der SAP-Verknüpfungen die Optionen Anmelden, Löschen, Systemstatus (wenn eine Web-Seite mit Informationen über den Status Ihres SAP-Systems vorhanden ist), Ansicht und Eigenschaften...:

Wählen Sie

  • Anmelden, um sich an das SAP-System anzumelden, das in dem gewählten SAP-Verknüpfungseintrag definiert ist.
  • Löschen, um den gewählten Eintrag zu löschen.
  • Systemstatus..., um eine Web-Seite mit Informationen über den Status Ihres SAP-Systems zu öffnen (vorausgesetzt, sie ist vorhanden).
  • Ansicht und eine der untergeordneten Menüoptionen, um Ihre SAP-Verknüpfungseinträge in unterschiedlichen Darstellungsmodi anzuzeigen.
  • Eigenschaften..., um die Definition des gewählten Eintrags zu ändern.

Hinweis:
In SAP-Logon-Pad enthält das Kontextmenü der SAP-Verknüpfungseinträge lediglich die Optionen Anmelden, Systemstatus... und Ansicht. (Weitere Informationen: 2.4 SAP-Logon-Pad.)

2.2.4 Der Ordner Favoriten

Der Ordner Favoriten ermöglicht es Ihnen, auf einfache Art und Weise eine Gruppe von Systemen, die Sie häufig verwenden, zu bündeln:

Sie fügen dem Ordner Favoriten eine Systemverbindung hinzu, indem Sie den Ordner Verbindungen wählen und das gewünschte System auf der rechten Seite durch Drag&Drop in den auf der linken Seite stehenden Ordner Favoriten einfügen:

Hinweis:
Der neu angelegte Eintrag im Ordner Favoriten ist keine zusätzliche Systemverbindung, sondern nur ein Link zum entsprechenden Eintrag im Ordner Verbindungen. Das Löschen eines Favoriten-Eintrags hat nicht die Löschung der Verbindung zur Folge.

Sie können den Favoriten-Eintrag umbenennen, indem Sie [image] wählen oder das Kontextmenü für diesen Eintrag öffnen und Eigenschaften... wählen:

2.2.5 Anmeldung über einen Ordnereintrag

Ohne Secure Network Communication

  1. Wählen Sie ein System in der Liste von Einträgen im Ordner Verbindungen.
  2. Wählen Sie [image] in der Symbolleiste.
    Das Anmeldefenster für das entsprechende System wird angezeigt:

  3. Geben Sie Ihren Benutzer, Ihr Kennwort und eine Sprache an (ist optional - wenn Sie keine Sprache eingeben, wird die Standardsprache gewählt) und wählen Sie Weiter.

Mit Secure Network Communication

  1. Wählen Sie ein System in der Liste von Einträgen im Ordner Verbindungen.
  2. Wählen Sie [image] in der Symbolleiste.
    • Wenn nur ein Mandant mit Ihrem Benutzer im Zielsystem verknüpft ist, erfolgt der Zugriff auf das System direkt.
    • Wenn mehrere Mandanten mit Ihrem Benutzer im Zielsystem verknüpft ist, gelangen Sie auf das folgende Dialogfenster:

      Wählen Sie den Mandanten, den Sie für Ihre aktuelle Anwendung aus der Benutzerauswahl des Systems benötigen, indem Sie ihn anklicken. Daraufhin erfolgt der Zugriff auf das System.

2.2.6 Variable Anmeldung

Sie verwenden diese Funktion, um sich an ein SAP-System anzumelden, ohne dem Ordner Verbindungen einen Eintrag hinzuzufügen.

Wählen Sie auf dem Einstiegsbild von SAP Logon die Option Variable Anmeldung in der Symbolleiste:

Sie gelangen auf das Dialogfenster mit dem Titel Am System anmelden:

  • Für die Anmeldung an ein benutzerspezifisches System brauchen Sie an dem standardmäßig markierten Eintrag nichts zu ändern.
    Die folgenden Schritte sind denen ähnlich, die unter     System aus der Liste wählen im Abschnitt 2.2.2.1 Neue Einträge dem Ordner Verbindungen hinzufügen beschrieben sind (der Eintrag der Beschreibung ist optional).

  • Sie können auch einen Verbindungseintrag aus der Liste und anschließend die Schaltfläche Weiter wählen.
    Die folgenden Schritte sind denen ähnlich, die unter Benutzerspezifisches System im Abschnitt 2.2.2.1 Neue Einträge dem Ordner Verbindunge hinzufügen beschrieben sind (der Eintrag der Beschreibung ist optional).
Dieser Dialog ermöglicht das einmalige Anmelden an ein System.

2.2.6.1 Der Ordner Variable Anmeldungen

Nachdem Sie sich mithilfe der variablen Anmeldung an ein System angemeldet haben, erscheint in der Ordnerliste des Hauptfensters von SAP Logon ein neuer Ordner.

Alle Systeme, auf die durch variable Anmeldung während des aktuellen Modus zugegriffen wurde, sind hier aufgelistet. Der Systemname hat eine Zahlenerweiterung, die auf die chronologische Reihenfolge der Systemzugriffe hinweist.

Hinweis:
Der Ordner Variable Anmeldungen und alle seine Einträge werden gelöscht, wenn Sie den SAP-Logon-Modus schließen.

Die variable Anmeldung ist in SAP-Logon-Pad nicht verfügbar.

2.2.7 Einträge in jedem Ordner anzeigen

Sie können die Einträge in jedem Ordner auf unterschiedliche Weise darstellen. Positionieren Sie den Cursor im Eingabebereich, öffnen Sie das Kontextmenü mit der rechten Maustaste und wählen Sie ein untergeordnetes Menü von Ansicht: Große Symbole, Kleine Symbole, Liste, Details.

2.2.8 SAP Logon konfigurieren

Einzelheiten über die Konfiguration von SAP Logon finden Sie unter 6 Lokales Layout anpassen.

Hinweis:
Administrative Konfiguration:
Sie müssen auf den Registry-Schlüssel HKEY_LOCAL_MACHINE zugreifen können. Weitere Informationen: SAP-Hinweis 38119

2.2.9 Version von SAP Logon anzeigen

So zeigen Sie Informationen über die Version von SAP Logon an:

  1. Klicken Sie auf das Symbol in der linken oberen Ecke des SAP-Logon-Fensters.

  2. Wählen Sie Über SAP Logon....
    Sie gelangen auf das folgende Bild:

  3. Informationen über das SAP-Client-Umfeld erhalten Sie, wenn Sie SAP-Client-Umfeld wählen.

    Das Feld Aktuelles Verzeichnis im Bereich Zusatzinformationen ist besonders wichtig, weil dieses Verzeichnis Trace- und Protokoll-Dateien enthält.
    Um das Dialogfenster zu schließen, wählen Sie OK.

  4. Für die Anzeige der von SAP GUI geladenen Dateien wählen Sie Geladene Dlls.

    Um das Dialogfenster zu schließen, wählen Sie OK.

  5. Für das Sichern der Versionsinformationen auf Ihrem lokalen Rechner wählen Sie Versionsinformat. sichern.
    Sie gelangen auf ein standardmäßiges Dialogfenster für die Sicherung von Dateien. Darin wir ein Name und ein Pfad für die neu anzulegende Datei vorgeschlagen. Ändern Sie die Vorschläge nur, wenn es erforderlich ist, und wählen Sie Sichern.

2.2.10 SAP Logon schließen und abbrechen

Sie schließen SAP Logon, wenn kein SAP-GUI-Modus geöffnet ist, auf die folgende Weise:

  • Klicken Sie auf das Kreuz [image] im oberen rechten Bereich des SAP-Logon-Fensters.
  • Klicken Sie auf das Symbol im oberen linken Bereich des SAP-Logon-Fensters und wählen Sie Schließen.
  • Öffnen Sie das Kontextmenü für das SAP-Logon-Symbol im System-Tray (siehe 2.2.11 System-Tray-Menü aufrufen) und wählen Sie SAP Logon schließen.

Wenn jedoch ein oder mehrere SAP-GUI-Modi geöffnet sind, wird durch SAP Logon schließen das SAP-Logon-Fenster lediglich minimiert.
Sie schließen SAP Logon, wenn ein oder mehrere SAP-GUI-Modi geöffnet sind, auf die folgende Weise:

  • Melden Sie sich bei allen Systemen ab und schließen Sie SAP Logon (wie oben beschreiben).
  • Öffnen Sie das Kontextmenü für das SAP-Logon-Symbol im System-Tray und wählen Sie SAP Logon beenden.

2.2.11 System-Tray-Menü aufrufen

Der System-Tray besteht aus einer Reihe von Symbolen im unteren rechten Desktop-Bereich. Für die Anzeige des Kontextmenüs bewegen Sie den Cursor über das jeweilige Symbol im System-Tray und betätigen die rechte Maustaste.

Sie können das SAP-Logon-Symbol im System-Tray für Folgendes verwenden:

  • Auf ein SAP-System zugreifen
  • Modi schließen
  • SAP Logon schließen
  • SAP Logon beenden
  • Alle Modusfenster minimieren
  • Alle Modusfenster wiederherstellen

Hinweis:
Das Kontextmenü für das SAP-Logon-Symbol im System-Tray führt nur die durch den SAP-Logon-Prozess gestarteten Modi auf (saplogon.exe oder saplgpad.exe). Modi, die von anderen Prozessen wie sapgui.exe oder sapshcut.exe gestartet wurden, werden nicht in der Modusliste angezeigt und können nicht durch die Kontextmenü -Option Alle Modusfenster minimieren minimiert werden. Weitere Details und die Behelfslösung finden Sie im SAP-Hinweis 515156 und in verwandten SAP-Hinweisen.

2.2.12 SAP-Systemstatus anzeigen

Wenn eine Web-Seite mit dem Status von SAP-Systemen angelegt wurde (weitere Informationen im SAP-Hinweis 1087494), wird auch die Taste Status auf dem SAP-Logon-Hauptfenster wie folgt angezeigt:

Mit ihr können Sie die SAP-Systemstatus-Web-Seite aufrufen.

2.3 SAP-Verknüpfungen verwenden

SAP-Verknüpfungen ermöglichen es dem Benutzer, direkt vom Microsoft Windows-Desktop aus SAP-Transaktionen zu starten und Reports oder Systembefehle auszuführen. Auf diese Weise ersparen Sie sich das Navigieren durch Menüs. Für die Verwendung von SAP-Verknüpfungen ist ein 32-Bit-Windows-Betriebssystem von Microsoft erforderlich.

2.3.1 SAP-Verknüpfung anlegen

2.3.1.1 SAP-Verknüpfung vom Desktop aus anlegen

  1. Positionieren Sie den Cursor an einer beliebigen Stelle im Desktop (nicht in einer geöffneten Microsoft Windows-Anwendung) und betätigen Sie die rechte Maustaste.
  2. Wählen Sie Neu -> SAP-GUI-Verknüpfung.

  3. Geben Sie einen Namen für die Verknüpfung ein (behalten Sie die .SAP-Erweiterung bei, wenn sie nicht ausgeblendet ist). Wählen Sie Weiter. Die Verknüpfung erscheint beispielsweise als Symbol auf Ihrem Desktop.

    Sie haben eine Datei für eine Verknüpfung angelegt. Sie müssen diese Datei nun definieren.

  4. Öffnen Sie durch einen rechten Mausklick auf den neuen Eintrag das Kontextmenü und wählen Sie Bearbeiten.

    Sie gelangen auf das folgende Dialogfenster mit den zwei Registern Allgemein und Optionen:

    Auf dem Register Allgemein können Sie folgende Einträge vornehmen:

    • Sie müssen einen Titel für die Verknüpfung im oberen Bereich des Dialogfensters eingeben.

    • Im zweiten Bereich können Sie eine Transaktion, einen Systembefehl oder einen Report konfigurieren, die bzw. der automatisch aufgerufen wird, wenn Sie das System über diese Verknüpfung starten. Wählen Sie den entsprechenden Eintrag aus der Dropdown-Liste und geben Sie den Namen der zu startenden Transaktion, des Systembefehls oder des Reports ein.
      Dies ist kein Mussfeld. Wenn Sie das Feld für Transaktion/Befehl/Report frei lassen, startet das System mit dem standardmäßigen Einstiegsbild.

    • Im nächsten Bereich müssen Sie das Zielsystem konfigurieren. Sie haben zwei Möglichkeiten:
      • Wählen Sie eine Systembeschreibung aus der Dropdown-Liste. Die Listeneinträge werden vom Anmeldedialog bereitgestellt.
        In diesem Fall können die darauf folgenden Felder nicht geändert werden, denn eine Systembeschreibung aus dem Anmeldedialog enthält alle Informationen, die für das Anmelden an ein System erforderlich sind.
      • Wählen Sie den Eintrag (Anderes System) aus der Dropdown-Liste. Sie müssen nun den entsprechenden Wert für die System-ID eingeben. Das Feld Startparameter ist optional: Wenn Sie das System mit einer bestimmten Aktion starten (Transaktion/Systembefehl/Report, siehe oben), können Sie definierte Werte für seine Eingabefelder übergeben.

    • Im letzten Bereich dieses Dialogfensters müssen Sie einen Benutzer und einen Mandanten für die Systemanmeldung angeben. Beachten Sie, dass hier Ihr aktueller Microsoft Windows-Benutzer als standardmäßiger Benutzerwert verwendet wird. Ändern Sie ihn gegebenenfalls.
      Außerdem können Sie die Anmeldesprache ändern.

      Hinweis:
      Aus Sicherheitsgründen empfiehlt Ihnen SAP, hier kein Kennwort einzugeben. Das Kennwort ist zwar in einem kodierten Format gespeichert, aber mit einem gespeicherten Kennwort erlaubt die Verknüpfungs-Datei immer einen direkten Systemzugriff. Da Verknüpfungs-Dateien beispielsweise per E-Mail versendet oder nach anderen Destinationen kopiert werden können, stellt das Speichern des Kennworts ein großes Sicherheitsrisiko dar. Deswegen ist diese Option nicht standardmäßig verfügbar. Weitere Informationen: SAP-Hinweis 146173

    • Wählen Sie OK und wechseln Sie zum Register Optionen.

    Auf dem Register Optionen können Sie einige Optionen ändern, die mit Standardwerten vordefiniert sind:

    • Sie können eine Trace-Stufe für Ihre Verknüpfung definieren.
    • Sie können die Größe des neuen Fensters von der normalen Größe auf die maximale Größe ändern.
    • Sie können das aktuelle Arbeitsverzeichnis ändern.

    Setzen Sie das Kennzeichen für das Ankreuzfeld Verbindungen beim Starten von SAP-Verknüpfungen wiederverwenden, wenn Sie das Öffnen von zu vielen Modi verhindern wollen (weitere Informationen: 2.3.2 Anmeldung mit SAP-Verknüpfung).

2.3.1.2 SAP-Verknüpfung von einem beliebigen Bild im SAP-System aus anlegen

  1. Wechseln Sie auf das Bild der Anwendung, die Sie ausführen wollen und wählen Sie die Schaltfläche Erstellt eine Verknüpfung.

    Oder wählen Sie [image] -> Verknüpfung erstellen ...
    Sie gelangen auf das Dialogfenster Neue SAP-Verknüpfung anlegen (weitere Informationen: 2.2.3.1 Neue Einträge dem Ordner Verknüpfungen hinzufügen).
  2. Stellen Sie sicher, dass die Informationen im Dialogfenster (Benutzername, Sprache, Typ, Titel, Befehl usw.) korrekt sind.
  3. Wählen Sie OK. Die Verknüpfung erscheint auf Ihrem Desktop.

2.3.1.3 SAP-Verknüpfung in SAP Logon anlegen

Weitere Informationen finden Sie unter 2.2.3 Der Ordner Verknüpfungen.

2.3.2 Anmeldung mit SAP-Verknüpfung

  • Wenn keine SAP-Modi in dem System geöffnet sind, das von der Verknüpfung adressiert wird:

    1. Doppelklicken Sie auf die SAP-Verknüpfung der Anwendung, die Sie ausführen möchten. Sie gelangen auf ein Dialogfenster.
    2. Geben Sie Ihr Kennwort ein. Wählen Sie Anmelden oder Weiter.

      3. Der SAP-Modus wird gestartet.
    3. Sie können die Verknüpfungsdefinition anzeigen oder ändern, indem Sie den Cursor an eine beliebige Stelle auf dem Logon-Dialogfenster platzieren (ausgenommen sind Titelleiste, Eingabefelder und Drucktasten) und das Kontextmenü mit der rechten Maustaste öffnen.
      Wenn Sie kein Kennwort eingegeben haben, ist nur die Option Bearbeiten aktiviert. Nach Eingabe eines Zeichens im Feld Kennwort werden die beiden Optionen Öffnen und Bearbeiten aktiviert.

  • Wenn bereits ein SAP-Modus in dem System geöffnet ist, das von der Verknüpfung adressiert wird:
    Doppelklicken Sie im Desktop auf die SAP-Verknüpfung der Anwendung, die Sie ausführen möchten. Wenn bereits eine Anwendung in dem System läuft, wird ein neuer SAP-Modus gestartet.
    Andernfalls startet der aktuelle SAP-Modus die von Ihnen gewünschte Anwendung, allerdings nur dann, wenn die gleichen in den Verknüpfungseigenschaften definierten Anmeldeparameter in diesem Modus verwendet werden. Wenn die SAP-Verknüpfung für den Systembefehl /NTCD (/N + Transaktionscode) angelegt wurde, wird die Anwendung nur im aktuellen SAP-Modus ausgeführt, unabhängig davon, ob bereits eine Anwendung ausgeführt wird oder nicht.

    Sie können eine Verknüpfung durch Drag&Drop der Verknüpfung in den geöffneten Modus starten. Das System startet die von Ihnen gewünschte Anwendung. Weitere Funktionen stehen Ihnen zur Verfügung:

    • Verwenden Sie für das Bearbeiten der Verknüpfung die Umschalttaste + Drag&Drop in den geöffneten Modus.
    • Verwenden Sie für das Öffnen eines neuen Modus und das Starten der Anwendung Strg + Drag&Drop in den geöffneten Modus.

2.4 SAP-Logon-Pad verwenden

Verwenden Sie das Symbol

für das Öffnen von SAP-Logon-Pad.

2.4.1 Anmeldung über Einträge in SAP-Logon-Pad

Öffnen Sie für die Anmeldung einen Ordner auf der linken Seite des Hauptfensters von SAP-Logon-Pad und wählen Sie einen Eintrag aus. Führen Sie einen Doppelklick aus oder öffnen Sie das Kontextmenü und wählen Sie Anmelden.

SAP-Logon-Pad ist SAP Logon sehr ähnlich (weitere Informationen: 2.2 SAP Logon verwenden). Sie können in SAP-Logon-Pad jedoch nicht die Einträge ändern, was in SAP Logon möglich ist. Sie können beispielsweise keine Logon-Einträge hinzufügen, ändern oder löschen. Die entsprechenden Schaltflächen in der Symbolleiste sind nicht aktiv.

In SAP-Logon-Pad enthält das Kontextmenü nur die Anmeldefunktionen (mit oder ohne Single Sign-On) und einige Darstellungsoptionen.

Hinweis:
In vielen Fällen verwenden Mitarbeiter SAP-Logon-Pad für den Zugriff auf Systeme, in denen sie arbeiten. Die erforderlichen Konfigurationen werden von einem Systemadministrator zur Verfügung gestellt, damit die einzelnen Mitarbeiter die Konfiguration nicht vornehmen müssen.

3 Elemente eines SAP-GUI-Fensters

3.1 Hauptfenster

3.1.1 Menüleiste

Die in der unten stehenden Abbildung gezeigte Leiste mit den Menüoptionen System, Bearbeiten usw. wird Menüleiste genannt.

Die folgenden Menüs befinden sich standardmäßig auf jedem SAP-Bild:

Menü | Beschreibung
System | Dieses Menü enthält die Funktionen, die das System als Ganzes betreffen. Zum Beispiel: Erzeugen Modus, Benutzervorgaben und Abmelden.
Hilfe | Stellt verschiedene Arten der Online-Hilfe zur Verfügung.

Die folgenden Menüs befinden sich standardmäßig in den meisten SAP-Anwendungen:

Menü | Beschreibung
<Objekt> | Dieses Menü wird gewöhnlich nach dem Objekt benannt, mit dem Sie in dieser Anwendung arbeiten. Zum Beispiel: Material. Es enthält die Funktionen, die das System als Ganzes betreffen. Zum Beispiel: Anzeigen, Ändern, Drucken oder Beenden.
Bearbeiten | Dieses Menü ermöglicht das Bearbeiten von Komponenten des aktuellen Objekts. Zu den gebräuchlichen Funktionen gehören Wählen, Bearbeiten und Kopieren. Die Option Abbrechen erlaubt es Ihnen, eine Anwendung ohne Speicherung der eingegebenen Daten zu verlassen.
Springen | Dieses Menü ermöglicht das direkte Wechseln zu anderen Bildern der aktuellen Anwendung. Es enthält auch die Option Zurück, die Sie eine Ebene in der Modushierarchie zurücksetzt. Vor dem Zurücksetzen überprüft das System die von Ihnen eingegebenen Daten des aktuellen Bilds und zeigt ein Dialogfenster an, wenn ein Problem gefunden wird.

Folgende Menüs können ebenfalls verfügbar sein:

Menü | Beschreibung
Zusätze | Dieses Menü enthält zusätzliche Funktionen, die Sie zur Vervollständigung des aktuellen Objekts oder einer Objektkomponente verwenden können, aber nicht häufig benötigen.
Umgebung | Dieses Menü enthält Funktionen für die Anzeige von zusätzlichen Informationen über das aktuelle Objekt.
Ansicht | Dieses Menü ermöglicht es Ihnen, das aktuelle Objekt in unterschiedlichen Ansichten anzuzeigen. Beispiel: Das Wechseln zwischen der einzeiligen und zweizeiligen Anzeige einer Tabelle.
Einstellungen | Dieses Menü ermöglicht es Ihnen, benutzerspezifische Transaktionsparameter zu setzen.
Hilfsmittel | Dieses Menü ermöglicht ein objektunabhängiges Bearbeiten wie das Ausführen von Lösch-, Kopier- und Druckfunktionen.

In einigen Fällen passen nicht alle verfügbaren Menüs in eine Zeile der Menüleiste. Sie werden dann in die nächste Zeile umgebrochen. Das Prinzip der Dropdown-Liste wird beibehalten.

3.1.2 Die Systemfunktionsleiste

Die Systemfunktionsleiste befindet sich unterhalb der Menüleiste. Sie besteht aus einer Reihe von Symbolen mit allgemeinen GUI-Funktionen und dem Befehlsfeld. Das Befehlsfeld wird für die Eingabe eines Transaktionscodes verwendet.

Weitere Informationen über die Bedeutung von Symbolen finden Sie unter Standard Icons Document.

Das Layout-Menü, gekennzeichnet durch das Symbol [image] in der äußersten rechten Ecke der Standard-Symbolleiste, erlaubt es Ihnen, bestimmte Einstellungen von SAP GUI for Windows individuell einzustellen - zum Beispiel: Cursorposition und Tabulatorfunktion.

3.1.3 Titelleiste

Die Titelleiste enthält den Namen der aktuell angezeigten Anwendung:

Wenn ein SAP-GUI-Fenster inaktiv ist (das Fenster reagiert dann nicht auf die Maus oder Tastatur), erscheint der Titel dennoch im obersten Bereich und das Menü wird ausgeblendet. Wenn der SAP-GUI-Titel aktiv ist, wird das Anwendungsmenü angezeigt.

3.1.4 Anwendungsleiste

Die Anwendungsleiste befindet sich unterhalb der Titelleiste. Die Anwendungsleiste enthält Symbole, die für die jeweilige Anwendung relevant sind.

3.1.5 Statusleiste

Die Statusleiste liefert allgemeine Informationen über das SAP-System und über die Transaktion oder Anwendung, mit der Sie gerade arbeiten. Systemnachrichten werden auf der linken Seite der Statusleiste angezeigt.

Drei Felder befinden sich auf der rechten Seite der Statusleiste: ein Feld mit Server-Informationen, zwei Felder mit Statusinformationen.

Die Statusfelder werden in der folgenden Tabelle beschrieben.

Statusfeld Beschreibung
Kennzeichnet eine Fehlermeldung
Kennzeichnet eine Warnung
Kennzeichnet eine Erfolgsmeldung
Ausblenden (oder Anzeigen) der Statusfelder
Y1A (1) 000
(Beispiel) 		Zeigt an, in welchem System Sie mit welchem Mandanten angemeldet sind.
Die Zahl in der Klammer gibt die Ordnungszahl des jeweiligen Modus an.
Anzeige der folgenden Systeminformationen:
  • System
  • Mandant
  • Benutzername
  • Programm
  • Transaktion
  • Antwortzeit
bsw6523
(Beispiel) 		Zeigt an, über welchen Anwendungsserver Sie verbunden sind
INS
(Beispiel) 		Gibt Ihren Dateneingabe-Modus an. Durch Klicken auf dieses Feld können Sie zwischen den Modi Einfügen (INS) und Überschreiben (OVR) umschalten.
Ist aktiv, wenn über SAP-Scripting eine Aufzeichnung ausgeführt wird. (Weitere Informationen über das Aktivieren von Scripting auf Ihrem lokalen Rechner unter 6.4 Barrierefreiheit & Scripting).
Ist aktiv, wenn auf dem aktuellen Dynpro eine lokale Tabulatorfolge konfiguriert wurde.
Das Schlosssymbol ist geschlossen, wenn eine SNC-Verbindung zum Server besteht. Wenn keine SNC-Verbindung besteht, wird das Schlosssymbol geöffnet dargestellt.

Informationen zur Tastaturbedienung finden Sie im Abschnitt 8.2.18 Statusleiste.

3.1.6 Dynpro-Bereich

3.1.6.1 Felder

Ein Feld besteht aus:

  • Feldname
  • Felddaten

Felddaten sind einzelne Informationseinheiten wie ein Kundenname oder eine Kontonummer.

Die meisten von Ihnen im SAP-System ausgeführten Anwendungen schließen die Eingabe von Daten mit ein. In der Regel geben Sie Daten in Eingabefelder ein.

Die Länge der Eingabefelder variiert. In einigen Fällen legt die Länge eines Eingabefelds fest, wie viele Zeichen in das Feld eingegeben werden können. Andere Eingabefelder haben eine Blätterleiste - das heißt, Sie sehen nur einen Teil des Feldeintrags.

  • Informationen über das Navigieren und Bearbeiten der Daten in den Feldern mithilfe der Tastatur finden Sie unter 8 Tastaturbedienung im SAP GUI for Windows.

  • Einfüge- und Überschreibmodus

    • Einfügen: Die Daten rechts vom Cursor werden während der Eingabe nach rechts verschoben.
    • Überschreiben: Die Daten rechts vom Cursor werden während der Eingabe überschrieben.

    Sie verwenden den Modus Überschreiben zum Überschreiben von Daten und den Modus Einfügen zum Einfügen von Daten in bestehende Daten (wenn Sie beispielsweise einen Buchstaben in der Mitte eines Wortes vergessen haben).

    Der Standardeingabewert ist Einfügen. Sie können jederzeit in den Modus Uuml;berschreiben wechseln.

    Die Statusleiste zeigt den aktuellen Modus an. INS steht für den Einfügemodus, OVR für den Überschreibmodus. Drücken Sie die Taste Einfg, um zwischen den Modi zu wechseln.
    Vom aktuellen Eingabemodus wird zum anderen Eingabemodus gewechselt.
    Die Taste Einfg ist eine Umschalttaste für die beiden Modi.
    Sie können zwischen den beiden Modi auch umschalten, indem Sie auf das Statusfeld des Eingabemodus in der äußersten rechten Ecke der Statusleiste klicken.

  • Vorgehensweise für den Modus Einfügen

    1. Verwenden Sie den Cursor für das Hervorheben des bestehenden Feldinhalts.
    2. Geben Sie die neuen Daten ein.

    Der gesamte Feldinhalt wird durch Ihre Eingabe ersetzt.

  • Vorgehensweise für den Modus Überschreiben

    1. Vergewissern Sie sich, dass Sie sich im Überschreibmodus befinden (OVR in der Statusleiste). Falls dies nicht der Fall ist, betätigen Sie die Taste Einfg, um in diesen Modus zu wechseln.
    2. Positionieren Sie den Cursor an der Stelle, an der Sie mit dem Überschreiben beginnen wollen.
    3. Überschreiben Sie die alten Daten. Sie können die Taste Entf verwenden, um Daten rechts vom Cursor zu löschen.

    Wenn Sie andere Eingabefelder in dem Bild ändern wollen, wiederholen Sie die Schritte 2 und 3.

  • Daten in einem Bild eingeben

    1. Geben Sie Daten in alle entsprechende Eingabefelder in dem Bild ein.
    2. Wählen Sie Weiter, damit das System die Eingaben prüft und Sie mit dem nächsten Bild der Anwendung fortfahren können.
      Das System überprüft Ihre Eingaben. Wenn Fehler gefunden werden, beispielsweise ein fehlerhaftes Format einer Eingabe, wird eine Meldung in der Statusleiste angezeigt und der Cursor in das Feld gesetzt, in dem die Eingabe inkorrekt ist.
      Werden keine Fehler gefunden, gelangen Sie auf das nächste Bild.
    3. Wenn Fehler gefunden werden, korrigieren Sie die fehlerhaften Eingaben.
      Hilfe für die Suche nach gültigen Eingaben für Eingabefelder finden Sie unter der Hilfe für mögliche Eingaben für ein Feld.
    4. Wenn Sie die Änderungen vorgenommen haben, wählen Sie Weiter.
      Das System überprüft erneut Ihre Eingaben. Wiederholen Sie die Schritte 3 und 4, bis das System keine Fehler mehr findet und das nächste Bild erscheint.

    An dieser Stelle können Sie entweder Ihre Daten speichern oder die Anwendung abbrechen.

  • Daten in ein Eingabefeld eingeben

    1. Positionieren Sie den Cursor an einer beliebigen Stelle im leeren Eingabefeld. Der Cursor springt an den Feldanfang.
    2. Geben Sie die Daten ein.

  • Mussfelder

    Wenn das Bild, in dem Sie arbeiten, Mussfelder enthält, müssen Sie diese Eingabefelder ausfüllen, bevor Sie mit dem nächsten Bild oder mit dem nächsten Register fortfahren (vorausgesetzt, das Bild enthält Register).
    In der Regel können Sie zum nächsten Bild oder Tabulator ohne Eingabe in ein Feld gelangen, wenn keine Mussfelder vorhanden sind. Einige Bilder enthalten jedoch Mussfelder, die zunächst nicht als solche gekennzeichnet sind. Diese Situation kann in den folgenden Fällen auftreten:

    • Wenn Sie Daten in ein optionales Feld eingeben, mit dem Mussfelder verknüpft sind.
    • Wenn Sie Daten in eines von mehreren Eingabefeldern eingeben. Eine Fracht kann beispielsweise an einem bestimmten Tag oder in einer bestimmten Woche geliefert werden. Weder das Feld Tag noch das Feld Woche sind als Mussfelder gekennzeichnet, obwohl Sie eines der beiden Felder ausfüllen müssen - aber nicht beide.
    Wenn Sie nicht alle Mussfelder eines Bildes ausgefüllt haben und OK wählen, um zum nächsten Bild zu gelangen, zeigt das SAP-System eine Fehlermeldung in der Statusleiste an. Gleichzeitig wird der Cursor in das Mussfeld positioniert, damit Sie die erforderlichen Daten eingeben können.

Einige Eingabefelder enthalten Daten, die nur angezeigt, aber nicht geändert oder gelöscht werden können. Eingabefelder, die dieselbe Hintergrundfarbe wie das Bild haben, enthalten Daten, die nicht geändert werden können.

3.1.6.2 Auswahlknöpfe und Ankreuzfelder

Für die Eingabe von Informationen in das SAP-System kann die Entscheidung zwischen mehreren Optionen erforderlich sein. In einigen Fällen können Sie beispielsweise nur eine, in anderen aber mehr als eine Option wählen.
Ist nur eine Auswahl möglich, befinden sich Auswählknöpfe neben den Optionen.

Ist mehr als eine Auswahl möglich, befinden sich Ankreuzfelder neben den Optionen.

  • Auswahl von Optionen mit Auswahlknöpfen

    • Sie wählen eine Option aus, indem Sie auf den Auswahlknopf neben der Option klicken. Der ausgewählte Auswahlknopf wird mit einem schwarzen Punkt als Kennzeichen gefüllt.
    • Zur Änderung der Auswahl klicken Sie auf einen anderen Auswahlknopf. Der ursprünglich markierte Auswahlknopf ist nun leer und der neu gewählte mit einem Punkt gefüllt.
    • Tastatur:
      Informationen über die Tastaturbedienung finden Sie unter 8 Tastaturbedienung im SAP GUI for Windows und 8.2.8 Auswahlknöpfe.

  • Auswahl von Optionen mit Ankreuzfeldern

    • Sie wählen eine oder mehrere Optionen aus, indem Sie auf das Ankreuzfeld neben der erforderlichen Option klicken. Die ausgewählten Ankreuzfelder enthalten nun ein Häkchen als Kennzeichen.
    • Zum Entmarkieren eines Ankreuzfelds klicken Sie es erneut an. Das Kennzeichen verschwindet.
    • Tastatur:
      Informationen über die Tastaturbedienung finden Sie unter 8 Tastaturbedienung im SAP GUI for Windows und 8.2.7 Ankreuzfeld.

3.1.6.3 Drucktasten

Drucktasten werden für das Ausführen von unterschiedlichen Funktionen verwendet. Die Elemente Details, Select another flight und Cancel flight in der folgenden Abbildung sind Drucktasten:

Tastatur:
Informationen über die Tastaturbedienung finden Sie unter 8 Tastaturbedienung im SAP GUI for Windows und 8.2.3 Drucktasten.

3.1.6.4 Register

Die Elemente Assignment, Control, Period Closing und General Data in der folgenden Abbildung sind Register:

Register werden für das Umschalten zwischen unterschiedlichen Bildinhalten verwendet. In Transaktionen mit mehreren Bildern sorgen sie für Übersichtlichkeit. Es ist möglich, von einer Registerkarte zu einer anderen zu wechseln, ohne alle Daten eingegeben zu haben. Für den Zugriff auf eine Registerkarte wählen Sie den entsprechenden Registerkopf.

In einigen Fällen müssen Sie jedoch alle Mussfelder auf der Registerkarte ausfüllen, bevor Sie zum nächsten Register wechseln können.

Bei längeren Registern werden nicht alle Registerkarten auf dem Bild angezeigt. Die Pfeile nach rechts und nach links im oberen Bereich des Registers ermöglichen das Blättern zu den einzelnen Registern.

Wenn Sie die Taste auf der rechten oberen Seite des Registers wählen, zeigt das System eine Liste von allen Registern an. Wenn Sie ein Register von der Liste wählen, erscheint die gewählte Registerkarte im Vordergrund.

Register werden in der Reihenfolge ihrer Bedeutung oder in der Reihenfolge des Transaktionsablaufs angeordnet.

Tastatur:
Informationen über die Tastaturbedienung finden Sie unter 8 Tastaturbedienung im SAP GUI for Windows und 8.2.16 Registerkarten.

3.1.6.5 Table Controls

Die Funktion Table Control ermöglicht es Ihnen, die Grundeinstellung einer SAP-Tabelle nach Bedarf zu ändern. Dies ist besonders nützlich, wenn SAP-Tabellen Spalten enthalten, die Sie nicht benötigen.

Table Controls bieten die folgenden Funktionen:

  • Feste und variable Spalten. Variable Spalten verfügen über eine horizontale Blätterleiste im unteren Tabellenbereich.
  • Sie können die Breite der Spalten verändern:
    Wenn Sie den Cursor auf die Trennlinie zwischen zwei Spalten positionieren, verändert sich der Cursor in zwei in entgegengesetzte Richtungen zeigende Pfeile. Um die Spaltenbreite zu ändern, betätigen Sie die linke Maustaste und bewegen die Trennlinie so lange, bis die gewünschte Breite erreicht ist.
  • Mit Drag & Drop können Sie die Reihenfolge der Spalten ändern.
    Positionieren Sie den Cursor in der Kopfzeile der zu bewegenden Spalte und bewegen Sie die Spalte bei gedrückter linker Maustaste an die gewünschte Stelle.
  • Wenn Sie den Cursor entlang der horizontalen Blätterleiste bewegen, wird als Kurzinformation der Titel der Spalte angezeigt, die als erste Spalte (nach den festen Spalten) angezeigt wird, wenn Sie an dieser Stelle auf die Blätterleiste klicken.
  • Sie können die im SAP-System definierte Spaltenbreite anzeigen, indem Sie bei gedrückter Umschalttaste auf die Kopfzeile einer Spalte klicken.
  • Symbole im unteren Tabellenbereich bieten bestimmte Funktionen für diese Tabelle. Zu den am häufigsten verwendeten Funktionen gehören:
    Symbol | Symbolname | Beschreibung
    Detail | Zeigt alle aktuell verfügbaren Informationen über den ausgewählten Eintrag an.
    Zeile einfügen | Fügt eine Zeile hinzu.
    Zeile löschen | Löscht eine Zeile.
    Alles markieren | Wählt alle Tabelleneinträge aus.
    Alle Mark. löschen | Entmarkiert alle Tabelleneinträge.

Zeilen oder Spalten in einem auswählbaren Table Control mithilfe der Tastatur wählen:

Informationen über die Tastaturbedienung finden Sie unter 8 Tastaturbedienung im SAP GUI for Windows und 8.2.15 Table Controls.

Hinweis:
Das Table Control muss auswählbar sein, d.h. es muss die entsprechenden Auswahltasten enthalten.

3.1.6.6 List Controls

Wenn eine große Anzahl von Daten übersichtlich dargestellt werden muss, können Sie die Daten in Listen gruppieren werden, deren Strukturen wie Tabellen aus Spalten und Zeilen bestehen:

Detaillierte Informationen über die Verwendung von ALV Control auf dem SAP Help Portal finden Sie unter SAP List Viewer für SAP GUI.

Tastaturbedienung: Informationen über die Tastaturbedienung finden Sie unter 8 Tastaturbedienung im SAP GUI for Windows und 8.2.14 ALV Grid.

3.2 Dialogfenster

Das SAP-System zeigt Dialogfenster in den folgenden Fällen an:

  • Wenn für den Verarbeitungsprozess weitere Informationen erforderlich sind.
  • Wenn vom System Informationen wie Meldungen oder spezielle Informationen über Ihre aktuelle Anwendung angezeigt werden.

Bevor Sie fortfahren können, müssen Sie eine Option im Dialogfenster wählen. Wählen Sie eine Drucktaste im unteren Bereich des Dialogfensters.

Wenn Sie eine Anwendung ohne das Sichern Ihrer Daten beenden oder eine Funktion wählen, die Datenverlust verursachen kann, zeigt das SAP-System in der Regel ein Dialogfenster an, das Sie auffordert, die Aktion zu bestätigen oder abzubrechen.

3.3 Systemstatus anzeigen

Für die Anzeige von Statusinformationen über einen Modus wählen Sie System -> Status in der Menüleiste.

4 Mit Modi arbeiten

Nach dem erfolgreichen Anmelden an ein SAP-System können Sie in mehreren Modi arbeiten. Dies kann hilfreich sein, wenn Sie unterschiedliche Anwendungen auf demselben System gleichzeitig ausführen wollen. Sie können beispielsweise einen Report in einem Modus ausführen und in einem anderen Modus den Inhalt einer Datenbank anzeigen.

Hinweis:
Ein Datensatz kann jeweils nur von einem Anwender und nur in einem Modus bearbeitet werden. Der Schreibzugriff für mehrere Modi auf denselben Datensatz wird verweigert.

Jeder Modus ist unabhängig von anderen Modi. Ein Vorgang in einem Modus (z.B. das Schließen des Modus) wirkt sich nicht auf andere Modi aus.

Hinweis:
Sehr viele geöffnete Modi können die Leistung des Systems beeinträchtigen. Der Systemadministrator legt die maximale Anzahl der Modi fest, die Sie gleichzeitig geöffnet haben können.

4.1 Neuen Modus öffnen

Sie haben zwei Möglichkeiten, einen neuen Modus von einem beliebigen Bildschirm im System aus zu öffnen:

  • Wählen Sie in der Menüleiste System -> Erzeugen Modus.
  • Wählen Sie [image].
  • Geben Sie /o als Präfix eines Transaktioncodes in das Befehlsfeld ein.

Das System öffnet ein zusätzliches Fenster. Der neue Modus wird der aktive Modus und bleibt dies auch, solange Sie nicht zu einem anderen Modus wechseln oder einen neuen Modus öffnen.

Jeder Modus hat eine Modusnummer, die in der Statusleiste angezeigt wird:

4.2 Liste mit allen Modi anzeigen

Für die Anzeige von allen Modi für ein System geben Sie /o in das Befehlsfeld ein und bestätigen die Eingabe.

Sie gelangen auf das folgende Dialogfenster:

4.3 Modi schließen

Wenn Sie die Arbeit in einem Modus abgeschlossen haben, schließen Sie ihn. Jeder Modus verbraucht Systemressourcen und kann deswegen die Antwortzeiten des SAP-Systems auf Ihre Anfragen verlangsamen.
Wenn Sie nur einen Modus geöffnet haben und ihn beenden, melden Sie sich dadurch vom System ab. Vor der Abmeldung werden Sie vom System aufgefordert, Ihre Daten zu sichern.

Hinweis:
Wenn Sie mehrere Modi offen haben und lediglich einen von ihnen schließen wollen, wird Sie das System NICHT auffordern, Ihre Daten zu sichern.
Sie müssen daher zunächst alle Daten des betreffenden Modus sichern, sofern Sie diese nicht verwerfen wollen.

Sie können einen Modus auf folgende Weise schließen:

  • Wählen Sie System -> Löschen Modus.
  • Klicken Sie auf [image] in der rechten oberen Ecke des aktiven Modus.
  • Geben Sie /i im Befehlsfeld des zu schließenden Modus ein.
  • Um einen bestimmten Modus zu schließen, geben Sie /i in das Befehlsfeld eines beliebigen Modus ein und fügen die Nummer des zu schließenden Modus hinzu. Beispiel: Mit /i3 schließen Sie den dritten Modus.

Sie haben folgende Möglichkeiten, alle Modi auf einmal zu schließen:

  • Geben Sie /nend in das Befehlsfeld ein.
    /nend fordert Sie auf, die Schließung sämtlicher Modi zu bestätigen.
  • Geben Sie /nex in das Befehlsfeld ein.
    /nex dagegen schließt alle Modi ohne Nachfrage.
  • Wählen Sie in der Menüleiste System -> Abmelden.

Der Unterschied zwischen den beiden Befehlen besteht darin, dass Sie nach Eingabe von /nend aufgefordert werden, das Schließen aller Modi zu bestätigen. Bei /nex werden alle Modi ohne Aufforderung geschlossen.

5 Zwischenablage

Sie können Feldinhalte in die Zwischenablage des Betriebssystems verschieben und von dort wieder abrufen, indem Sie die Zwischenablage-Schnittstelle des Betriebssystems verwenden.

5.1 Vorgehensweise bei einzelnen Feldern

Bei einzelnen Feldern gehen Sie folgendermaßen vor:

  1. Sie wählen ein zu kopierendes oder zu verschiebendes Feld oder dessen Text aus, indem Sie den Cursor an den Anfang des gewünschten Textes positionieren und den Cursor bei gedrückter linker Maustaste über den Text ziehen. Der gewählte Text wird hervorgehoben.
    • Sie entfernen die Information aus einem Eingabefeld und verschieben sie in die Zwischenablage des Betriebssystems, indem Sie Ausschneiden (Strg + X) wählen. Das Feld ist nun leer.
    • Sie kopieren die gewählten Informationen in die Zwischenablage, indem Sie Kopieren (Strg + C) wählen. Die Daten bleiben unverändert im Feld.
  2. Sie fügen den Text ein, indem Sie den Cursor an die Stelle positionieren, an der die Information hinzugefügt werden soll und wählen Einsetzen (Strg + V). Der Text wird an der Stelle eingefügt, an der sich der Cursor befindet. Die in der Zwischenablage vorhandenen Daten verbleiben dort, bis Sie erneut Ausschneiden oder Kopieren verwenden, um einen neuen Text in die Zwischenablage zu verschieben oder zu kopieren. Sie können die Texte auch in Felder anderer SAP-Bilder oder externer Anwendungen einfügen.

5.2 Vorgehensweise bei mehreren Feldern

Für das Kopieren von Daten aus unterschiedlichen Feldern oder Feldtypen eines Bilds in die Zwischenablage müssen Sie den Auswahlmodus einschalten:

  1. Wählen Sie [image] Zwischenablage -> Markieren ( Strg+Y). Der Cursor wird zu einem Kreuz.
  2. Positionieren Sie den Cursor in einer Ecke des Bereichs, den Sie kopieren wollen, halten Sie die linke Maustaste gedrückt und ziehen Sie den Cursor diagonal in die entgegengesetzte Ecke (z.B. von links oben nach rechts unten). Das System zeigt an, welche Zeichen ausgewählt wurden.
  3. Lassen Sie die Maustaste los, wenn das Rechteck den gesamten zu kopierenden Text einschließt.
  4. Wählen Sie Kopieren (Strg + C) oder Ausschneiden (Strg + X). Der gewählte Text wird in die Zwischenablage kopiert. Wenn Sie Ausschneiden wählen, wird der gewählte Text in den Eingabefeldern gelöscht.

    Die Zwischenablage enthält nun alle Informationen aus den von Ihnen markierten Feldern einschließlich der Feldnamen und Kurzbeschreibungen. Sie können diese Methode für das Kopieren des Inhalts aller markierter Felder in ein Bild mit dem gleichen Layout verwenden. Da die Feldnamen an das vorherige Eingabefeld angehängt sind, werden Sie abgeschnitten.

    Hinweis:
    Beachten Sie, dass Sie in diesem Modus nur den sichtbaren Teil der Felder kopieren. Der nicht sichtbare Teil der Eingabefelder wird ebenfalls abgeschnitten.
    Für ein Eingabefeld überträgt diese Operation nur die dargestellten Zeichen in die Zwischenablage, es werden keine zusätzlichen Leerzeichen hinzugefügt.
    Wenn ein Eingabefeld bereits Daten enthät, hängt das Verhalten beim Einfügen des Zwischenablageninhalts in dieses Eingabefeld daher davon ab, ob Sie den Modus "Einfügen" (INS) oder den Modus "Überschreiben" (OVR) verwenden.
    • Modus Überschreiben (OVR)
      Diese Operation überschreibt die ersten Zeichen im Eingabefeld. Es wird dabei genau die gleiche Anzahl von Zeichen übertragen, die vom ursprünglichen Eingabefeld übernommen wurde. Wenn die Anzahl der neu eingefügten Zeichen kleiner ist als die Anzahl der Zeichen, die bereits im Eingabefeld stehen, bleiben die letzten Zeichen der ersten Eingabe dort erhalten.
    • Modus Einfügen (INS)
      Diese Operation fügt die Zeichen der Zwischenablage am Anfang des Eingabefeldes ein ohne den ursprüglichen Inhalt zu überschreiben. Sollte die Länge des Eingabefeldes nicht für alle Zeichen der Zwischenablage ausreichen, werden nur so viele Zeichen eingefügt bis das Eingabefeld voll ausgefüllt ist. Das bedeutet, dass der ursprüngliche Inhalt des Eingabefeldes vollständig erhalten bleibt.

    Diese Funktion kann auch für das Kopieren von SAP-Informationen und deren Einfügen in externe Programme wie Microsoft Word verwendet werden.

Sie können die Funktionen der Zwischenablage auch ausführen, indem Sie [image] -> Zwischenablage -> Markieren/Ausschneiden/Kopieren/Einfügen wählen.

6 Lokales Layout anpassen

Sie haben drei Möglichkeiten für die Konfiguration des optischen Erscheinungsbilds von Ihrem SAP-Logon-Dialog und dem Systemzugriff. Öffnen Sie den Dialog Optionen... über

  • das Einstiegsbild von SAP Logon

  • ein SAP-GUI-Fenster

  • das Startmenü von Microsoft Windows -> Systemsteuerung -> SAP-GUI-Konfiguration.

Hinweis:
Der folgende Abschnitt beschreibt den Dialog Optionen, der hauptsächlich über SAP Logon aufgerufen wird. Die wenigen Abweichungen, die der Dialog aufweist, wenn er über das System oder die Systemsteuerung aufgerufen wird, werden in anderen Abschnitten beschrieben:
6.12 Dialog Optionen aus einem System aufrufen
6.13 Dialog Optionen aus der Systemsteuerung aufrufen

Die Funktion Suchen
Im Dialog Optionen können Sie die Funktion Suchen verwenden.
Damit werden alle Seiten des Dialogs nach der von Ihnen eingegebenen Zeichenfolge durchsucht. Seiten mit Treffern werden im Baum auf der linken Seite markiert.

Hinweis:
Die meisten der von Ihnen definierten Konfigurationsattribute sind global. Das bedeutet, Änderungen wirken sich nicht nur auf das System aus, in dem Sie gerade arbeiten und von dem Sie wahrscheinlich den Dialog Optionen aufgerufen haben, sondern auch auf alle Systeme, auf die Sie anschließend zugreifen. Einige Änderungen wirken sich sogar auf SAP Logon selbst aus.
Manche Änderungen sind direkt nach dem Schließen des Dialogs Optionen wirksam, andere erst in dem Modus, der als nächstes geöffnet wird. Einige Änderungen erfordern den Neustart von SAP Logon. Sie finden detaillierte Informationen in den Beschreibungen der entsprechenden Attribute.

Hinweis:
Die Drucktaste Stand. wiederherstellen löscht alle lokal gespeicherten Optionseinstellungen und stellt die von SAP gelieferten Standardwerte wieder her. Sie haben dabei die Möglichkeit, Ihre Einstellungen und Ihre Sicherheitsregeln unterschiedlich zu behandeln:
Sie können entweder
  • alle Voreinstellungen wieder herstellen, die von Ihnen definierten Sicherheitsregeln jedoch belassen
    oder
  • lediglich alle von Ihnen angelegten Sicherheitsregeln löschen ohne dabei alle anderen Einstellungen wieder auf den Standard zurückzusetzen
    oder
  • Sie setzen sowohl die von Ihnen vorgenommenen Einstellungen als auch die von Ihnen angelegten Sicherheitsregeln zurück auf die von SAP ausgelieferten Standardwerte.

Hinweis:
Die Einstellungen des Optionen-Dialogs können durch den System-Administrator in einen read-only Modus gesetzt werden. Je nach dem, ob alle Einstellungsmöglichkeiten eines Dialogs eingefroren werden sollen oder nur vereinzelte Werte, finden Sie in der Titelzeile des Dialogs den Hinweis [read-only] oder [teilweise read-only].
Weitere Informationen finden Sie im SAP Hinweis 1669256.

6.1 Themes

Manche Optionen des SAP GUI unterscheiden sich je nach Ihrer Theme-Auswahl für SAP GUI. Deswegen ist die Auswahl des richtigen Theme für Ihre Anwendung der erste Schritt des Konfigurationsprozesses.

Standardmäßig ist das SAP Signature Design gewählt.

Hinweis:
Nach einer Änderung des SAP-GUI-Theme ist ein Neustart von SAP Logon erforderlich.
Die Auswahl Theme wirkt sich auf alle Systemzugriffe und auf SAP Logon selbst aus.

6.2 Visuelles Design

Wenn Sie das gewünschte Theme für Ihre Anwendung gewählt haben, können Sie die visuellen Einstellungen, beispielsweise für Schriftarten oder integrierte Anwendungen, anpassen:

6.2.1 Theme-Vorschau/-Einstellungen

Im rechten Bildbereich wird eine Vorschau des gewählten Theme angezeigt.
Wenn Sie die Auswahl Theme in der Dropdown-Liste darüber ändern, zeigt die Vorschau sofort das neu gewählte Theme an. Beachten Sie, dass Sie nach einer Änderung Ihrer Auswahl die Option Übernehmen wählen und SAP Logon neu starten müssen, bevor Sie mit dem neuen Theme fortfahren können.

  • Animierten Fokus aktivieren
    (Nur für SAP Signature Theme und Corbu Theme verfügbar)
    Kleine rote Ecken zeigen an, in welchem Feld der Cursor gerade aktiv ist. Wählen Sie Strg für das Hervorheben der aktuellen Cursor-Position.
  • Rahmen mit Schatten anzeigen
    (Nur für SAP Signature Theme verfügbar)
    Deaktivieren Sie diese Option bei Bedarf, um die Performance zu verbessern.
  • Kontrastreiches Theme aktivieren
    siehe 6.2.1.1
  • Ikonen des Corbu Themes verwenden
    (Nur für SAP Signature Theme verfügbar)
    Zusammen mit dem Corbu Themes wurde ein grafisch überarbeitetes Set an System-Ikonen ausgeliefert. Sie haben die Möglichkeit, die moderneren Ikonen auch in Verbindung mit dem SAP Signature Theme zu verwenden.

6.2.1.1 Theme mit kontrastreicher Darstellung

Dieser Modus kann für Menschen mit einer Sehbehinderung wichtig sein. Die angezeigten Schriftfarben ändern sich zu Weiß auf schwarzem Hintergrund.

  1. Setzen Sie das Kennzeichen für das Ankreuzfeld Kontrastreiches Theme aktivieren.
  2. Wählen Sie Übernehmen.
  3. Führen Sie einen Neustart von SAP Logon durch.

Hinweis:
Nur für SAP Signature Theme und Enjoy Theme können Sie eine kontrastreiche Darstellung wählen.

6.2.2 Schriftarteinstellung

Proportionalen Schriftarteinstellungen:
Diese Auswahl ist nur dann aktiv, wenn Sie Proportionale Schriftart auswählen markiert haben.

6.2.3 Branding

Hinweis:
Nur für SAP Signature Theme und Corbu Theme können Sie ein Branding einblenden.

Sie haben die Möglichkeit, die Titelleiste einer SAP GUI Session mit einem Branding Ihrer Wahl zu versehen.
Hierfür muss diese Option zunächst zentral vom System-Administrator aktiviert werden (weitere Informationen finden Sie im Hinweis 1669254). Die von Ihnen ausgewählte Grafik wird unter Beibehaltung der Seitenverhältnisse auf die vorhandene Höhe der Titelleiste skalliert.

6.2.4 SAP Signature Theme: Default Color

Mit Hilfe diese Dialogs können Sie eine system- und mandatenunabhängige Standardfarbe festlegen, die in Zukunft für Ihre Anmeldungen verwendet werden soll. Diese Farbeinstellung wird immer dann gezogen, wenn für das System, an dem Sie sich anmelden wollen, keine system-spezifischen Konfigurationen (siehe 6.12.1 SAP Signature Theme: Color in System) vorgenommen wurden.
Mit dem Ankreuzfeld Accept default color defined by SAP system geben Sie einer Farbeinstellung, welche ggf. am jeweiligen Backend-System hinterlegt wurde, den Vorzug vor Ihrer persönlichen Einstellung. Weitere Informationen zur Hinterlegung von Standardfarbeinstellungen im System finden Sie in den SAP Hinweisen 1640960 und 1642105).

6.2.5 Enjoy Theme: Farbeinstellungen

Sie können Farbeinstellungen nur für die Themes Enjoy, Streamline, Tradeshow und System Dependent vornehmen. Diese Funktion wird deswegen nur angezeigt, wenn Sie eines dieser Themes für die aktuelle Darstellung von SAP GUI gewählt haben:

  1. Wählen Sie die Schaltfläche Farbeinstellungen konfigurieren.
  2. Wählen Sie eine der angebotenen Varianten auf der linken Seite oder konfigurieren Sie Ihre persönlichen Einstellungen für die Vorder- und Hintergrundfarben.

    • Ihre persönliche Einstellung als eine auswählbare Variante sichern Sie, indem Sie Sichern unter... wählen, einen Namen eingeben und den Dialog bestätigen. Die neue Farbeinstellungsvariante wird in die Liste auf der linken Seite des Dialogfensters aufgenommen und kann nun gewählt werden.
    • Sie löschen eine zuvor gesicherte Farbeinstellungsvariante, indem Sie Löschen wählen und bestätigen.
    • Zum Zurücksetzen der aktuellen Konfiguration und Wiederherstellung der Standardeinstellungen wählen Sie die Drucktaste Wiederherstellen. Diese Aktion wirkt sich nicht auf Ihre aufgelisteten persönlichen Varianten aus.
  4. Wählen Sie OK, um den Dialog zu schließen.

6.2.5.1 Zeiteinstellungen

Wenn Sie das Ankreuzfeld Zeiteinstellungen aktivieren markieren, wird der Dialog Farbeinstellungen erweitert. Die zusätzlichen Optionen erlauben es Ihnen, einen Farbgradienten über einen vordefinierten Zeitraum von maximal einem Tag zu konfigurieren. Die Vorder- und Hintergrundfarben werden zunächst die gewählten Startfarben sein und sich langsam in die gewählten Endfarben verwandeln.

6.2.6 Classic Theme: Optionen, Farbe in Listen, Farbe in Formularen

Nur das GUI-Theme Classic bietet zusätzliche Optionen und die Möglichkeit, Farben für Listen und Formulare zu konfigurieren.

Finden Sie selbst heraus, welche Konfiguration sich für Ihre Zwecke am besten eignet.

6.3 Interaktionsdesign

Diese Seiten enthalten eine Anzahl von Einstellungen, die die Interaktion mit dem System betreffen, beispielsweise akustische Benachrichtigungssignale und das Verhalten von Bildschirmelementen.

6.3.1 Tastatureinstellungen

Die Tastatureinstellungen enthalten die folgenden Ankreuzfelder:

Zugriffsschlüssel aktivieren:
Siehe Tabelle 8.4 Andere Tastaturbefehle

Fokus bei Erreichen d. Eingabefeldendes automatisch auf nächstes Eingabefeld ...:
Wenn automatisches Tabbing (AutoTAB) aktiviert ist, bewegt sich der Cursor automatisch zum nächsten Eingabefeld, wenn die maximale Anzahl von Zeichen in ein Feld eingegeben wurde. Diese Funktion ist hilfreich, wenn Sie eine große Datenmenge eingeben und Sie nicht die Tabulatortaste für das Wechseln zwischen den Feldern verwenden wollen.
AutoTAB ist nur am Ende des Eingabefelds möglich. Wenn beispielsweise das Feld Material 12 Zeichen beinhalten kann, aber die von Ihnen eingegebene Zahl nur 7 Stellen hat, müssen Sie dennoch die Tabulatortaste betätigen, um zum nächsten Eingabefeld zu gelangen.

Position des Text-Cursors in Eingabefeld merken:
Diese Funktion kommt genau dann zum Tragen, wenn ein Eingabefeld mit Hilfe des Tabbing zum wiederholten Male angesteuert wird. Ist diese Funktion aktiviert, wird der Cursor genau an die Stelle plaziert, an der er stand als dieses Eingabefeld zuletzt verlassen wurde.
Wenn die Tastatureinstellung Beim Anwählen eines Feldes im Eingabemodus (INS)... sowie der Eingabemodus (INS) ausgewählt wurden, kann die Funktion Position des Text-Cursors ... nicht verwendet werden.

Text-Cursor beim Betreten eines Feldes am Ende des Wertes positionieren:
In diesem Fall wird der Cursor an das Textende eines Eingabefelds platziert, wenn Sie rechts neben den Text, also in den Leerzeichenbereich des Eingabefeldes klicken. Bei rechtsbündigen Eingabefeldern wird der Cursor unmittelbar links des Textes platziert, wenn Sie im Eingabefeld links neben den Text klicken.

Beim Anwählen eines Feldes im Eingabemodus (INS) autom. den ... :
Ist diese Funktion aktiviert, wird der Inhalt eines Eingabefeldes automatisch selektiert, wenn Sie mit Hilfe der Tabulatortaste in das Feld hinein springen. Der Eingabemodus (INS) muss dafür aktiv sein.

Mauszeiger folgt automatisch dem Fokus (...):
Diese Option bewirkt, dass der Mauszeiger sich in einer SAP GUI Session stets automatisch mit dem Fokus bewegt (gilt nicht für SAP Logon). Wenn Sie per Tastatur von einem UI Element zum nächsten springen, wird auch der Mauszeiger automatisch auf dieses Element gesetzt. Diese Option ist vor allem sinnvoll bei der Verwendung von Vergrößerungswerkzeugen (wie z.B. Microsoft Windows Magnifier), da der mit diesen Werkzeugen dargestellte Bereich nicht durch den Fokus, sondern durch die Position des Mauszeigers bestimmt wird.

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.3.2 Visualisierung

Die Einstellungen von Visualisierung bieten die folgenden Optionen:

Cursorbreite
Einstellung | Funktion
Schmaler Cursor | Markiert: Es wird ein schmaler Cursor verwendet.
Breiter Cursor | Markiert: Es wird ein breiter Cursor verwendet.
Block-Cursor | Markiert: Es wird ein Block-Cursor verwendet. Dies kann ein breiter oder schmaler Cursor sein, je nachdem welche anderen Einstellungen für die Cursor-Breite vorgenommen wurden.

Controls
Einstellung | Funktion
Schlüssel in Dropdown-Listen anzeigen | Markiert: Es werden zusätzlich zum Text auch Schlüssel in den Dropdown-Listen angezeigt. Die Einstellung ist für Experten sinnvoll, die es bevorzugen, mit Schlüsseln statt nur mit Textbeschreibungen zu arbeiten. Entmarkiert: Es wird ausschließlich Text in den Dropdown-Listen angezeigt.
In Dropdown-Listen nach Schlüssel sortieren für effektivere Tastatureingabe | Markiert: Alle Einträge in der Dropdown-Liste werden nach Schlüssel sortiert. Entmarkiert: Die Einträge werden gemäß der Anwendungseinstellungen sortiert.

Batch Input
Einstellung | Funktion
Dialog für OK-Code | Markiert: Im Batch-Input-Modus wird die Anzeige einer zusätzlichen Dialog-Box für das OK-Code-Feld zugelassen

Listen
Einstellung | Funktion
Cursor in Listen verwenden | Markiert: Die Verwendung des Cursors in Listen wird zugelassen
Linien in Listen anzeigen | Markiert: Bei der Darstellung der Liste werden Linien angezeigt
Links in Listen unterstreichen | Markiert: Links werden unterstrichen dargestellt
Microsoft ClearType für Listentexte erlauben | Markiert: Die Verwendung von Microsoft ClearType bei der Schriftdarstellung in einer Liste wird zugelassen

Fensterüberschrift
Einstellung | Funktion
Zusätzliche Informationen in der Fensterüberschrift von SAP GUI anzeigen | Markiert: In der Titelzeile des SAP GUI Fensters werden zusätzliche Informationen über das System angezeigt, mit dem der SAP GUI verbunden sind - allerdings nur so lange das Fenster nicht aktiviert ist. Sobald das SAP GUI Fenster aktiviert wurde verschwinden diese Informationen und die Titelzeile wird zur Darstellung des Hauptmenüs verwendet.
Auslassungspunkte anzeigen (...), wenn Text nicht ganz angezeigt werden kann | Markiert: Die drei Punkte (...), die andeuten, dass der Feldinhalt nicht vollständig angezeigt werden kann, werden auch im I18n Modus gezeichnet. Standardmäßig werden sie in diesem Modus nicht gezeichnet. (Siehe hierzu auch SAP Hinweis 1352364).

6.3.3 Benachrichtigungen

Die Einstellungen Benachrichtigungen enthalten die folgenden Ankreuzfelder:

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.3.4 Control-Einstellungen

Die Einstellungen Control-Services enthalten die folgenden Ankreuzfelder:

Wenn Sie die Option Anpassbare Position des Docking Containers aktivieren, können Sie die Position des Docking Containers im SAP GUI Fenster variieren. Mit Hilfe der Tastenkombination ALT & F12 können Sie die neue Position des Docking Containers abspeichern bzw. wieder löschen.

Weitere Informationen über Control-Services finden Sie unter:
Anhang A: Arbeiten mit Control-Services
Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.3.5 Toneinstellungen

Die Toneinstellungen enthalten die folgenden Ankreuzfelder:

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.4 Barrierefreiheit & Scripting

Um den SAP GUI für Menschen mit Sehbehinderungen leichter zugänglich zu machen, bieten folgende Themes einen barrierefreien Modus an:

  • SAP signature Theme
  • Classic Theme

Wenn Sie in den barrierefreien Modus wechseln, stehen die folgenden beiden Optionen zur Auswahl:

  • Schreibgeschützte und deaktivierte Elemente in Tabulatorfolge einbeziehen:
    Deaktivierte und schreibgeschützte Elemente werden bei Fokus-Tabbing innerhalb eines Bilds nicht übersprungen da deren Inhalt ebenfalls wichtig sein könnte.
  • Symbole in Listen als Buchstaben anzeigen:
    Im Gegensatz zu Symbolen können Buchstaben von einem Screenreader identifiziert werden.

Hinweis:

Wenn Sie Classic Theme oder SAP Signature Theme verwenden, den Barrierefreiheitsmodus ausgewählt und SAP Logon/SAP-Logon-Pad neu gestartet haben, wird die Baumstruktur auf der linken Seite des Optionen-Dialogs nun vereinfacht dargestellt, da nur eine solche Darstellung standardmäßig für Screenreader zugänglich ist.
Diese Darstellung wird auch dann automatisch gewählt, wenn mit Hilfe des Screenreaders JAWS auf den Optionen-Dialog zugegriffen wird. Auf diese Weise ist es für jedes verfügbare Design möglich, den Barrierefreiheitsmodus über den Screenreader JAWS zu aktivieren. Die Suchfunktion des Optionen-Dialogs entfällt in diesem Fall jedoch aus technischen Gründen.
Mit Auswahl des Barrierefreiheitsmodus wird auch SAP Logon/SAP-Logon-Pad in einer vereinfachten, für Screenreader zugänglichen Weise dargestellt (durch Aktivierung der Listenansicht).

Scripting:
 Scripting für SAP GUI ist eine Automationsschnittstelle, die die Funktionen von SAP GUI for Windows und Java erweitert. Diese Schnittstelle erlaubt es Endbenutzern, sich wiederholende Anwendungen zu automatisieren, indem sie aufgezeichnet und makroähnliche Skripts ausgeführt werden. Außerdem können Administratoren und Entwickler Werkzeuge für Server-seitige Anwendungstests oder Client-seitige Anwendungsintegration entwickeln.

Sie können die entsprechenden Einstellungen nur dann konfigurieren, wenn das Scripting lokal installiert und server-seitig freigeschaltet ist. Informationen zur Installation sowie eine Dokumentation der SAP-GUI-Scripting-API finden Sie im SCN im Bereich des SAP GUI. Informationen zum Aufnehmen und Abspielen von Skripten finden Sie im Abschnitt Weitere Optionen - Script-Aufzeichnung und Playback
Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.5 Einstellung - mehrere Sprachen

Die Einstellungen zur Unterstützung mehrerer Sprachen sind standardmäßig aktiviert. Sie können die Einstellungen für SAP GUI an Ihre Systemumgebung anpassen, indem Sie die folgenden Konfigurationsseiten verwenden.

6.5.1 IME

Die Attribute auf dieser Seite wirken sich auf das Verhalten des Eingabemethode-Editors (Input Method Editor, IME) aus, der für die Eingabe der Zeichen für mehrere Sprachen verwendet wird.

Multibyte-Eingabe
Einstellung | Funktion
Fortlaufende Eingabe über zwei Zeilen | Ermöglicht die fortlaufende Eingabe von Multi-Byte-Texten in zwei Zeilen (Eingabefelder).

IME automatisch schließen
Einstellung | Funktion
Bei numerischen oder rechtsbündigen Feldern | IME schließt bei numerischen oder rechtsbündigen Feldern.
Bei 1-Byte-Feldern | IME schließt bei 1-Byte-Feldern.

Alternativer Ein-/Ausschalter für IME
Einstellung | Funktion
Umschalttaste+Leertaste | Verwenden Sie Umschalttaste+Leertaste, um IME ein- oder auszuschalten.
Strg+Leertaste | Verwenden Sie Strg+Leertaste, um IME ein- oder auszuschalten.
Keiner | Keine alternative Ein/Aus-Tastenkombination für IME.

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.5.2 Kodierung

Textkodierung
Einstellung | Funktion
Latin1-Zeichen automatisch erkennen | Latin1-Zeichen werden auch bei einem Multi-Byte-Zeichensatz angezeigt.

Tastaturlayout
Einstellung | Funktion
Schriftart an Eingabesprache anpassen | Die Schriftart und der Zeichensatz werden an das Tastaturlayout angepasst.

SAP Codepage
Einstellung | Funktion
Schriftart beim Anmelden an SAP Codepage anpassen | Die Schriftart und der Zeichensatz werden an die vom Server gesendete SAP-Codepage angepasst. Standardmäßig ist diese Option aktiviert.

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.5.3 Grafik

Schriftart
Einstellung | Funktion
Benutzereinstellung | Wählen Sie die Schriftarten für die SAP-Grafiken. Bei Verwendung dieser Option werden die internen Einstellungen der Grafik überschrieben.
Lokale Texte
Einstellung | Funktion
Immer diese Sprache verwenden | Lokale Texte von SAP-Grafiken werden in dieser Sprache (Beispiel: DE für Deutsch) unabhängig von der Anmeldesprache angezeigt.
PostScript-Schriftart
Einstellung | Funktion
Zu ladende Schriftartdatei | Geben Sie den Dateinamen der PostScript-Schriftart für das Drucken von SAP-Grafiken an.
Name der Schriftart | Geben Sie den PostScript-Schriftartnamen für das Drucken von SAP-Grafiken an.

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.5.4 Sonstige

Tastaturbefehl
Einstellung | Funktion
Tastaturbefehl für Multibyte-Menü ausblenden | Tastaturbefehle werden für Multi-Byte-Menüs nicht angezeigt.

Funktionstaste
Einstellung | Funktion
Funktionstaste nicht senden, wenn IME geöffnet ist | Es wird keine Funktionstaste zum Server gesendet, wenn IME geöffnet ist.

Systemparameter
Einstellung | Funktion
Menüschriftart | Ändern Sie hier die Menüschriftart.
Titelschrift | Ändern Sie hier die Titelschriftart.

Lokale Texte
Einstellung | Funktion
Spracheinstellung von SAP Logon verwenden | Lokale Menüs und Nachrichten vom SAP-Frontend werden unabhängig von der Anmeldesprache in der für SAP Logon festgelegten Sprache angezeigt.

RTL/LTR-Layout
Einstellung | Funktion
Layout in Übereinstimmung mit der Anmeldesprache setzen | Das RTL-Layout wird eingestellt, wenn die Anmeldesprache Arabisch oder Hebräisch ist. Standardmäßig ist diese Option aktiviert.

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.6 Lokale Daten

6.6.1 Historie

Einstellung | Funktion
Aus | Die Historie der Eingaben ist nicht verfügbar.
Ein | Die Historie der Eingaben ist verfügbar bis zu einer maximalen Feldlänge von standardmäßig 59 Zeichen. Jede Eingabe wird in der Datenbank lokal gespeichert. Wenn Sie Daten eingeben oder die Rücktaste betätigen, wird eine Liste für das Eingabefeld mit Fokus angezeigt.
Sofort | Die Historienliste wird sofort für das Eingabefeld mit Fokus angezeigt, bevor eine Eingabe vorgenommen wird.
Ablaufzeit | Gibt an, wann Einträge als veraltet gelten und gelöscht werden können.
Maximal zulässige Dateigröße | Gibt die maximale Dateigröße der lokal gespeicherten Datenbank für Historieneinträge an. Die Größe muss größer als 0 sein, weil sonst keine Historie verfügbar ist.
Maximale Anzahl Einträge | Gibt an, wie viele Werte gespeichert werden. Die erlaubten Werte liegen zwischen 1 und 20.
Historie aktivieren für Felder bis | Gibt die maximale Länge der Eingabefelder an, bis zu der das System die Historie schreibt. Die maximal mögliche Feldlänge beträgt 255, der Standard ist 59. Beachten Sie, dass eine Änderung erst nach einem Neustart von SAP GUI wirksam ist.
Historie löschen | Es werden alle Historieeinträge gelöscht. Dies betrifft alle Systeme.

Feld-selektive Aktivierung der Eingabehistorie
Sie können die Historie für einzelne Eingabefelder auch dann aktivieren, wenn deren Feldlänge die allgemein eingestellte maximale Länge überschreitet. Setzen Sie hierfür den Cursor in das betreffende Eingabefeld, halten Sie die STRG-Taste gedrückt und öffnen Sie dann mit einem Klick der rechten Maustaste das Kontextmenü des Eingabefeldes. Das Kontextmenü wird die Einträge zur Eingabehistorie zusätzlich anbieten:

Mit Hilfe der Funktion Historie aktivieren können Sie grundsätzlich alle Eingabehistorien zulassen, auch wenn deren Feldlänge die vordefinierte Länge überschreitet.
Entsprechend unterbinden Sie mit Hilfe der Funktion Historie deaktivieren auch solche Eingabehistorien, deren Feldlänge innerhalb der vordefinierten Grenze liegt, die Funktion der Eingabehistorie wird für dieses Feld vollständig abgeschaltet.
Mit Hilfe der Funktione Standardeinstellung verwenden können Sie die Feld-selektive Einstellung wieder entfernen.

Verzeichnis der Eingabehistorie
Wenn Sie den Dialog Optionen vom SAP-Logon-Fenster oder aus dem Startmenü Ihres lokalen Rechners aus aufgerufen haben, können Sie den Pfad des lokalen Verzeichnises ändern, in dem die Eingabehistorie-Informationen gespeichert werden.

Hinweis:
Wenn Sie den Dialog Optionen aus dem Startmenü Ihres lokalen Rechners aus aufgerufen haben, können Sie den Pfad nur ändern, wenn gleichzeitig kein Modus geöffnet ist und SAP Logon/Logon Pad nicht laufen.
Wenn Sie den Dialog Optionen aus dem SAP-Logon-Fenster aufgerufen haben, können Sie den Pfad nur ändern, wenn gleichzeitig kein Modus geöffnet ist.

Ändern Sie bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.6.2 Cache

Im lokalen Cache werden heruntergeladene Bilder und in Dropdown-Listen enthaltene Daten gespeichert.

Einstellung | Funktion
Maximale Cache-Größe | Gibt die maximale Gesamtgröße aller Cache-Dateien an.
Maximale Cache-Dateigröße | Gibt die maximale Größe einer Cache-Datei an.

Ändern Sie nur bei Bedarf die Einstellungen und bestätigen Sie den Dialog.

6.6.3 Lebensdauer Datei

Auf dieser Seite können Sie festlegen, wie lange Dateien, die in einem dieser beiden Verzeichnisse abgelegt wurden, gespeichert werden sollen. Solange Sie die Voreinstellung nicht ändern, werden sowohl alle von Ihnen herunter geladenen Dokumente als auch alle Trace-Dateien nicht gelöscht sondern unbegrenzt aufbewahrt. Sie können jedoch auch für beide Verzeichnisse getrennt festlegen, dass die dort abgelegten Dateien entweder
  • mit jedem Beenden des SAP Logon(-Pad)
  • oder nach einer von Ihnen bestimmten Zeitspanne (für Dokumenten seit der letzten Änderung, für Trace-Dateien seit dem Anlegen) gelöscht werden.

Ein drittes Verzeichnis, in dem vom SAP System temporär Dateien abgelegt werden können, wird in jedem Fall mit dem Beenden des SAP Logons automatisch geleert.

6.6.4 Lokale Tabulatorfolge

Auf dieser Seite können Sie das Verzeichnis festlegen, in welchem die Informationen zur Konfiguration lokaler Tabulatorfolgen abgelegt werden. (Weitere Informationen zu lokalen Tabulatorfolgen finden Sie unter Konfiguration der Tabulatorfolge).

  • Lokale Tabulatorfolge löschen:
    Über diese Schaltfläche werden alle lokal definierten Tabulatorfolgen gelöscht.

6.7 Traces

Traces sind hilfreich bei der Suche nach Fehlern in Programmen. Während ein Prozess mit aktiviertem Trace läuft, wird eine Trace-Datei mit allen relevanten Informationen angelegt. Diese Trace-Datei wird im Trace-Ordner gespeichert. Sie können den Trace-Ordner nur auf der Seite Modus-Traces konfigurieren, aber Sie können diese Seite auch von den Seiten SAP-GUI-Traces und SAP-Logon-Traces aufrufen.

6.7.1 Modus-Traces

Sie können Modus-Traces dafür verwenden, Informationen über Fehler unterschiedlicher Anwendungskomponenten einer aktuell laufenden SAP-GUI-Sitzung abzurufen. Sie können eine oder mehrere dieser aufgelisteten Komponenten wählen. Beispiel: ABAP Editor oder Kalender für Tracing.

Wenn Sie den Modus für Modus-Traces aktivieren, werden Fehler und Warnungen automatisch angezeigt. Sie werden möglicherweise aufgefordert, die Option Zeitstempel für das Performance-Tracing oder die Option Speicher für das Tracing der Speicherbelegung von SAP GUI zu aktivieren.
Wählen Sie eine oder mehrere Komponenten, für die ein Tracing durchgeführt werden soll. Wenn Sie Alle wählen klicken, werden alle verfügbaren Komponenten ausgewählt.
Das folgende Beispiel zeigt, wie Sie einen Automation-Trace ausführen sollten:

  1. Wählen Sie bei Bedarf Auswahl aufheben.
  2. Setzen Sie das Kennzeichen für Automation in der Komponentenliste.
  3. Für eine ausführliche Ausgabe setzen Sie das Kennzeichen für Detail. Ausgabe.

    4. Wenn Sie das Kennzeichen für Fenster anzeigen setzen, wird der generierte Text in einem separaten Fenster angezeigt. Dies wirkt sich jedoch nachteilig auf die Performance aus.
  4. Wählen Sie Aktivieren.
  5. Wählen Sie OK.
  6. Versuchen Sie den Fehler nachzuvollziehen.

Hinweis:
Sie erhalten die Trace-Informationen über die generischen Systemfunktionen durch das Setzen des Kennzeichens für die Trace-Option General (vormals Monitor) in der Komponentenliste.

Sie schalten die Trace-Einstellungen aus, indem Sie das Trace-Dialogfenster der SAP-GUI-Optionen erneut öffnen und Deaktivieren wählen. Wenn Bei Deaktivier. anzeigen markiert ist, wird die Trace-Datei automatisch durch das Wählen von Deaktivieren geöffnet. Sie können die Trace-Datei auch manuell öffnen, indem Sie Trace anzeigen wählen.
Zum Schließen des Dialogfensters wählen Sie OK.

6.7.2 SAP-GUI-Traces

Das SAP-GUI-Trace überprüft die Kommunikation zwischen dem Backend-Server und Ihrem lokal installierten SAP GUI. Sie können das SAP-GUI-Trace aktivieren, indem Sie einen geeigneten Trace-Level wählen und den Dialog bestätigen.
Eine weitere Möglichkeit, Traces zu aktivieren, wird unter Fehleranalyse, 7.4 SAP-GUI-Trace beschrieben.

6.7.3 SAP-Logon-Traces

Das SAP-Logon-Trace wird für die Analyse von Problemen innerhalb des SAP-Logon-Dialogs verwendet.
Eine weitere Möglichkeit, Traces zu aktivieren, wird unter Fehleranalyse, 7.2 SAP-Logon-Trace beschrieben.

6.8 Sicherheit

Sicherheit ist immer ein wichtiges Thema, das viel Aufmerksamkeit verdient. Beispiele von Sicherheitsmaßnahmen:

  • Vermeiden Sie es, dubiose Programme auf dem Frontend-Rechner auszuführen.
  • Verhindern Sie, dass nicht autorisierte Mitarbeiter auf vertrauliche Dokumente zugreifen können.
  • Schützen Sie systemrelevante Konfigurationsdateien gegen ungewollte Änderungen, die durch Backend-Prozesse ausgelöst werden.

Note:
Sie finden weitere Informationen in Englischer Sprache im SCN:
Security Guide SAP GUI for Windows.

SAP GUI bietet Ihnen ein umfassendes Werkzeug an, mit dem Sie eine Vielzahl von Sicherheitseinstellungen konfigurieren können.

Auf dem nachgelagerten Sicherheitskonfigurationsdialog können Sie die Einstellungen im Einzelnen festlegen:

Sie können hier alle vorhandenen Regeln nach verschiedenen Kriterien filtern und nach einzelnen Regeln suchen. Um die Liste nach einer der Spalten zu sortieren, klicken Sie einfach auf die Überschrift der jeweiligen Spalte. Zusätzlich können Sie Regeln, die durch SAP angelegt wurden sowie Regeln, die Ihr Adminstrator eingefügt hat, ausblenden. Dies ist üblicherweise sinnvoll, da Sie diese Regeln nicht ändern können. Sollte es jedoch zu einem unerwarteten Verhalten des Sicherheitsmodules kommen, kann die Einblendung dieser Regeln sinnvoll sein um festzustellen, ob sich zwei odere mehr Regeln unterschiedlichen Ursprungs eventuell gegenseitig behindern.

6.8.1 Sicherheitsstatus

Der Sicherheitsstatus definiert die generelle Ebene der angewandten Sicherheitsregeln.

  • Deaktiviert:

    Es werden keine Sicherheitsprüfungen durchgeführt. Das Backend kann jedes Programm ausführen, für das der Benutzer auf dem Client-PC ausreichende Berechtigungen hat.
    Die aufgelisteten Sicherheitsregeln haben keinerlei Auswirkungen, alle Aktionen können ohne Ausnahme durchgeführt werden. Die Standardaktion kann nicht geändert werden und wird im Sicherheitskonfigurationsdialog als Zulassen angezeigt.

    Hinweis:
    Zur Vermeidung unerwarteter Aktivitäten auf dem Client-PC rät Ihnen SAP dringend davon ab, den Sicherheitsstatus Deaktiviert zu verwenden.

  • Regelbasiert:

    Wenn Sie den Sicherheitsstatus Regelbasiert wählen, wird die Sicherheitsprüfung für jede definierte Aktion durchgeführt. Zwei Möglichkeiten stehen zur Auswahl:

    1. Mit Sicherheitsregel
      Eine Regel für die betreffende Aktion wurde angelegt (weitere Informationen: 6.8.2 Sicherheitsregeln):
      SAP GUI prüft nun die vordefinierte Aktion (Zulassen, Fragen oder Ablehnen), die mit dieser Regel konfiguriert wurde und verhält sich entsprechend.

    2. Ohne Sicherheitsregel
      Es wurde keine Regel für die betreffende Aktion angelegt:
      SAP GUI führt die Standardaktion (Zulassen, Fragen oder Ablehnen) durch, die Sie im Sicherheitskonfiguratinsdialog als Standardaktion festgelegt haben.

    Hinweis:
    Wenn Sie die Sicherheitsstufe Regelbasiert wählen, überlegen Sie gut, welche Standardaktion Sie für den generellen Sicherheitsstatus wählen.
    Die Entscheidung für Zulassen bedeutet, Sie geben die Kontrolle über bestimmte von Backend-Prozessen ausgelöste Aktionen auf.
    Wenn Sie Fragen wählen, wird der Benutzer zumindest darüber informiert, dass das System versucht, eine möglicherweise kritische Aktion auszuführen. Der Benutzer kann dann entscheiden, ob die Aktion ausgeführt wird oder nicht.
    Im Falle der gewählten Option Ablehnen kann der Benutzer nur die Aktionen ausführen, die explizit gemäß der Konfiguration ihrer Regeln erlaubt sind. Die Ausführung von unerwarteten Aktionen, für die keine Regeln definiert wurden, wird standardmäßig abgelehnt.

    Regelbasiert: Was passiert zur Laufzeit?

    • Standardaktion Fragen:

      Wenn eine aktionsspezifische Regel oder der generelle Sicherheitsstatus festlegt, dass der Benutzer zur Laufzeit entscheiden muss, ob eine Aktion ausgeführt wird oder nicht, erscheint ein Dialogfenster auf dem Bildschirm. Zum Beispiel:

      Der Text in dem Dialogfenster unterscheidet sich je nach Herkunft der abfragenden Regel oder des generellen Status und der betroffenen Aktion.

      Die folgende Tabelle listet die möglichen Optionen:

      Option | Effekt auf die im Popup erwähnte Aktion | Effekt auf die Sicherheitsregeln im SAP GUI Optionendialog
      Zulassen Lässt die Ausführung der Aktion in diesem einen Fall zu. In Zukunft werden Sie erneut gefragt, ob diese Aktion ausgeführt werden soll.
               Keine
      Zulassen &
      Meine Entscheidung merken             		Wenn Sie das Ankreuzfeld Meine Entscheidung merken gesetzt haben und die Schaltfläche Zulassen klicken, wird die betreffende Aktion in diesem Kontext von nun an immer zugelassen.
      (Zum Begriff Kontext siehe auch 6.8.2 Sicherheitsregeln -> Anzahl an Kontexten).       		Sicherheitsregel wird angelegt
      Ablehnen | Lehnt die Ausführung der Aktion dieses Mal ab ohne eine Sicherheitsregel anzulegen. Die Ablehnung der Aktion kann grundsätzlich dazu führen, dass eine Anwendung fehlerhaft reagiert, da die Aktion unter Umständen von der Anwendung benötigt wird. In Zukunft werden Sie erneut gefragt, ob diese Aktion ausgeführt werden soll. | Keine
      Ablehnen &
      Meine Entscheidung merken             		Wenn Sie das Ankreuzfeld Meine Entscheidung merken gesetzt haben und die Schaltfläche Ablehnen klicken, wird die betreffende Aktion in jedem Kontext von nun an immer abgelehnt.
      (Zum Begriff Kontext siehe auch 6.8.2 Sicherheitsregeln -> Anzahl an Kontexten).       		Sicherheitsregel wird angelegt

      Ihr Systemadministrator sollte das Set der bestehenden SAP GUI Sicherheitseinstellungen in einer Weise erweitern, sodass Ihre Arbeit möglichst wenig durch Sicherheitsabfragen behindert wird. Wenn Sie eine Anwendung häufiger verwenden, die eine Vielzahl von Sicherheitsabfragen generiert, sollten Sie Ihren Systemadministrator kontaktieren damit ein geeignetes Set an Sicherheitsregeln erstellt wird um die Anzahl der Abfragen auf ein Minimum zu reduzieren.

      Wenn Sie aus Versehen eine Sicherheitsregel angelegt haben, können Sie diese über den SAP GUI Optionendialog, Kapitel 6.8.2.3 Vom Benutzer definierte Regeln, wieder entfernen.

    • Standardaktion Ablehnen:

      Wenn eine aktionsspezifische Regel oder der generelle Sicherheitsstatus für eine bestimmte Anfrage die Standardaktion Ablehnen vorsieht, wird der Benutzer darüber mit dem folgenden Dialog informiert:

      Um weitere Informationen zur abgelehnten Anfrage zu erhalten, klicken Sie bitte die Schaltfläche Ja. Der folgende Dialog erscheint:

      Klicken Sie die Schaltfläche Details um alle relevanten Informationen zur jeweils ausgewählten Anfrage zu erhalten. Sie können die Informationen an dieser Stelle auch direkt abspeichern ohne sie vorher zur Anzeige zu bringen.
      Der Dialog Server-Aktion: Detailsicht wird Ihnen ebenfalls die Möglichkeit geben, die Informationen bei Bedarf zu speichern:

      Setzen Sie sich mit Ihrem Systemadministrator in Verbindung, wenn eine Anfrage aufgrund einer vom Administrator definierten Regel oder einer von SAP definierten Regel unerwartet abgelehnt wurde. Prüfen Sie Ihre eigenen Regeleinstellungen falls eine Anfrage aufgrund einer von Ihnen selbst definierten Regel abgelehnt wurde.

    • Strikt ablehnen:

      Alle eingehenden Abfragen für das Ausführen einer bestimmten Datei oder das Öffnen eines bestimmten Dokuments werden ohne Ausnahme abgelehnt. Nur Regeln, die von SAP angelegt wurden, werden geprüft. Regeln von Benutzern oder Administratoren werden nicht geprüft und haben deswegen keine Auswirkung. Die Standardaktion ist auf Ablehnen gesetzt und kann nicht geändert werden.

6.8.2 Sicherheitsregeln

In der Tabelle Sicherheitsregeln des Dialogs Sicherheitseinstellungen sind alle Regeln aufgelistet, die aktuell für bestimmte Objekte wie ausführbare Programme, Dateien oder Registry-Werte existieren, und die geprüft werden müssen, bevor sie ausgeführt, geöffnet oder geändert werden. Die Tabelle enthält zahlreiche Informationen über jede Regel.
Spalte | Inhalt
Objekt | Zu prüfendes Objekt, einschließlich seines lokalen Dateipfads
Typ | Objekttyp (beispielsweise Ordner, Datei)
Zugriffsarten | Beschreibt, ob eine Datei gelesen, geschrieben oder ausgeführt wird.
Aktion | Aktion, die für dieses Objekt innerhalb der Regel (Zulassen, Fragen, Ablehnen oder Kontextabhängig) vordefiniert ist.
Status | Legt fest, ob diese Regel aktiviert oder deaktiviert ist.
Herkunft | Herkunft der Regel (beispielsweise ausgeliefert von SAP, angelegt vom Systemadministrator oder Benutzer)
Anzahl an Kontexten | Eine Regel kann explizit so definiert werden, dass sie nur ein bestimmtes Backend-System oder eine bestimmte System-Mandantenkombination betrifft. Wenn Sie eine Regel auf diese Weise einschränken müssen, können Sie einen oder mehrere Kontexte für diese Regel deklarieren. Solange die Anzahl 0 beträgt, wird eine Regel hinsichtlich einer bestimmten Backend-Konstellation nicht eingeschränkt.

Die Objekttypen können auch durch ein kleines Symbol vor dem Objekteintrag identifiziert werden:
Symbol | Objekttyp
 | Datei
 | Dateierweiterung
 | Verzeichnis
 | Registry-Schlüssel Registry-Wert
 | Umgebungsvariable
 | ActiveX-Control
 | SAP Shortcut Datei
 | Command Line

Hinweis:
Die Rollensemantik folgt dem Vererbungsmodell in Windows: Einstellungen für übergeordnete Elemente werden an untergeordnete Elemente vererbt (wie etwa Unterordner oder Dateien in einem übergeordneten Verzeichnis).

6.8.2.1 Von SAP ausgelieferte Regeln

Einige bestehende, von SAP definierte Regeln sind in jeder SAP-GUI-Auslieferung enthalten. Diese Regeln können nicht geändert werden. Sie können sie nicht bearbeiten oder deaktivieren. Von SAP definierte Regeln können nicht auf bestimmte Systeme beschränkt werden, sie haben deswegen keine Kontexte. Ihre Anzahl von Kontexten ist immer 0.
Sie können eine von SAP ausgelieferte Regel markieren und die Schaltfläche Ansicht wählen, aber in diesem Fall zeigt das folgende Bild Regeleigenschaften nicht mehr Details als die Tabelle Sicherheitsregeln.

6.8.2.2 Vom Administrator definierte Regeln

Der Systemadministrator kann Regeln anlegen, die von einem Einzelbenutzer nicht geändert, aktiviert oder deaktiviert werden können. Der Systemadministrator kann einer Regel einen oder mehrere Kontexte hinzufügen, damit sie sich nur auf bestimmte Backend-Systeme oder bestimmte System-Mandantenkombinationen auswirkt.
Markieren Sie eine vom Systemadministrator angelegte Regel und wählen Sie die Schaltfläche Ansicht, um die bestehenden Kontexten anzuzeigen.

6.8.2.3 Vom Benutzer definierte Regeln

Jeder Benutzer kann Sicherheitsregeln anlegen:

  1. Gehen Sie an das Ende der Liste Sicherheitsregeln und markieren Sie die leere Zeile.
  2. Wählen Sie die Schaltfläche Einfügen.

  3. Definieren Sie auf dem folgenden Dialogfenster den Objekttyp, das zu prüfende Objekt und die auszuführende Aktion. Die folgende Abbildung zeigt ein Beispiel:

    Die Anwendung dieser Regel bedeutet, dass der Benutzer bei jedem Versuch eines Backend-Prozesses, die Datei notepad.exe auszuführen, gefragt wird, ob er oder sie die Ausführung von Notepad erlaubt.
    Wird die Tabelle Sicherheitsregelkontext leer gelassen, gilt die neue Regel für alle Backend-Systeme und alle Mandanten.

    Hinweis:
    Verwenden Sie '/' als Trennzeichen im Pfad der Namen von Verzeichnissen, Dateien, Registry-Schlüsseln und Registry-Werten.
    Verwenden Sie '\' zur Entwertung der Zeichen '[' , ']' und '\' in den Namen.

  4. Wählen Sie OK, um die Regel zu sichern und schließen Sie den Dialog oder definieren Sie je nach Bedarf einen oder mehrere Sicherheitsregelkontexte.
  5. Um einen Kontext zu definieren, markieren Sie die oberste leere Zeile der Tabelle Sicherheitsregelkontext und wählen Einfügen.

  6. Es wird ein neuer Kontext mit Sternchen (*) als Platzhalter für die Felder System, Mandant, Transaktion, Dynpro-Name und Dynpro-Nummer hinzugefügt. Setzen Sie in mindestens eines dieser fünf Felder einen gültigen Wert ein indem Sie das entsprechende Tabellenfeld mit einem Doppelklick öffnen und den Wert eingeben.

    Hinweis:
    Eine Eingabe in das Feld Netzwerk ist nur erforderlich, wenn Sie einen SAProuter für die Verbindung zu einem bestimmten System benötigen. Falls alle von Ihnen benötigten Systeme ein Teil Ihres lokalen Netzwerks sind, können Sie dieses Feld ignorieren.
    Wenn Sie eine Verbindung zu einen nicht-lokalen System herstellen wollen, müssen Sie den entsprechenden SAProuter-String im Feld Netzwerk deklarieren.
    Für eine Gruppe von Kontextbedingungen, die für lokale und nicht-lokale Backend-System gelten, müssen unterschiedliche Kontexte angelegt werden:
    • ein Kontext ohne einen Netzwerkwert für jedes lokale System
      (oder ein Kontext mit Sternchen (*) als Platzhalter für alle lokalen Systeme) und
    • ein Kontext mit einem deklarierten SAProuter-String für jedes nicht-lokale System.

  7. Überprüfen Sie, ob die vorausgewählte Standardaktion Fragen die Aktion ist, die Sie wirklich ausführen wollen. Andernfalls doppelklicken Sie auf das Feld und ändern Sie den Wert für die Standardaktion zu Ablehnen oder Zulassen.
  8. Doppelklicken Sie auf das Feld Deaktiviert in der Spalte Status und ändern Sie den Wert zu Aktiviert. Wenn der Kontext zu einem späteren Zeitpunkt wirksam werden soll, behalten Sie den Wert Deaktiviert vorerst bei.
  9. Wählen Sie OK, um den Dialog zu schließen.

Die neue Sicherheitsegel wird nun in der Liste auf dem Dialog Sicherheitseinstellungen angezeigt. Der eine Kontext, der in dem obigen Beispiel angelegt wurde, wird in der letzten Spalte gezählt.

Die Eigenschaften dieser und aller anderen Regeln, die von einem lokalen Benutzer angelegt wurden, können über die Schaltfläche Bearb. geändert werden.

Reihenfolge der Regelbearbeitung
Alle Regeln werden in der Reihenfolge abgearbeitet, in der sie in der Liste Sicherheitsregeln angezeigt werden. Das bedeutet, das System arbeitet zunächst alle von SAP definierten Regeln ab, anschließend alle vom Administrator definierten und schließlich alle benutzerdefinierten Regeln. Die Reihenfolge von SAP- und Administrator-definierten Regeln kann von einem Benutzer nicht geändert werden. Benutzer können nur zusätzliche Regeln definieren, die nach allen anderen Regeln bearbeitet werden. Deswegen kann der Benutzer nur die Reihenfolge der von ihm selbst definierten Regeln verändern.
Wenn Sie die Reihenfolge innerhalb der Gruppe von benutzerdefinierten Regeln ändern wollen, gehen Sie wie folgt vor:

  1. Markieren Sie eine Regel, die Sie in der Liste Sicherheitsregeln nach unten oder oben verschieben wollen.
  2. Wählen Sie die Schaltfläche Priorität erhöhen, damit die Regel in eine höhere Position kommt und früher bearbeitet wird.
  3. Wählen Sie die Schaltfläche Priorität vermindern, damit diese Regel weiter nach unten in der Liste verschoben wird. An dieser Position wird sie nun später als an der vorherigen bearbeitet.
Berücksichtigen Sie die Reihenfolge der Bearbeitung der Regeln, wenn Sie unerwartetes Verhalten des Systems bemerken, das auf die Sicherheitseinstellungen zurückgeführt werden könnte. Die Definitionen von Regeln können sich widersprechen, wodurch Bearbeitungskonflikte ausgelöst werden können. In manchen Fällen müssen Sie überprüfen, ob der Inhalt einer bestimmten Regel in Widerspruch zu dem einer zuvor oder danach bearbeiteten Regel steht. Es könnte dann erforderlich sein, die Reihenfolge Ihrer Regeln in der Liste Sicherheitsregeln und/oder einzelne Regeleigenschaften zu ändern.

6.9 SAP-Logon-Optionen

6.9.1 SAP-Logon-Optionen - Allgemein

  • Sprache
    Sie können SAP Logon in der von Ihnen gewählten Sprache anzeigen.
  • Timeout des Message-Servers in Sekunden
    Dieses Feld gibt an, wie lange SAP Logon auf eine Antwort vom Backend-Message-Server wartet. Der Vorgabewert von 10 Sekunden ist normalerweise ausreichend, auch bei langsamen WAN-Verbindungen. Wenn es wiederholt zu durch Zeitüberschreitung bedingten Fehlern kommt, sollten Sie diesen Wert erhöhen. Werden die Fehler dadurch nicht behoben, liegt möglicherweise ein Problem in der Netzwerkinstallation vor.
  • Bestätigung der Löschung des Listenfeldeintrags
    Setzen Sie das Kennzeichen in diesem Feld, wenn eine Warnung vor dem Löschen eines Systems oder einer Anmeldegruppe in SAP Logon angezeigt werden soll.
  • Systembearbeitungsfunktion deaktivieren
    Setzen Sie das Kennzeichen in diesem Feld, wenn Sie ein Ändern der Einträge in SAP Logon verhindern wollen. Wenn die Bearbeitungsfunktionen deaktiviert sind, können Sie die Optionen Eigenschaften, Neu, Bearbeiten oder Löschen in SAP Logon nicht verwenden.
  • Weitere Argumente im Befehlsfeld
    Sie können in dieses Eingabefeld beliebige zusätzliche Argumente für das SAP-GUI-Befehlsfeld eingeben. Zum Beispiel: /WAN, wenn Sie eine langsame Verbindung für alle Ihre SAP-Systeme verwenden wollen.

6.9.2 SAP-Logon-Optionen - Konfigurationsdateien

Auf diesem Bildschirm können Sie überprüfen, welche Konfigurationsdateien aktuell für Ihre lokale Installation verwendet werden. Diese Informationen könnten wichtig sein, wenn funktionale Probleme auftreten. Ihr Systemadministrator kann bei Bedarf den Inhalt oder den Pfad aller relevanter Dateien anpassen. (Weitere Informationen: SAP-Hinweis 38119 und 1409494.)
Doppelklicken Sie auf den Typnamen einer geladenen lokalen Konfigurationsdatei, um ihren Inhalt anzuzeigen.

6.10 Frontend-Druck

Hier können Sie den Konfigurationsdialog für das Frontend-Drucken starten. Der Konfigurationsdialog öffnet sich in einem separaten Fenster und bietet eine eigene integrierte Hilfe an.

6.11 Systeminformationen

Wenn Sie spezifische Installationsdetails benötigen, können Sie sie auf dieser Seite finden.

6.12 Dialog Optionen aus einem System aufrufen

Der Ordnerbaum auf der linken Seite unterscheidet sich je nach dem Ort, von dem aus Sie den Dialog Optionen aufrufen. Die Titelleiste zeigt jeweils das System an, aus dem Sie den Dialog aufgerufen haben.

  • Der Ordner Traces enthält jetzt nur die Seite Modus-Traces. Das bedeutet, Sie können in diesem System nur die Trace-Optionen für dieses bestimmte System konfigurieren, nicht aber allgemein für alle Systeme, die Sie zukünftig verwenden. Sie können einen Dateipfad für das Speichern der Trace-Datei eingeben. Wählen Sie die Schaltfläche Trace anzeigen für die Anzeige des letzten Trace.
  • Der Ordner SAP-Logon-Optionen wird in dieser Ansicht nicht angezeigt. Diese beiden Ordner enthalten globale Einstellungen, auf die unter Umständen ausschließlich in dem Dialog Optionen zugegriffen werden kann, wenn er über SAP Logon oder die Systemsteuerung von Microsoft Windows aufgerufen wird.

6.12.1 SAP Signature Theme: Farben im System

Das SAP Signature Theme bietet die Möglichkeit, die farbliche Darstellung verschiedener Anmeldungen in Abhängigkeit vom gewählten System und/oder dem dort gewählten Mandaten zu variieren. Voraussetzung hierfür ist (siehe auch SAP Hinweis 1617682):

  1. Das Backend-System unterstützt die Verwendung unterschiedlicher Farben pro Mandant.
  2. Sie sind am System angemeldet und haben den Optionen-Dialog aus dieser Session heraus geöffnet.

  • Farbeinstellung für SAP System YXZ
    Beim Aufruf der Seite Farben im System wird Ihnen immer die aktuell verwendete Farbeinstellung dargestellt.
    Wenn Sie auf der Seite Farbeinstellungen (siehe Kapitel 6.2.4 SAP Signature Theme: Default Color) bereits festgelegt haben, dass Sie für Ihre Systemanmeldungen die im jeweiligen System selbst definierte Standardfarbe übernehmen wollen, enthält die Liste der möglichen Farbeinstellungen die Auswahl SAP System Konfiguration, sofern eine solche vom System-Adminstrator hinterlegt wurde.
    Wenn vom System-Adminstrator keine Voreinstellung festgelegt wurde oder Sie auf die Übernahme der Voreinstellung verzichten, wird statt dessen die Auswahl Standard Konfiguration in der Liste erscheinen.
    In jedem Fall können Sie nun eine beliebige neue Auswahl treffen. Diese Auswahl wird eine eventuell bestehende Konfiguration übersteuern und ist für alle Ihre Anmeldungen an diesem System gültig.

  • Farbeinstellung für SAP System YXZ Mandant 123
    Speziell für den aktuell verwendeten Mandaten können Sie entweder

    • die Einstellung verwenden, die für das SAP System XYZ allgemein festgelegt wurde (siehe oben) oder
    • eine andere Farbe auswählen.
    Die Auswahl für diesen speziellen Mandanten wird dann die Auswahl für die allgemeine Systemanmeldung übersteuern.

Weitere Informationen finden Sie im SAP Hinweis 1669255.

6.12.2 Enjoy Theme: Farben im System

Wenn Sie das Enjoy Theme gewählt haben, können Sie die Systemfarben über diesen Dialog ändern. Die Auswahl ist systemabhängig und deswegen nur von dem System aus möglich, in dem Sie gerade arbeiten.

6.13 Dialog Optionen aus der Systemsteuerung aufrufen

Sie können den Dialog SAP-Logon-Optionen auch aus der lokalen Systemsteuerung von Microsoft Windows aufrufen:
Startmenü -> Systemsteuerung -> SAP-GUI-Konfiguration.
Der erste Ordner Visuelles Design enthält jetzt eine zusätzliche Seite: Anwendungen.

In einigen Fällen wird ein SAP-System von einer externen Anwendung, beispielsweise einer Portal-Anwendung, aufgerufen. Wenn Sie wollen, dass diese externe Anwendung den Systemaufruf mit dem in SAP Logon konfigurierten Design startet, müssen Sie die Anwendung der auf dieser Seite angezeigten Liste hinzufügen. Andernfalls verwendet die externe Anwendung das standardmäßige Systemdesign.
Die Konfiguration Anwendungen ist nur für die Themes SAP Signature und Enjoy verfügbar.

Sie können auf die lokalen Konfigurationsdateien über den Ordner SAP-Logon-Optionen zugreifen, wenn Sie den Dialog Optionen über die Systemsteuerung öffnen.

6.14 Weitere Optionen für das benutzerdefinierte lokale Layout-Menü

Zwischenablage
Weitere Informationen: 5 Zwischenablage

Grafik generieren
Für das Extrahieren von Texten einfacher Oberflächenelemente wie Listen oder Eingabefeldern aus einem Bildschirm in ein separates Fenster, wählen Sie [image] -> Grafik generieren auf dem Bild des Modus.

Verknüpfung anlegen
Weitere Informationen: 2.3.1.2 SAP-Verknüpfung von einem beliebigen Bild im SAP-System aus anlegen

GuiXT aktivieren
GuiXT ermöglicht es, Transaktionen in einem SAP-System zu vereinfachen, ohne Änderungen an ihnen vorzunehmen. Sie können nicht benötigte Bildelemente ausblenden oder Elemente wie Ankreuzfelder, Drucktasten, Grafiken und Dokumentation hinzufügen, wenn dies für Ihr System von Nutzen ist. Die Anpassungen für das jeweilige Bild werden in einem GuiXT-Skript aufgezeichnet und dabei einfache Schlüsselwörter verwendet. Das Skript wird bei jedem Aufruf des entsprechenden Bilds ausgeführt.
Weitere Informationen über GuiXT finden Sie auf der Homepage von Synactive. Sie aktivieren / deaktivieren GuiXT, indem Sie [image] -> GuiXT aktivieren wählen.
Ein Kennzeichen links neben der Menüoption weist darauf hin, dass GuiXT bereits aktiviert ist. Nach der Auswahl der Menüoption wird die Einstellung von aktiviert auf deaktiviert oder umgekehrt gesetzt. Ein fehlendes Kennzeichen neben der Menüoption bedeutet, dass GuiXT deaktiviert ist.

Script-Aufzeichnung und -Playback
SAP GUI Scripting ist ein Werkzeug, mit dem Skripts aufgezeichnet und ausgeführt werden, um sich wiederholende Anwendungen zu automatisieren. Weitere Informationen über die Aktivierung von Scripting finden Sie unter 6.4 Barrierefreiheit & Scripting sowie im SCN im Bereich des SAP GUI.
Für die Aufzeichnung einer Anwendung wählen Sie [image] -> Script-Aufzeichnung und -Playback....
Sie gelangen auf das folgende Dialogfenster:

Sie können das Dialogfenster erweitern, um auch die Speicheroptionen anzuzeigen. Wählen Sie die Schaltfläche Mehr >>:

Überprüfen Sie den Pfad für die Ablage der Aufzeichnungsdatei und ändern Sie ihn bei Bedarf. Wählen Sie [image], um die Aufzeichnung zu starten. Starten Sie die Anwendung, die Sie aufzeichnen möchten. Ist eine Aufzeichnung aktiv, wird dies durch das Symbol [image] in der Statusleiste angezeigt (weitere Informationen: 3.1.5 Statusleiste).
Nach dem Ende der Aufzeichnung wählen Sie [image]. Das Skript wird automatisch gespeichert. Sie können das Skript abspielen, indem Sie [image] wählen.

Script-Entwicklungswerkzeuge
Die Skript-Entwicklungswerkzeuge bieten Ihnen zwei zusätzliche Optionen:

  • Wählen Sie Treffertest auf Fenster durchführen und anschließend OK. Wenn Sie nun den Cursor über Bereiche des SAP-GUI-Fensters bewegen, werden die von Ihnen berührten GUI-Elemente durch einen roten Rahmen gekennzeichnet. Außerdem zeigt der Assistent den technischen Typ und Namen des jeweiligen GUI-Elements an und bietet Ihnen an, die Informationen zu kopieren.
    Sie beenden diesen Modus, indem Sie Stopp wählen.

  • Wählen Sie Problemsuche SAP GUI Scripting und anschließend OK. Falls während der Verwendung von SAP Script Probleme auftreten, werden sie angezeigt.

Standardgröße
Sie ändern die Größe des SAP-GUI-Fensters auf seine Standardgröße, indem Sie [image] -> Standardgröße wählen.

Hardcopy
Sie legen mit dieser Option einen Ausdruck des aktuellen SAP-GUI-Fensters an. Der Bildschirmabgriff wird an den lokal definierten Standarddrucker gesendet.

Zeichensatz
In einer Untermenügruppe werden alle Zeichensätze aufgelistet, die zur Zeit unterstützt werden. Aus dieser Liste müssen Sie einen Zeichensatz wählen, der für Ihre Anmeldesprache auf dem SAP-System geeignet ist.

Schnell ausschneiden und einfügen
Wenn diese Funktion aktiviert ist, können Sie auf die folgende Weise ausschneiden und einfügen:

  • Verwenden Sie die gedrückte linke Maustaste zum Markieren des Texts, den Sie ausschneiden und einfügen wollen.
  • Positionieren Sie den Cursor an der Stelle, an der der Text eingefügt werden soll.
  • Der Text wird eingefügt, wenn Sie die rechte Maustaste betätigen.

Hinweis:
Wenn diese Option aktiviert ist, können Sie das Kontextmenü über das Betätigen der Umschalttaste und rechten Maustaste öffnen.

Rechtschreibprüfung
Wenn Sie diese Menüoption wählen, werden alle Eingabefelder in einem Bild basierend auf einem ausgeblendeten Microsoft Word-Dokument einer Rechtschreibprüfung unterzogen. Die Ergebnisse werden wie folgt angezeigt:

  • Ein Text in der Statuszeile weist darauf hin, dass keine Fehler gefunden wurden.
  • Es wird eine Liste mit Fehlern in der Statuszeile angezeigt.
  • Bei einer großen Anzahl von inkorrekten Wörtern wird ein Dialogfenster mit der Fehlerliste angezeigt.

Voraussetzungen für die Verfügbarkeit dieser Funktion:
  • Microsoft Office muss lokal auf dem Rechner installiert sein.

7 Fehleranalyse

Hinweis:
Traces können einfach aktiviert werden, indem die entsprechenden Seiten des Dialogs Optionen verwendet werden. Weitere Informationen finden Sie unter 6.7 Traces.

Hinweis:
Vergessen Sie nicht, das Trace auszuschalten, wenn das Erstellen der Trace-Datei abgeschlossen ist. Andernfalls wird die System-Performance beeinträchtigt.

7.1 SAP-Logon-Pad-Trace

  1. Schließen Sie alle SAP-GUI-Fenster und das zuvor geöffnete Fenster von SAP Logon. Verwenden Sie den Microsoft Windows Task Manager, um sicherzustellen, dass keine Prozesse wie saplogon.exe, saplgpad.exe oder sapgui.exe ausgeführt werden. Wenn dies der Fall sein sollte, beenden Sie die Prozesse.
  2. Kopieren Sie das Desktop-Symbol SAP-Logon-Pad in ein neues Symbol mit einem Namen wie TraceSAPlogon-Pad.
  3. Rufen Sie durch einen rechten Mausklick auf das Symbol TraceSAPlogon-Pad das Kontextmenü auf und wählen Sie Eigenschaften.
  4. Wählen Sie das Register Verknüpfung.
  5. Fügen Sie in das Eingabefeld Ziel am Ende des Textes eine Leerstelle und anschließend -TRACE=3 ein (hinter dem Apostroph (")). Zum Beispiel:
    • "C:\Program Files\SAP\Frontend\SAPGUI\saplgpad.exe" -TRACE=3
  6. Das Verzeichnis im Feld Start in: ist das aktuelle Verzeichnis für die Trace-Dateien.
  7. Wählen Sie die Schaltfläche OK.
  8. Doppelklicken Sie auf das Symbol TraceSAPLogon-Pad.
  9. Starten Sie SAP-Logon-Pad und reproduzieren Sie das Problem.

Die Trace-Dateien saplogon_*.trc, saplgdll_*.trc und sapdpams_*.trc werden in das aktuelle Verzeichnis geschrieben. Sie finden den Pfad des aktuellen Verzeichnisses im Feld Ausführen in: im Dialogfenster Eigenschaften des TraceSAPlogon-Pad-Symbols.
Sie können den Pfad auch auf eine andere Weise ermitteln:

  • Wählen Sie das Symbol links neben dem Titel SAP-Logon-Pad im Fenster von SAP-Logon-Pad.
  • Wählen Sie das Menü Über SAP Logon.
  • Wählen Sie Systeminformationen.

Wenn Sie SAP Logon anstelle von SAP-Logon-Pad verwenden, siehe SAP-Logon-Trace.

7.2 SAP-Logon-Trace

Sie können das Trace für SAP Logon einschalten, indem Sie die oben beschriebene Vorgehensweise für das SAP-Logon-Pad-Trace verwenden, mit dem Unterschied, dass Sie auf das Symbol SAP Logon klicken. Die Vorgehensweise für die Einstellungen des Symbols ist identisch.

  • Doppelklicken Sie auf das kopierte und konfigurierte Symbol TraceSAPLogon.
  • Starten Sie SAP Logon und reproduzieren Sie das Problem.

Die Trace-Dateien saplogon_*.trc, saplgdll_*.trc und sapdpams_*.trc werden in das aktuelle Verzeichnis geschrieben. Sie finden den Pfad des aktuellen Verzeichnisses durch einen Blick auf das Feld Ausführen in im Dialogfenster Eigenschaften des Symbols TraceSAPlogon.
Sie können den Pfad auch auf eine andere Weise ermitteln:

  • Wählen Sie das Symbol links neben dem Titel SAP Logon im Fenster von SAP Logon.
  • Wählen Sie das Menü Über SAP Logon.
  • Wählen Sie Systeminformationen.

7.3 SAP-Verknüpfungs-Trace

  • Sie erstellen eine SAP-Verknüpfung als *.sap-Datei auf die gleiche Weise wie eine SAP-Verknüpfung auf Ihrem Desktop:

    1. Öffnen Sie das Kontextmenü des Verknüpfungs-Symbols und wählen Sie Bearbeiten. Ändern Sie im Dialogfenster die Trace-Ebene auf Ebene 3.
    2. Geben Sie das Arbeitsverzeichnis an, in dem die Trace-Dateien gespeichert werden. Sie können das standardmäßige Arbeitsverzeichnis verwenden, das in der *.sap-Datei festgelegt ist.
    3. Starten Sie die SAP-Verknüpfung mit den neuen Einstellungen erneut, um die Trace-Datei(en) sapshlip.trc im Arbeitsverzeichnis anzulegen. In der Zwischenzeit werden auch die SAP-GUI-Protokoll- und Trace-Dateien (*.log und *.trc) im selben Verzeichnis angelegt, während die SAP-Verknüpfung versucht, SAP GUI zu starten.
    4. Rufen Sie die Trace-Datei aus dem Arbeitsverzeichnis ab und stellen Sie diese Datei SAP zur Verfügung, indem Sie sie an eine Kundenmeldung im SAP-Support-System anhängen.

  • Sie erstellen eine SAP-Verknüpfung mithilfe der Befehlszeile:

    1. Fügen Sie zwei zusätzliche Parameter -trc=3 für die Trace-Ebene und -wd="C:\temp" für das Arbeitsverzeichnis am Ende der Befehlszeile ein.
    2. Führen Sie die Befehlszeile aus und schließen Sie anschließend die dadurch geöffnete SAP-Verknüpfung bzw. das SAP-GUI-Fenster. Im Arbeitsverzeichnis wird die SAP-Verknüpfungs-Trace-Datei sapshlib.trc angelegt. In der Zwischenzeit werden auch die SAP-GUI-Protokoll- und Trace-Dateien (*.log und *.trc) im selben Verzeichnis angelegt, während die SAP-Verknüpfung versucht, SAP GUI zu starten.
    3. Rufen Sie die Trace-Datei aus dem Arbeitsverzeichnis ab und stellen Sie diese Datei SAP zur Verfügung, indem Sie sie an eine Kundenmeldung im SAP-Support-System anhängen.

7.4 SAP-GUI-Trace

Sie können SAP-GUI-Trace-Dateien und Protokoll-Dateien generieren.

7.4.1 SAP-Logon-Pad ausführen

Sie führen SAP-Logon-Pad auf die folgende Weise aus:

  1. Legen Sie das Symbol TraceSAPlogon-Pad an, wie unter SAP-Logon-Pad-Trace beschrieben.
  2. Starten Sie SAP-Logon-Pad durch einen Doppelklick auf das Symbol.
  3. Melden Sie sich bei Ihrem SAP-System an und reproduzieren Sie das Problem.
      Wenn Sie eine Fehlermeldung erhalten: Do you want to see detailed error information? (Wollen Sie eine detaillierte Fehlerbeschreibung?)
    • wählen Sie Ja und anschließend
    • OK im darauf folgenden Dialogfenster, damit die Trace-Datei die Fehlermeldung enthält.
  4. Wenn der Fehler auftritt, melden Sie sich von Ihrem SAP-System ab.
    Die Trace-Dateien werden in den aktuellen Ordner geschrieben.
    Wenn Sie den Pfad des aktuellen Ordners anzeigen wollen:
    • Wählen Sie das Symbol links neben dem Titel SAP-Logon-Pad im Fenster von SAP-Logon-Pad.
    • Wählen Sie den Menüeintrag
      • Über SAP Logon.
    • Wählen Sie Systeminformationen.

7.4.2 SAP Logon ausführen

Sie haben in diesem Fall zwei Möglichkeiten, das Trace einzuschalten:

Methode 1:

  1. Legen Sie das Symbol TraceSAPlogon an, wie unter SAP-Logon-Trace beschrieben.
  2. Starten Sie SAP Logon durch einen Doppelklick auf das Symbol.
  3. Melden Sie sich bei Ihrem SAP-System an.
  4. Reproduzieren Sie das Problem.

Wenn Sie eine Fehlermeldung erhalten: Do you want to see detailed error information? (Wollen Sie eine detaillierte Fehlerbeschreibung?) wählen Sie Ja und OK im darauf folgenden Dialogfenster, damit die Trace-Datei die Fehlermeldung enthält. Wenn der Fehler auftritt, melden Sie sich von Ihrem SAP-System ab. Zusätzlich zu den Trace-Dateien für das SAP-Logon-Programm werden Trace-Dateien für das SAP-GUI-Programm wie sapgui_????.log und sapgui*.trc in das aktuelle Verzeichnis geschrieben.

Methode 2:

Schalten Sie das Trace für das SAP-GUI-Programm separat ein, wie unter 6.7.2 SAP-GUI-Traces beschrieben.

7.4.3 SAP-Verknüpfung ausführen

Wenn Sie vorhaben, sich an Ihr SAP-System mithilfe einer SAP-Verknüpfung anzumelden, schalten Sie das Trace ein, wie unter 7.3 SAP-Verknüpfungs-Trace beschrieben, und doppelklicken Sie auf die SAP-Verknüpfung. Zusätzlich zu den Trace-Dateien für die SAP-Verknüpfung werden die Trace-Dateien für das SAP-GUI-Programm wie sapgui_????.log und sapgui*.trc in das Arbeitsverzeichnis geschrieben, das in der SAP-Verknüpfung definiert ist.

7.5 Modus-Trace

Es gibt zwei Möglichkeiten, dieses Trace zu aktivieren:

Sie können das Trace für nachfolgende Arbeitsvorgänge in einem bestehenden SAP-GUI-Fenster einschalten:
  • Wählen Sie das Symbol [image] im aktiven SAP-GUI-Fenster und wählen Sie die Menüoption Optionen....
  • Wählen Sie auf dem Dialogfenster die Seite Traces -> Modus-Traces.
  • Sie müssen auf dieser Seite möglicherweise Zeitstempel für das Performance-Tracing oder die Option Speicher für das Tracing der Speicherbelegung von SAP GUI wählen. Wählen Sie anschließend in der unten stehenden Liste eine oder mehrere der erforderlichen Trace-Komponenten. Entfernen Sie unter Anzeigeoptionen das Kennzeichen Fenster anzeigen. Dadurch beschleunigt sich die Trace-Ausgabe, weil sie in der angegebenen Datei und nicht in einem Fenster durchgeführt wird. Weitere Informationen finden Sie unter 6.7.1 Modus-Traces.
  • Reproduzieren Sie den Fehler im aktiven SAP-GUI-Fenster.

Hinweis:
Sie sollten das Trace nur direkt vor dem Auftreten des Fehlers einschalten. Schalten Sie nach dem Tracing das Trace aus, wie unter Sie schalten die Trace-Einstellungen aus, indem ... beschrieben.

Das Ergebnis ist eine Trace-Datei, deren Name auf dem Register Trace vom Dialogfenster Optionen angegeben ist. Sie können diese Datei an SAP senden, indem Sie sie an eine Kundenmeldung im SAP-Support-System anhängen.

8 Tastaturbedienung im SAP GUI for Windows

Dieses Dokument beschreibt die Tastaturbedienung von Oberflächenelementen des SAP GUI for Windows.

Detaillierte Informationen über die Tastaturunterstützung für die Verwendung von Oberflächenelementen finden Sie auf dem SAP Help Portal:
Tastaturbedienung im SAP GUI for Windows

Barrierefreien Modus konfigurieren
Weitere Informationen über die Konfiguration des barrierefreien Modus für SAP GUI for Windows finden Sie unter Barrierefreien Modus einstellen auf dem SAP Help Portal.

Interaktivitätsstufen
Die Interaktivitätsstufe eines Oberflächenelements hängt von folgenden Faktoren ab:

  • Grundzustand des Elements (interaktiv oder nicht interaktiv)
  • aktueller Zustand des Elements (änderbar, schreibgeschützt oder deaktiviert)
  • barrierefreier Modus

Interaktive Oberflächenelemente, wie Eingabefelder, ermöglichen zwar Interaktion, die aktuellen Zustände können jedoch änderbar, schreibgeschützt oder deaktiviert sein.
  • Änderbare Elemente ermöglichen Navigation und Manipulation.
  • Schreibgeschützte Elemente ermöglichen nur Navigation und Auswahl.
  • Deaktivierte Elemente sind im aktuellen Anwendungskontext nicht änderbar. Sie können nur im barrierefreien Modus angesteuert werden. Deaktivierte Oberflächenelemente sind entsprechend gekennzeichnet, z. B. grau hinterlegt.

Nicht interaktive Elemente wie Bezeichner und dekorative Elemente können nicht bearbeitet werden und sind nur im barrierefreien Modus ansteuerbar.

8.1 Navigation in Oberflächenelementen

Bei der sequenziellen Elementnavigation wird der Fokus von einem Element zum nächsten verschoben. Der Fokus bewegt sich entsprechend einer bestimmten Reihenfolge – der Tabulatorreihenfolge. Die Nutzung der sequenziellen Elementnavigation, bei der der Fokus mit Tabulatortaste und Umschalttaste+Tabulatortaste vor oder zurück bewegt wird, kann sehr zeitaufwändig sein. Wenn Oberflächenelemente in Dialogen oder Bildern gruppiert sind, können Sie die effektivere Methode der Gruppennavigation nutzen und den Fokus in größeren Schritten verschieben. Wählen Sie Strg und Tabulatortaste, um den Fokus nach vorne zu bewegen, und Umschalttaste+Strg+Tabulatortaste, um ihn zurück zu bewegen.

8.1.1 Verwendung der Tabulatortaste

Tastaturbefehl Cursor oder Fokus-Bewegung
Tabulatortaste
Umschalttaste+Tabulatortaste 		Springt zu den nächsten (Tabulatortaste) oder vorherigen (Umschalttaste+Tabulatortaste) eingabefähigen Elementen. Elemente sind eingabefähige Felder, Drucktasten, Auswahlknopf-Gruppen, Ankreuzfelder, ActiveX-Controls, Tastenleisten, Werkzeugleisten - aber keine Menüleisten.
  1. Befehlsfeld und Tastenleiste sind in der Registerkette für die Navigation im Register integriert.
  2. Wenn sich ein OCX-Control nicht fokussieren lässt, wird ein Fokus-Rechteck auf seinen Container angezeigt, um den aktuellen Fokus anzuzeigen, z.B. das SAP Picture Control.
Alt Gr+Tabulatortaste
Alt Gr+Umschalttaste+Tabulatortaste 		Springt zum nächsten (Alt Gr+Tabulatortaste) oder vorherigen (Umschalttaste+Alt Gr+Tabulatortaste) Element, unabhängig davon, ob es eingabefähig ist oder nicht.
Strg+Tabulatortaste
Strg+Umschalttaste+Tabulatortaste 		Springt zum ersten Element der nächsten Gruppe von Elementen (Strg+Tabulatortaste) oder ersten Element der vorherigen Gruppe von Elementen (Strg+Umschalttaste+Tabulatortaste). Elementgruppen sind sichtbare und unsichtbare Rahmen, ActiveX-Controls z.B. Tree Control, Symbolleisten-Control usw.), Tastenleisten und Symbolleisten.
  1. Springt zur vorherigen Gruppe.
  2. Subscreens können wie Rahmen behandelt werden, wenn deren Eigenschaft KeepTab im Screen Painter auf TRUE gesetzt ist.
Pfeiltasten nach
rechts/links/oben/unten
Pos 1, Ende 		Navigation innerhalb des Elements (abhängig vom Elementtyp).
Wenn die Pfeiltasten nicht durch die graphischen Elemente reserviert sind, können sie bei Bedarf für das horizontale und vertikale Blättern verwendet werden. In diesem Fall springt der Cursor bei Betätigen der Taste Pos 1 oder Ende auf die erste oder letzte Seite. Vergleichen Sie die Funktionen mit denen im Microsoft Internet Explorer.

8.1.2 Konfiguration der Tabulatorfolge

Üblicherweise können Sie auf einem Bildschirm mit Hilfe der Tabulatortaste zum jeweils nächsten Feld weiterspringen. SAP GUI for Windows erlaubt Ihnen, eine eigene Felderreihenfolge für die Verwendung der Tabulatortaste zu definieren:

  • Definieren eines Einstiegs- bzw. Ausstiegspunkt für die Tabulatorfolge
    Sie können ein beliebiges Feld einer Felderfolge als Einstiegfeld für die Tabulatorfolge festlegen. Setzen Sie den Cursor in das gewünschte Feld und öffnen Sie bei gedrückter Steuerungstaste das Kontextmenü des Feldes. Aus dem nun erweiterten Kontextmenü wählen Sie den Eintrag Lokale Tabulatorfolge: Einstiegspunkt.

    Entsprechend definieren Sie ein im weiteren Verlauf der Felderfolge plaziertes Feld als Ausstiegspunkt.
    Zur Verwaltung Ihrer lokalen Konfiguration der Tabulatorfolge öffnen Sie bei gedrückter Steuerungstaste das Kontextmenü eines beliebigen Feldes und wählen den Eintrag lokale Tabulatorfolge konfigurieren. Solange Sie keine Konfigurationen vorgenommen haben wird die Tabelle dieses Dialoges leer sein. Wenn Sie jedoch einen Einstiegs- und/oder einen Ausstiegspunkt festgelegt haben, werden diese in der Tabelle aufgelistet. Im folgenden Beispiel wurde das Feld E-Mail als Ausstieg der Tabulatorfolge festgelegt:

    Ein- und Ausstiegspunkte lassen sich unabhängig von einander setzen.
    Mit Hilfe des Menüeintrags Lokale Tabulatorfolge visualisieren können Sie den Verlauf der Tabulatorfolge eines Dynpros graphisch darstellen. Solange keine Konfigurationen vorgenommen wurden, springt der Cursor automatisch in das Feld oben links. Das folgende Beispiel zeigt die ursprüngliche Tabulatorfolge des Dialogs, ohne lokale Konfiguration. (Da die Tabulatorfolge des Beispiel-Dialogs in ein größeres Dynpro eingebettet ist beginnt sie nicht mit der Ordnungszahl 1):

    Wenn jedoch Ein- und Ausstiegspunkt lokal konfiguriert wurden, ändert sich entsprechend auch die graphische Darstellung der Tabulatorfolge:

    In diesem Beispiel wird Postleitzahl/Ort als erstes Feld des Dialogs über die Tabulatortaste angesprungen, die Tabulatorfolge endet mit dem Feld E-Mail. Mit dem nächsten Tabulatorschritt wird bereits in den Folgedialog abgesprungen.
    Über die Definition der Ein- und Ausstiegspunkte können Sie die Tabulatorfolge innerhalb eines Dynpros verkürzen, die Reihenfolge der angesprungenen Felder wird hiebei jedoch nicht verändert.

  • Definieren von Start- und Endelementen beliebiger Tabulatorfolgen
    Mit Hilfe dieser Funktionen können Sie beliebige Elementefolgen festlegen. Setzen Sie den Cursor auf das Element, mit dem Sie eine beliebige Elementefolge beginnen lassen wollen und öffnen Sie bei gedrückter Steuerungstaste das erweiterte Kontextmenü. Wählen Sie den Eintrag lokale Tabulatorfolge: Startelement. Setzen Sie den Cursor nun in das von Ihnen gewünschte Folgefeld. Wählen Sie aus dem erweiterten Kontextmenü dieses Feldes den Eintrag lokale Tabulatorfolge: Endelement. Die folgende Visualisierung zeigt das Ergebnis für den Fall, dass das Feld E-Mail als Startelement, das Feld Hausnummer als Endelement festgelegt wurden:

    Im Konfigurationsdialog sieht diese Tabulatorfolge folgendermaßen aus:

    Mit Hilfe der Taste Verknüpfung für Tabulatorfolge löschen können Sie die jeweils in der Tabelle angelegte Verknüpfung entfernen.

Hinweis:
Wenn Sie für Ihre individuelle Tabulatorfolge bereits ein Startelement definiert haben, bietet Ihnen das erweiterte Kontextmenü für den betreffenden Dynpro lediglich die Option an, ein Endelement festzulegen. Erst, wenn Sie auch das Endelement hinzugefügt haben, wird die Tabulatorfolge aus Start- und Endelement in der Konfigurationstabelle sichtbar. Für die nächste Folge können Sie nun wieder ein Startelement bestimmen.
Start- und Endelement werden gemeinsam als Wertepaar abgelegt und werden daher auch nur gemeinsam in der Konfigurationstabelle dargestellt.

Hinweis:
Die Konfigurationsoption für die Tabulatorfolge ist nicht für alle SAP-GUI-Elemente verfügbar.
Zur Zeit werden folgende Elemente unterstützt:
  • Eingabefelder
  • Asuwahlknöpfe
  • Ankreuzfelder
  • Beschriftungen

Hinweise zu den zugehörigen Tastaturbefehlen finden Sie im Kapitel Tastaturbedienung im SAP GUI for Windows im Abschnitt 8.2.19 Konfiguration der Tabulatorfolge, Hinweise zum Verzeichnis zur Ablage von lokalen Tabulatorfolgen im Abschnitt 6.6.4 Lokale Tabulatorfolge.

8.2 Überblick über zusätzliche Tastaturbefehle für Oberflächenelemente

Die Tabulatortastenbefehle sind allgemein für alle Oberflächenelemente mit der entsprechenden Funktion verwendbar. Für einige Elemente können zusätzliche Tastaturbefehle verwendet werden, die ihre Bedienung vereinfacht. In diesem Dokument finden Sie eine Übersicht zusätzlicher Tastaturbefehle für die folgenden Oberflächenelementen des SAP GUI for Windows:

  • SAP-Logon-Fenster
  • Fenster für SAP GUI for Windows
  • Drucktaste
  • Umschaltdrucktaste
  • Auswahltaste
  • Einstelltaste
  • Ankreuzfeld
  • Auswahlknopf
  • Combobox und Dropdown-Listbox
  • Menü
  • Eingabefeld
  • Texteditor
  • ABAP-Liste
  • ALV Grid
  • Table Control
  • Registerkarten
  • Splitter Control & Docker Control
  • Statusleiste
  • Konfiguration der Tabulatorfolge

8.2.1 SAP-Logon-Fenster

Aktion | Tastaturbefehl
Ausgewähltes Element aktivieren | Eingabetaste oder Leertaste
Element auswählen und zugleich aktivieren | ALT-Taste + unterstrichener Buchstabe (Tastaturbefehl)
Eintrag in der Liste aktivieren | Eingabetaste
Tastenkombinationen für die Fensterbedienung |
Fenster verschieben | ALT-Taste + Leertaste, anschließend M
Größe des Fensters ändern | ALT-Taste + Leertaste, anschließend S
Fenster minimieren | ALT-Taste + Leertaste, anschließend N
Fenster maximieren | ALT-Taste + Leertaste, anschließend X
Fenster wiederherstellen | ALT-Taste + Leertaste, anschließend R

8.2.2. Fenster für SAP GUI for Windows

Aktion | Tastaturbefehl
Zum Menü springen | Alt-Taste
Aktionen Schritt für Schritt abbrechen | Escape-Taste

8.2.3 Drucktaste

Aktion | Tastaturbefehl
Ausgewählte Drucktaste aktivieren | Eingabetaste oder Leertaste
Drucktaste auswählen und zugleich aktivieren | ALT-Taste + unterstrichener Buchstabe (Tastaturbefehl)

8.2.4 Umschaltdrucktaste: Wie Drucktaste, jedoch mit folgendem Zusatz

Aktion | Tastaturbefehl
In den gedrückten bzw. in den nicht gedrückten Zustand wechseln | Leertaste

8.2.5 Auswahltaste: Wie Drucktaste, jedoch mit folgenden Zusätzen

Aktion | Tastaturbefehl
Menü der Auswahltaste öffnen | ALT-Taste + Pfeil nach unten
Ausgewählten Menüeintrag aktivieren | Eingabetaste
Menü der Auswahltaste schließen | Escape-Taste

8.2.6 Einstelltaste: Wie Drucktaste, jedoch mit folgenden Zusätzen

Aktion | Tastaturbefehl
Menü der Einstelltaste öffnen | Kontextmenü oder Umschalttaste + F10
Menüeintrag übernehmen | Eingabetaste

8.2.7 Ankreuzfeld

Aktion | Tastaturbefehl
Ankreuzfeld markieren bzw. entmarkieren | Leertaste

8.2.8 Auswahlknopf

Aktion | Tastaturbefehl
Auswahlknopf setzen | Leertaste
Navigieren und setzen | Pfeil nach unten oder Pfeil nach oben
Nur Navigieren | Strg + Pfeil nach unten oder Strg + Pfeil nach oben

8.2.9 Combobox und Dropdown-Listbox

Aktion | Tastaturbefehl
Werteliste aufrufen | ALT-Taste + Pfeil nach unten
Wert auswählen | Eingabetaste
Zum Anfang oder Ende der Dropdown-Liste springen | Ende oder Pos1
Fokus-Rechteck durch eine Liste mit vielen Einträge in großen Schritten bewegen | Bild aufwärts oder Bild abwärts

8.2.10 Menü

Aktion | Tastaturbefehl
Menü der Hauptanwendung öffnen | ALT-Taste oder F10
Kontextmenü der Hauptanwendung öffnen | Umschalttaste + F10
Zwischen den Einträgen im Hauptmenü navigieren | Pfeil nach links + Pfeil nach rechts
Aktionsmenü zu einem Eintrag der Menüleiste öffnen | Pfeil nach unten
Ein Menü verlassen oder ein Aktionsmenü schließen | Escape-Taste
Ein Untermenü schließen und zum Eintrag des Hauptmenüs springen | Escape-Taste oder Pfeil nach links

8.2.11 Eingabefeld

Aktion | Tastaturbefehl
Hilfe-Dokumentation für dieses Feld aufrufen | F1
Kontextmenü für das Eingabefeld im Fokus-Rechteck öffnen | Umschalttaste + F10
Historienliste aufrufen und einen der vorherigen Einträge wählen | Rücktaste
Text-Cursor zwischen den Zeichen bewegen | Pfeil nach rechts oder Pfeil nach links
Zum nächsten oder vorherigen Wort springen | Strg + Pfeil nach rechts oder Strg + Pfeil nach links
Cursor vor dem ersten oder hinter dem letzten Wort oder Zeichen in einem Feld platzieren | Pos1 oder Ende
Zeichen in einem Eingabefeld auswählen | Umschalttaste + Pfeil nach rechts oder Umschalttaste + Pfeil nach links
Das Wort vor oder nach dem Text-Cursor markieren | Strg + Umschalttaste + Pfeil nach rechts oder Strg + Umschalttaste + Pfeil nach links
Bearbeitung eines Eingabefelds beenden und Änderungen sichern | Tabulatortaste oder Eingabetaste
Öffnen des erweiterten Kontextmenüs mit den Funktionen zur Eingabehistorie | STRG + rechte Maustaste

8.2.12 Texteditor

Aktion | Tastaturbefehl
Text-Cursor zwischen den Zeichen innerhalb des Texteditors bewegen | Strg + Pfeil nach rechts oder Strg + Pfeil nach links
Cursor vor dem ersten oder hinter dem letzten Wort oder Zeichen platzieren | Pos1 oder Ende
Durch ein Dokument weiter- oder zurückblättern | Bild aufwärts oder Bild abwärts
Direkt auf die erste oder letzte Seite springen | Strg + Pos1 oder Strg + Ende
Zeichen markieren | Umschalttaste + Pfeil nach rechts oder Umschalttaste + Pfeil nach links
Das Wort vor oder nach dem Text-Cursor markieren | Strg + Umschalttaste + Pfeil nach links oder Strg + Umschalttaste + Pfeil nach rechts
Den gesamten Text markieren, ab der linken/rechten Position des Cursors bis zum Zeilenanfang/-ende | Umschalttaste + Pos1 oder Umschalttaste + Ende
Den gesamten Text zwischen der Cursorposition und dem Beginn oder Ende des gesamten Textes markieren | Strg + Umschalttaste + Pos1 oder Strg + Umschalttaste + Ende

8.2.13 ABAP-Liste

Aktion | Tastaturbefehl
Direkt auf das erste oder letzte Feld in der Tabelle springen | Strg + Pos1 oder Strg + Ende
Einen Knoten in einem Baum öffnen und die untergeordneten Elemente anzeigen | F2

8.2.14 ALV Grid

Aktion | Tastaturbefehl
Text in einer bearbeitbaren Zelle eines ALV Grid bearbeiten | F2
Historienliste aufrufen | Rücktaste
Eine gesamte Zeile markieren | Umschalttaste + Leertaste
Eine gesamte Spalte markieren | Strg + Leertaste
Den gesamten Inhalt eines ALV Grid markieren | Strg + A

8.2.15 Table Control

Aktion | Tastaturbefehl
Eine gesamte Zeile markieren | Umschalttaste + Leertaste
Eine gesamte Spalte markieren | Strg + Leertaste

8.2.16 Registerkarte

Aktion | Tastaturbefehl
Zur nächsten oder vorherigen Registerkarte springen | Strg + Bild aufwärts oder Strg + Bild abwärts

8.2.17 Splitter Control & Docker Control

Aktion | Tastaturbefehl
Die Größe des gewählten Anzeigebereichs ändern | Pfeil nach links, rechts, oben, unten

8.2.18 Statusleiste

Aktion | Tastaturbefehl
Springt zu den nächsten ( ALT GR + TAB) bzw. den letzten (SHIFT + ALT GR + TAB) Elementen und erreicht auf diese Weise auch die Systeminformation in der Statusleiste | ALT + GR + TAB, SHIFT + ALT GR + TAB
Öffnet das Kontextmenu der Systeminformation | SHIFT + F10
Springt von einem Menüeintrag zum nächsten | Pfeil nach oben, unten

8.2.19 Konfiguration der Tabulatorfolge

Aktion | Tastaturbefehl
Öffnet den Dialog Lokale Tabulatorfolge konfigurieren | Umschalten + Strg + L
Setzt die Markierung Einstiegspunkt auf das aktuelle GUI-Element | Umschalten + Strg + N
Setzt die Markierung Ausstiegspunkt auf das aktuelle GUI-Element | Umschalten + Strg + O
Setzt die Markierung Startpunkt auf das aktuelle GUI-Element | Umschalten + Strg + S
Setzt die Markierung Endpunkt auf das aktuelle GUI-Element | Umschalten + Strg + T

8.3 Blätterleiste für Informationsanzeige

Wenn Sie Informationen anzeigen (z.B. eine Liste oder Online-Hilfe), reicht die Größe des Fensters häufig nicht für alle Informationen aus. Sie verwenden die Blätterleiste für die Anzeige der nicht sichtbaren Informationen.

  • Verwenden Sie die vertikale Blätterleiste für die Bewegung nach oben und unten.
  • Verwenden Sie die horizontale Blätterleiste für die Bewegung nach links und rechts.

Bewegung | Vorgehensweise
Eine Zeile nach oben oder unten | Wählen Sie den Pfeil nach oben oder unten auf der vertikalen Blätterleiste.
Ein Zeichen nach rechts oder links | Wählen Sie den Pfeil nach rechts oder links auf der horizontalen Blätterleiste.
Eine Seite nach oben oder unten | Klicken Sie oberhalb oder unterhalb des Sliders auf die vertikale Blätterleiste.
Nach rechts oder links in horizontaler Ebene der Seite | Klicken Sie rechts oder links vom Slider auf die horizontale Blätterleiste.
Auf eine bestimmte Stelle im Text (oben oder unten) | Bewegen Sie den Slider auf der vertikalen Blätterleiste an die Stelle der gewünschten Information und lassen Sie die Maustaste los.
Auf eine bestimmte Stelle im Text (rechts oder links) | Bewegen Sie den Slider auf der horizontalen Blätterleiste an die Stelle der gewünschten Information und lassen Sie die Maustaste los.

Weitere Optionen:

Bewegung | Symbol | Taste / Tastenkombination
Erste Seite |  | Umschalttaste + F9, Strg + Bild aufwärts
Letzte Seite |  | Umschalttaste+F12, Strg + Bild abwärts
Vorherige Seite |  | Umschalttaste+F10, Bild abwärts
Nächste Seite |  | Umschalttaste+F11, Bild abwärts

8.4 Andere Tastaturbefehle

Tastaturbefehl | Ergebnis
Alt + F12 | Ruft das Dialogfenster für Lokales Layout anpassen auf.
Strg + Umschalttaste + P | Erstellt einen Ausdruck, der kein Menü-Dialogfenster zeigt und Statustexte sowie modale Dialogfenster enthalten kann.
Strg + / | Der Cursor springt direkt zum Befehlsfeld.
Strg + I | Der Cursor springt zum ersten Feld oder Control, das zu fokussieren ist.
Strg + + | Erzeugt einen neuen Modus.
Strg + ; | Legt eine SAP-Verknüpfung an.
Kontextmenü-Taste = Umschalttaste+F10 | Ruft das Kontextmenü auf.
Strg + Q | Zeigt die Quick-Info für das Fokus-Control an.
Escape-Taste im Befehlsfeld | Schließt die Dropdown-Liste, wenn sie geöffnet ist.
Strg + Z, Strg + Y | Widerrufen und Wiederherstellen im Eingabefeld.
Umschalttaste + Strg + Alt +erstes Zeichen eines Bildelementbezeichners | Der Cursor springt vom aktuellen Bildelement zum nächsten, dessen Bezeichnung mit diesem Zeichen beginnt, vorausgesetzt, die Option "Beschleunigungstaste benutzen" in den Tastatureinstellungen ist aktiviert. Diese Bildelemente können Felder, Ankreuzfelder, Dropdown-Listen, Drucktasten und Auswahlknöpfe sein. Controls wie ALV, HTML und APOGrid gehören ebenfalls dazu.
Strg + A | Wählt alle Daten im Oberflächenelement, die sich im Fokus befinden (nicht verfügbar in allen Oberflächenelementen).

Tastaturbefehle für SAP Logon:

Tastaturbefehl | Ergebnis
Strg + F | Der Cursor springt in das Filterfeld.
Strg + 1 bis Strg + 3 | Wechselt zwischen den verschiedenen Ansichten von SAP Logon (Explorer-Ansicht, Listenansicht, Baumansicht).
Strg + N | Legt ein neues Objekt an.
Strg + E | Bearbeitet das gewählte Objekt.

Anhang A: Arbeiten mit Control-Services

Control-Services bieten zusätzliche Funktionen für das Drucken von Baumstrukturen, das Bearbeiten von Texten und das Bearbeiten von ALV Grid an. Die folgende Liste zeigt einen Überblick über diese in mehreren Sprachen unterstützten Funktionen an:

Service | Beschreibung
Ausdruck von Baumstrukturen | Sie können den Inhalt einer Baumstruktur drucken - z.B. die Struktur im Menü SAP Easy Access.

Textbearbeitung
  • Sie können eine Rechtschreibprüfung im Texteditor von Microsoft Word vornehmen.
  • Sie können den Inhalt als E-Mail über Microsoft Outlook als Mail-Client versenden.
  • Sie können ein bestimmtes Wort im Texteditor markieren und dafür sofort eine Suche im Web starten.
  • Sie können ein bestimmtes Wort im Text-Editor markieren und dafür sofort eine Suche in der SAP-Bibliothek (help.sap.com) starten.

ALV-Grid-Funktionen
  • Sie können ein bestimmtes Wort in ALV Grid markieren und dafür sofort eine Suche im Web starten.
  • Sie können ein bestimmtes Wort in ALV Grid markieren und dafür sofort eine Suche in der SAP-Bibliothek (help.sap.com) starten.

Weitere Informationen über Control-Services finden Sie unter 6.3.4 Control-Services.

Anhang A1: Baumstrukturen mit Control-Services drucken

Sie können Baumstrukturen mit den Control-Services drucken.

Voraussetzung
Die Baumstrukturen, die Sie drucken wollen, müssen Kontextmenüs unterstützen.

Vorgehensweise
Um eine Baumstruktur zu drucken, gehen Sie wie folgt vor:

  1. Da die Baumstruktur so gedruckt wird, wie sie auf dem Bildschirm erscheint, öffnen Sie zuvor die Strukturknoten, die Sie ausdrucken wollen.
  2. Positionieren Sie den Cursor an einer beliebigen Stelle in der Baumstruktur, öffnen Sie mit der rechten Maustaste das Kontextmenü und wählen Sie Services -> Drucken, wie es in der folgenden Abbildung gezeigt wird:

  3. Es öffnet sich ein Browser-Fenster, in dem Sie Baum drucken wählen können, um die Struktur zu drucken.

Anhang A2: Textbearbeitung mit Control-Services

Die Textbearbeitungsfunktionen der Control-Services erlaubt es Ihnen, die folgenden Funktionen zu nutzen:

  • Sie können eine Rechtschreibprüfung im Texteditor von Microsoft Word vornehmen.
  • Sie können den Inhalt als E-Mail über Microsoft Outlook als Mail-Client versenden.
  • Sie können ein bestimmtes Wort im Texteditor markieren und dafür sofort eine Suche im Web starten.
  • Sie können ein bestimmtes Wort markieren und dafür eine Suche in der SAP-Bibliothek (www.help.sap.com) starten.

Anhang A2.1 Rechtschreibprüfung

Für die Rechtschreibprüfung des gesamten im Texteditor angezeigten Textes positionieren Sie den Cursor in den Text, öffnen Sie das Kontextmenü und wählen Sie Services -> Rechtschreibprüfung. Wenn Sie nur einen Teil des Textes prüfen wollen, markieren Sie den entsprechenden Teil, öffnen Sie mit der rechten Maustaste das Kontextmenü und wählen Sie Services -> Rechtschreibprüfung. Die Rechtschreibprüfung von Microsoft Word öffnet sich. Nach dem Speichern werden alle Korrekturen in den Texteditor übertragen.
Wenn die Rechtschreibprüfung keine Fehler findet, wird Microsoft Word wieder geschlossen.

Anhang A2.2 E-Mail vom Texteditor aus versenden

Sie können eine E-Mail mit dem im Texteditor angezeigten Text als Nachrichtentext versenden.

Voraussetzung
Sie verwenden Microsoft Outlook als Ihren E-Mail-Client.

Vorgehensweise
Um eine E-Mail mit dem Inhalt des Texteditors zu versenden, gehen Sie wie folgt vor:

  1. Positionieren Sie den Cursor an eine beliebige Stelle im Texteditor, öffnen Sie mit der rechten Maustaste das Kontextmenü und wählen Sie Services -> Mail, wie es in der folgenden Abbildung gezeigt wird:

    Sie können auch nur einen Teil des Textes als E-Mail versenden, indem Sie diesen Teil markieren und mit der rechten Maustaste das Kontextmenü öffnen, bevor Sie diese Funktion verwenden.
  2. Eine E-Mail-Nachricht mit dem Text aus dem Texteditor als Nachrichtentext wird geöffnet und ist für das Versenden bereit.

    Hinweis:
    Sie können das Hauptfenster von Microsoft Outlook nicht verwenden, solange diese E-Mail nicht gesendet worden ist oder dieses neue Fenster nicht geschlossen wurde.

Anhang A2.3 Das Web nach einem Schlüsselwort durchsuchen

Sie können ein bestimmtes Wort im Texteditor markieren und dafür sofort eine Suche im Web starten, indem Sie die gewählte Internet-Suchmaschine verwenden.

Voraussetzung
Standardmäßig wird Google als Suchmaschine verwendet. Sie können diese Einstellung ändern, indem Sie
-> Optionen -> Interaktionsdesign -> Control-Services wählen.
Ändern Sie nun einfach die Standard-Suchmaschine, indem Sie eine andere in der Dropdown-Liste Such-Provider wählen.

Vorgehensweise
Sie durchsuchen das Web nach einem Schlüsselwort mithilfe Ihrer Standard-Suchmaschine auf die folgende Weise:

  1. Markieren Sie ein Wort im Texteditor, betätigen Sie die rechte Maustaste und wählen Sie Services -> Suchen im Kontextmenü.
  2. Ein Browser-Fenster öffnet sich und zeigt das Ergebnis der Schlüsselwortsuche in Ihrer Standard-Suchmaschine an.

Anhang A2.4 Die SAP-Bibliothek nach einem Schlüsselwort durchsuchen

Sie können ein bestimmtes Wort im Texteditor markieren und dafür sofort eine Suche in der SAP-Bibliothek (help.sap.com) starten, indem Sie die Standard-Suchmaschine verwenden.

Voraussetzung
Standardmäßig wird Google als Suchmaschine verwendet. Sie können diese Einstellung ändern, indem Sie
-> Optionen -> Interaktionsdesign -> Control-Services wählen.
Ändern Sie nun einfach die Standard-Suchmaschine, indem Sie eine andere in der Dropdown-Liste Such-Provider wählen.

Vorgehensweise
Sie durchsuchen die SAP-Bibliothek nach einem Schlüsselwort auf die folgende Weise:

  1. Markieren Sie ein Wort im Texteditor und betätigen Sie die rechte Maustaste, um das Kontextmenü zu öffnen. Wählen Sie im Kontextmenü Services -> SAP Help Portal durchsuchen.
  2. Ein Browser-Fenster öffnet sich und zeigt das Ergebnis der Schlüsselwortsuche in der SAP-Bibliothek (help.sap.com) an.

Anhang A3: ALV-Grid-Funktionen von Control-Services verwenden

Control-Services bieten die folgenden ALV-Grid-Funktionen:

  • Die SAP-Bibliothek nach einem Schlüsselwort durchsuchen
  • Das Web nach einem Schlüsselwort durchsuchen

Hinweis:
Diese Funktion steht für Tabellen nicht zur Verfügung.

A3.1 Die SAP-Bibliothek nach einem Schlüsselwort durchsuchen

Sie können ein bestimmtes Wort in ALV Grid markieren und dafür sofort eine Suche in der SAP-Bibliothek (help.sap.com) starten, indem Sie die Standard-Suchmaschine verwenden.

Voraussetzung
Standardmäßig wird Google als Suchmaschine verwendet. Sie können diese Einstellung ändern, indem Sie
-> Optionen -> Interaktionsdesign -> Control-Services wählen.
Ändern Sie nun einfach die Standard-Suchmaschine, indem Sie eine andere in der Dropdown-Liste Such-Provider wählen.

Vorgehensweise
Sie durchsuchen die SAP-Bibliothek nach einem Schlüsselwort auf die folgende Weise:

  1. Markieren Sie ein Wort in ALV Grid und betätigen Sie die rechte Maustaste, um das Kontextmenü zu öffnen. Wählen Sie im Kontextmenü Services -> SAP Help Portal durchsuchen.

  2. Ein Browser-Fenster öffnet sich und zeigt das Ergebnis der Schlüsselwortsuche in der SAP-Bibliothek (help.sap.com) an.

A3.2 Das Web nach einem Schlüsselwort durchsuchen

Sie können ein bestimmtes Wort in ALV Grid markieren und dafür sofort eine Suche im Web starten, indem Sie die gewählte Internet-Suchmaschine verwenden.

Voraussetzung
Standardmäßig wird Google als Suchmaschine verwendet. Sie können diese Einstellung ändern, indem Sie
-> Optionen -> Interaktionsdesign -> Control-Services wählen.
Ändern Sie nun einfach die Standard-Suchmaschine, indem Sie eine andere in der Dropdown-Liste Such-Provider wählen.

Vorgehensweise
Sie durchsuchen das Web nach einem Schlüsselwort mithilfe Ihrer Standard-Suchmaschine auf die folgende Weise:

  1. Markieren Sie ein Wort in ALV Grid und wählen Sie Services -> Suchen im Kontextmenü.
  2. Ein Browser-Fenster öffnet sich und zeigt das Ergebnis der Schlüsselwortsuche in Ihrer Standard-Suchmaschine an.

Anhang B: Standardsymbole

Eine Liste mit Symbolen und Kurzbeschreibungen finden Sie im Standard Icons Document.

Anhang C: Weitere Informationen

Weitere Informationen über SAP GUI (einschließlich FAQs) finden Sie im SCN im Bereich des SAP GUI.

Anhang D: Open-Source-Lizenzen

STLport License Agreement

Anhang E: SAP GUI Scripting-API

Sie finden weitere Informationen über SAP GUI Scripting-API in der Standard-Symbolleiste unter [image] -> Hilfe zu SAP GUI Scripting.


SAP Icons

SAP GUI Ikonen Release 7.30

Icon | Corbu Icon | Name | ID
 |  | Ausschneiden | @2T@
 |  | Kopieren | @2U@
 |  | Einsetzen | @2V@
 |  | Markiermodus; Markieren | @2X@
 |  | Alle markieren | @4B@
 |  | Block markieren | @4C@
 |  | Alle Mark. löschen | @4D@
 |  | Block deselektieren | @8J@
 |  | Spaltenmarkierung invertieren | @8K@
 |  | Zeilenmarkierung invertieren | @8L@
 |  | Agent | @VV@
Icon | Corbu Icon | Name | ID
 |  | Ganz nach links; Erste(r) ... | @0B@
 |  | Ganz nach rechts; Letzte(r) .. | @0C@
 |  | Spalte links; Vorige(r) ... | @0D@
 |  | Spalte rechts; Nächste(r) ... | @0E@
 |  | Seite rechts | @0F@
 |  | Seite links | @0G@
 |  | Voriger Wert; Nächst. Eintrag | @0H@
 |  | Nächster Wert; Voriger Eintrag | @0I@
 |  | Okay; Weiter; auswählen | @0V@
 |  | Abbrechen | @0W@
 |  | Anderes | @2Q@
 |  | Voriges Bild | @2R@
 |  | Nächstes Bild | @2S@
 |  | Erste Seite | @2Y@
 |  | Vorige Seite | @2Z@
 |  | Nächste Seite | @30@
 |  | Letzte Seite | @31@
 |  | Kopf; Grunddaten | @3P@
 |  | Übersicht; Überblick; Listbild | @3Q@
 |  | Detailsicht | @3R@
 |  | Periodenbild; Zeitaufriß | @58@
 |  | Nächster Schritt | @B8@
 |  | Vorheriger Schritt | @B9@
 |  | Eintrag ganz nach oben | @HF@
 |  | Eintrag ganz nach unten | @HG@
 |  | Eintrag eine Seite nach oben | @HH@
 |  | Eintrag eine Seite nach unten | @HI@
Icon | Corbu Icon | Name | ID
 |  | Drucken | @0X@
 |  | Anlegen | @0Y@
 |  | Ändern | @0Z@
 |  | Anzeigen | @10@
 |  | Löschen | @11@
 |  | Testen | @12@
 |  | Suchen | @13@
 |  | kopieren | @14@
 |  | ausführen | @15@
 |  | auswählen; Detail | @16@
 |  | Zeile einfügen | @17@
 |  | Zeile löschen | @18@
 |  | Rückgängig | @2W@
 |  | Ersetzen | @37@
 |  | Prüfen | @38@
 |  | Aktivieren | @3C@
 |  | Sortieren aufsteigend | @3E@
 |  | Sortieren absteigend | @3F@
 |  | Umrechnen | @3H@
 |  | Anzeigen <-> Ändern | @3I@
 |  | Expandieren, Vergrößern | @3S@
 |  | Komprimieren; Verkleinern | @3T@
 |  | Positionieren; Anderer Eintrag | @3Y@
 |  | Summieren | @3Z@
 |  | Verschieben | @40@
 |  | Zurückholen | @41@
 |  | Auffrischen | @42@
 |  | Überspringen | @43@
 |  | Vergleichen | @46@
 |  | Importieren | @48@
 |  | Exportieren | @49@
 |  | Transportieren | @4A@
 |  | Weiter suchen | @4E@
 |  | Umbenennen | @4F@
 |  | Filtern | @4G@
 |  | Hervorheben | @4K@
 |  | Zwischensumme | @5V@
 |  | Alles expandieren | @68@
 |  | Alles komprimieren | @69@
 |  | Selektion, Auswahl | @7X@
 |  | Freie Abgrenzungen | @7Z@
 |  | Menge A | @89@
 |  | Menge B | @8A@
 |  | Menge A+B | @8B@
 |  | Schnittmenge AB | @8C@
 |  | Subtraktion A-B | @8D@
 |  | Subtraktion B-A | @8E@
 |  | In Menge A kopieren | @8F@
 |  | In Menge B kopieren | @8G@
 |  | Deaktivieren | @8I@
 |  | Weiterleiten zur Bearbeitung | @8W@
 |  | Genehmigen | @8X@
 |  | Ablehnen | @8Y@
 |  | Simulieren | @8Z@
 |  | Pfeil links | @9S@
 |  | Pfeil rechts | @9T@
 |  | Operation, Objekt verarbeiten | @9X@
 |  | Aktivität | @9Y@
 |  | Vertauschen | @BB@
 |  | Ablegen | @C0@
 |  | Zuordnen | @C1@
 |  | Abgeschlossen; einwandfrei | @DF@
 |  | Partner aufrufen | @DG@
 |  | Protokoll aufrufen | @DH@
 |  | XXL-Listviewer Aufruf | @DJ@
 |  | Aufruf Textverarbeitung | @DK@
 |  | ABC-Analyse | @DL@
 |  | Anzeigevariante auswählen | @DM@
 |  | Anzeigevariante sichern | @DN@
 |  | Dezimalstellen vergrößern | @DP@
 |  | Dezimalstellen verkleinern | @DQ@
 |  | Fehlerprotokoll | @DR@
 |  | Entfernen aus Favoritenliste | @ES@
 |  | Aufnehmen in Favoritenliste | @EV@
 |  | Anlegen mit Vorlage | @EZ@
 |  | Werte vorschlagen | @F6@
 |  | Anlage anzeigen | @FM@
 |  | Mappeninhalt anzeigen | @FN@
 |  | Mappe öffnen | @FO@
 |  | Objectfolder öffnen | @FP@
 |  | Ausgang anzeigen | @FQ@
 |  | Wiedervorlage | @FR@
 |  | Persönlich Ablage | @FS@
 |  | Allgemeine Ablage | @FT@
 |  | Abonnierte Mappen | @FU@
 |  | Ermittlung des Durchschnitts | @FV@
 |  | Fettdruck | @FW@
 |  | Kursivdruck | @FX@
 |  | Unterstrichen | @FY@
 |  | linksbündig | @FZ@
 |  | rechtsbündig | @G0@
 |  | zentriert | @G1@
 |  | Blocktext | @G2@
 |  | Farbe | @G3@
 |  | alle Attribute löschen | @G4@
 |  | Anzeigen von Idocs | @G5@
 |  | Verbindung aufbauen | @GB@
 |  | Verbindung trennen | @GC@
 |  | Filter zurücknehmen | @GD@
 |  | Hervorhebung zurücknehmen | @GF@
 |  | mehrer Zeilen einfügen | @GU@
 |  | Massenänderung durchführen | @HB@
 |  | Hervorhebung kritisch | @HC@
 |  | Hervorhebung unkritisch | @HD@
 |  | Spalten auswählen | @HE@
 |  | Datei lesen | @HJ@
 |  | Datei schreiben | @HK@
 |  | Datei bearbeiten | @HL@
 |  | Berichts-Berichtsaufruf | @I2@
 |  | Markieren mit Bedingung | @KG@
 |  | Anzeigevarianten | @LZ@
 |  | Absatzzeichen ein/ausblenden | @P2@
 |  | Werte löschen | @TS@
Icon | Corbu Icon | Name | ID
 |  | Notiz; Notiz ändern; Anmerkung | @0J@
 |  | Notiz anlegen | @0K@
 |  | Notiz anzeigen | @0L@
 |  | Kalkulation | @0M@
 |  | Grafik | @0N@
 |  | Text anlegen | @0O@
 |  | Text anzeigen | @0P@
 |  | Text; Text ändern; Langtext | @0Q@
 |  | Varianten | @0R@
 |  | Information | @0S@
 |  | Adresse | @0T@
 |  | Viewer optisches Archiv | @0U@
 |  | Seitenansicht | @3G@
 |  | Status setzen | @3J@
 |  | Liste | @3W@
 |  | Werkzeuge, Fertigungshilfsmit. | @45@
 |  | Netzplangrafik | @56@
 |  | Balkenplangrafik; Plantafel | @57@
 |  | Mitarbeiter | @5W@
 |  | Zeitzone | @5X@
 |  | Historie | @96@
 |  | Zeit inaktiv | @9R@
 |  | ABAP-Routine | @9U@
 |  | Auftrag, Order | @9Z@
 |  | Kunde | @A0@
 |  | Zentrallager | @A1@
 |  | Dispositionsebene | @A2@
 |  | Distributionszentrum | @A3@
 |  | Kundenlager | @A4@
 |  | Umlagerungspunkt | @A5@
 |  | Material | @A6@
 |  | Modell | @A7@
 |  | Werk | @A8@
 |  | Produktgruppe | @A9@
 |  | Verbindung, Beziehung | @AA@
 |  | Ressource | @AB@
 |  | Lagerort | @AC@
 |  | Lieferant | @AD@
 |  | Transportart | @AE@
 |  | Ort | @AF@
 |  | Arbeitsplan | @AJ@
 |  | Wartungsplan | @AK@
 |  | Meldung | @AL@
 |  | Arbeitsplatz | @AM@
 |  | Ausstattung | @AN@
 |  | Dokument | @AR@
 |  | Storno Zahlungsposten | @BA@
 |  | Kostenstelle | @BL@
 |  | Query Tool | @BO@
 |  | Workflow Eingang | @BP@
 |  | Wizard | @BY@
 |  | Einmallieferung Wunschtermin | @CB@
 |  | Vollständige Lieferung | @CC@
 |  | Liefervorschlag | @CD@
 |  | Planrichtung rückwärts (Umsch) | @CE@
 |  | Planungsrichtung rückwärts | @CF@
 |  | Planungsrichtung vorwärts | @CG@
 |  | Planrichtung vorwärts (Umsch) | @CH@
 |  | Finite Kapazität | @CI@
 |  | Variationen Nichtarbeitszeiten | @CJ@
 |  | Planmodus freie Kapazität | @CK@
 |  | Planmodus Vorgang einfügen | @CL@
 |  | Planmodus Vorgang einrütteln | @CM@
 |  | Planmodus Reihenfolge beibehal | @CN@
 |  | Profit Center Stammsatz | @D2@
 |  | Buchungskreis | @D9@
 |  | Kostenrechnungskreis | @DX@
 |  | Verteilerliste | @DY@
 |  | R/3 Mail ungelesen | @DZ@
 |  | R/3 Mail gelesen | @E0@
 |  | SAP Office Dokument | @E3@
 |  | Nicht abgeschloss.; fehlerhaft | @F1@
 |  | Lieferung | @O4@
 |  | Textfeld | @OB@
 |  | Feld mit Text | @OC@
 |  | Einfaches Feld | @OD@
 |  | Weiter ohne Bestätigung | @PB@
 |  | Anlieferung | @PG@
 |  | Ge-linktes Dokument | @QE@
 |  | Ge-linktes Verzeichnis | @QF@
 |  | Ge-linktes Verzeichnis | @QG@
 |  | Nachricht | @W0@
 |  | Business Objekt (aktuell) | @W2@
 |  | Business Objekt (alt) | @W3@
 |  | Ordner (aktuell) | @W5@
 |  | Ordner (alt) | @W6@
 |  | Ordner (verwaist) | @W7@
 |  | Nachricht (aktuell) | @W8@
 |  | Nachricht (alt) | @W9@
 |  | Nachricht (verwaist) | @WA@
 |  | Fehlernachricht (aktuell) | @WB@
 |  | Fehlernachricht (alt) | @WC@
 |  | Fehlernachricht (verwaist) | @WD@
 |  | Objektschnittstelle (aktuell) | @WE@
 |  | Objektschnittstelle (alt) | @WF@
 |  | Objektschnittstelle (vewaist) | @WG@
 |  | Datentypen (aktuell) | @WH@
 |  | Datentypen (alt) | @WI@
 |  | Datentypen (verwaist) | @WJ@
 |  | Datentyperw. (aktuell) | @WK@
 |  | Datentyperweiterungen (alt) | @WL@
 |  | Datentyperw. (verwaist) | @WM@
 |  | Agent (aktuell) | @WN@
 |  | Agent (alt) | @WO@
 |  | Agent (verwaist) | @WP@
 |  | Erweitertes Business Objekt | @WQ@
 |  | Erw. Business Objekt (aktuell) | @WR@
 |  | Erw. Business Objekt (alt) | @WS@
 |  | Erw. Business Obj. (verwaist) | @WT@
Icon | Corbu Icon | Name | ID
 |  | Geprüft; Okay | @01@
 |  | Unvollständig; Kritisch | @02@
 |  | Fehlgeschlagen | @03@
 |  | Positiv, Gut | @04@
 |  | Negativ; Schlecht | @05@
 |  | Gesperrt; Sperren | @06@
 |  | Frei; Entsperren | @07@
 |  | Grüne Ampel; Go; In Ordnung | @08@
 |  | Gelbe Ampel; Achtung | @09@
 |  | Rote Ampel; Stop; Fehlerhaft | @0A@
 |  | Grüne LED; Go; In Ordnung | @5B@
 |  | Rote LED; Stop; Fehlerhaft | @5C@
 |  | Gelbe LED; Achtung | @5D@
 |  | Anzeigemodus aktiv/nicht aktiv | @9B@
 |  | Request fehlerhaft | @9O@
 |  | Request erfolgreich | @9P@
 |  | Alarm | @AG@
 |  | Warnung | @AH@
 |  | Hinweis | @AI@
 |  | Inaktive LED; Undefiniert | @BZ@
 |  | Nachricht gelesen | @E1@
 |  | ungelesene Nachricht | @E2@
 |  | Go; In Ordnung | @E4@
 |  | Ampel aus; Undefiniert | @EB@
 |  | Stop; Fehlerhaft | @GI@
 |  | Trend fallend | @M8@
 |  | Trend leicht fallend | @M9@
 |  | Trend stagnierend | @MA@
 |  | Trend leicht steigend | @MB@
 |  | Trend steigend | @MC@
 |  | Status kritisch | @MD@
 |  | Status gut | @ME@
 |  | Status sehr gut | @MF@
 |  | Kein Status | @MG@
 |  | Status sehr kritisch | @OJ@
 |  | -- | @P5@
 |  | - | @P6@
 |  | 0 | @P7@
 |  | + | @P8@
 |  | ++ | @P9@
 |  | Initial, neu, offen | @Q3@
Icon | Corbu Icon | Name | ID
 |  | Telefonnummer | @1Q@
 |  | Faxnummer | @1R@
 |  | Nachricht senden; Mail | @1S@
 |  | Uhrzeit | @1T@
 |  | Datum | @1U@
 |  | Alarm | @1V@
 |  | Variable | @4M@
 |  | Dimension | @9Q@
 |  | ABAP lokal | @9V@
Icon | Corbu Icon | Name | ID
 |  | Fehlernachricht | @W1@
 |  | Business Objekt (verwaist) | @W4@
Icon | Corbu Icon | Name | ID
 |  | Mehrfachselektion (aktiv) | @1E@
 |  | Mehrfachselektion | @1F@
 |  | Voriger Knoten | @3K@
 |  | Nächster Knoten | @3L@
 |  | Hierarchie | @3M@
 |  | Beziehung einfügen | @3N@
 |  | Endedatum; Termine | @3O@
 |  | Nächste Hier.stufe | @4H@
 |  | Vorige Hier.stufe | @4I@
 |  | Beziehung aufheben | @53@
 |  | Context Menu | @TR@
Icon | Corbu Icon | Name | ID
 |  | Gleich | @1G@
 |  | Ungleich | @1H@
 |  | Größer | @1I@
 |  | Kleiner | @1J@
 |  | Größer gleich | @1K@
 |  | Kleiner gleich | @1L@
 |  | Intervall einschließen | @1M@
 |  | Intervall ausschließen | @1N@
 |  | Muster einschließen | @1O@
 |  | Muster ausschließen | @1P@
 |  | Selektieren: Gleich | @20@
 |  | Selektieren: Ungleich | @21@
 |  | Selektieren: Größer | @22@
 |  | Selektieren: Kleiner | @23@
 |  | Selektieren: Größer gleich | @24@
 |  | Selektieren: Kleiner gleich | @25@
 |  | Selektieren: Interv. einschl. | @26@
 |  | Selektieren: Interv. ausschl. | @27@
 |  | Selektieren: Muster einschl. | @28@
 |  | Selektieren: Muster ausschl. | @29@
 |  | Nicht selektieren: Gleich | @2A@
 |  | Nicht selektieren: Ungleich | @2B@
 |  | Nicht selektieren: Größer | @2C@
 |  | Nicht selektieren: Kleiner | @2D@
 |  | Nicht selekt.: Größer gleich | @2E@
 |  | Nicht selekt.: Kleiner gleich | @2F@
 |  | Nicht selekt.: Interv einschl. | @2G@
 |  | Nicht selekt.: Interv ausschl. | @2H@
 |  | Nicht selekt.: Muster einschl. | @2I@
 |  | Nicht selekt.: Muster ausschl. | @2J@
 |  | Schließen | @3X@
 |  | Ausrichten | @52@
 |  | Freigeben | @5Y@
 |  | Auszeichnen | @5Z@
 |  | Gefahrgutprüfung | @CO@
 |  | Sanctioned Party List Screeni | @D6@
 |  | Mietvertrag anzeigen | @DD@
 |  | Objektliste aufrufen | @DI@
 |  | ausgeschl. Korrespondenzklasse | @DO@
 |  | Verpacken | @E8@
 |  | Auspacken | @E9@
 |  | Leeren | @EA@
 |  | Charge anzeigen | @EJ@
 |  | Verwaltungsdaten anzeigen | @EK@
 |  | Bestand | @EL@
 |  | Kontierung | @EM@
 |  | Herkunft | @EN@
 |  | Externe Jobs anzeigen | @EP@
 |  | Ereignis anzeigen | @ET@
 |  | Benutzungsbeziehungen anzeigen | @EX@
 |  | Abbildungsbeziehungen anzeigen | @EY@
 |  | Cache-Eintrag zurücksetzen | @F0@
 |  | Belegposition vorschlagen | @F7@
 |  | Kundenstammblatt anzeigen | @F8@
 |  | Statusübersicht anzeigen | @F9@
 |  | Details zum Belegkopf anzeigen | @FA@
 |  | Details zu Position anzeigen | @FB@
 |  | Verfügbarkeit prüfen | @FC@
 |  | Preiskonditionen | @FD@
 |  | Einteilungen zur Position | @FE@
 |  | Verfügbarkeitssituation anz. | @FF@
 |  | Lagerstatistiken aufrufen | @FG@
 |  | Rechner/Host | @G6@
 |  | Lagerbestände | @HQ@
 |  | Produktionsversorgungsbereich | @I1@
 |  | Ausklappen von Datenbereichen | @K1@
 |  | Einklappen von Datenbereichen | @K2@
 |  | Produktionsausschuß | @K3@
 |  | Termin abgleichen | @KI@
 |  | Keyfelder verdichten | @KT@
 |  | Verdichten zurücknehmen | @KU@
 |  | Lagerprozeß anstoßen Hintergr. | @LT@
 |  | Lagerprozeß anstoßen Vordergr. | @LU@
 |  | Lagerprozeß quittieren Hinter. | @LV@
 |  | Lagerprozeß quittieren Vorder. | @LW@
 |  | Redlining-Objekt selektieren | @MH@
 |  | Freihandlinien zeichnen | @MI@
 |  | Hinweispfeil zeichnen | @MJ@
 |  | Linie zeichnen | @MK@
 |  | Polylinien zeichnen | @ML@
 |  | Ellipsen zeichnen | @MM@
 |  | Polygone zeichnen | @MN@
 |  | Rechteck zeichnen | @MO@
 |  | Winkelmessung | @MP@
 |  | Längenmessung | @MQ@
 |  | Radiusmessung | @MR@
 |  | Ausrichten am Raster | @PC@
 |  | Raster | @PD@
 |  | Hauptraster | @PE@
 |  | Rahmenlinie oben | @PU@
 |  | Rahmenlinie rechts | @PV@
 |  | Rahmenlinie außen | @PW@
 |  | Rahmenlinie links | @PX@
 |  | Rahmenlinie unten | @PY@
 |  | Rahmenlinie innen | @PZ@
 |  | Vorlage zurücksetzen | @Q0@
 |  | Eingaben als Vorlage speichern | @Q1@
 |  | KV-Karte übernehmen | @Q2@
 |  | Materialpreisanalyse | @Q6@
 |  | Kostenelemente | @Q7@
 |  | Handling Unit | @TV@
 |  | Selektieren: Alles | @VT@
Icon | Corbu Icon | Name | ID
 |  | Pro Share | @1W@
 |  | Berichts-Berichtsaufruf | @36@
 |  | Iconliste; Legende | @3D@
 |  | Kurznachricht | @47@
 |  | Persönliche Hilfe | @4L@
 |  | Spalten fixieren | @54@
 |  | Spaltenfixierung aufheben | @55@
 |  | Objekte vergrößern | @59@
 |  | Objekte verkleinern | @5A@
 |  | (ISO) Code | @60@
 |  | Formel | @6R@
 |  | Parameter | @77@
 |  | Parameter Import | @78@
 |  | Parameter Export | @79@
 |  | Parameter ändern | @7A@
 |  | Parameter Ergebnis | @7B@
 |  | Gefährliche Güter | @8H@
 |  | Außenhandel | @8M@
 |  | URL | @8S@
 |  | Vorgang einplanen | @8U@
 |  | Vorgang ausplanen | @8V@
 |  | Technischer Platz | @AO@
 |  | Stückliste | @AP@
 |  | Stücklistenposition | @AQ@
 |  | Dokumentrevision | @AS@
 |  | Materialrevision | @AT@
 |  | Änderungsnummer | @AU@
 |  | Parameter Tabelle | @BJ@
 |  | Staffeln | @BT@
 |  | Zugabe, Geschenk | @BU@
 |  | Mengenumrechnungsfaktor | @BV@
 |  | Beziehungswissen | @BW@
 |  | Konfiguration | @BX@
 |  | Spätere Erfassung | @C2@
 |  | Spätere Zuordung | @C3@
 |  | Sofortige Erfassung | @C4@
 |  | Sofortige Zuordnung | @C5@
 |  | Japan | @D5@
 |  | Zolltechnisches Rechtsgebiet | @D7@
 |  | Gesetzliche Grundlage | @D8@
 |  | Einzelkalkulation | @DA@
 |  | Bauteil (Kalkulationsblock) | @DB@
 |  | Leistungsart | @DC@
 |  | Immobilienverwaltungsdatenobj. | @DE@
 |  | Geschäftspartnerkontakt allg. | @DS@
 |  | eingehendes Telefonat | @DT@
 |  | North American Free Trade Asso | @DU@
 |  | Europäische Union | @DV@
 |  | ausgehendes Telefonat | @DW@
 |  | Prüflos | @EO@
 |  | Prüfmethode | @GS@
 |  | Katalog | @GT@
 |  | Prüfmerkmal | @GV@
 |  | Physische Probe | @GW@
 |  | Datentyp "Element" | @HO@
 |  | Datentyp "Struktur" | @HP@
 |  | Unterposition einer Stückliste | @HW@
 |  | Änderungsstand | @HX@
 |  | Stichtag | @HY@
 |  | Selektionszeitraum | @HZ@
 |  | Parametergültigkeit | @I0@
 |  | Adobe Acrobat Reader | @IT@
 |  | Bitmap Image | @IU@
 |  | Fax Document | @IV@
 |  | Gif Image | @IW@
 |  | Help file | @IX@
 |  | Hyper Text Template | @IY@
 |  | Internet Document Set | @IZ@
 |  | JPEG Image | @J0@
 |  | Mail Message | @J1@
 |  | MS Excel Worksheet | @J2@
 |  | MS Excel VBA Module | @J3@
 |  | HTML Document | @J4@
 |  | MS PowerPoint Presentation | @J5@
 |  | MS Word Template | @J6@
 |  | MS Word Document | @J7@
 |  | Outlook Express Mail | @J8@
 |  | Rich Text Format | @J9@
 |  | TIF Image Document | @JA@
 |  | Notepad Document | @JB@
 |  | WordPro | @JC@
 |  | Lotus123 | @JD@
 |  | Visio | @JE@
 |  | Default Windows | @JF@
 |  | Adressbestand | @KH@
 |  | Stammdaten Geschäftspartner | @KJ@
 |  | Unvollständigkeitsprotokoll | @KK@
 |  | Nachricht | @KL@
 |  | Telefonat | @KM@
 |  | Besuch | @KN@
 |  | Brief | @KO@
 |  | Anzahl fehlerhafter Einheiten | @KV@
 |  | Hintergrund Job | @M4@
 |  | Hintergrund Job Details | @M5@
 |  | SNC Information | @O3@
 |  | Verbrauchsalternative | @ON@
 |  | Beschaffungsalternative | @OO@
 |  | Beschaffungsprozess | @OP@
 |  | Zielgruppe | @PF@
 |  | Geschäftsbereich | @PN@
 |  | Anschlußobjekt | @PQ@
 |  | Vertragskonto | @PR@
 |  | Zählwerk | @PS@
 |  | Anlage | @PT@
 |  | Basisrezept | @Q4@
 |  | Bewertetes Mengengerüst | @Q8@
 |  | Nachbew. Verbrauchsalternative | @Q9@
 |  | Query-Paket | @QA@
 |  | Dynamisches Paket | @QB@
 |  | Standardpaket | @QC@
 |  | Anwendungspaket | @QD@
 |  | Aufbereiteter Bericht | @QH@
 |  | XML-Dokument | @R4@
 |  | Dropdown Liste | @R5@
 |  | Radiobutton | @R6@
 |  | Checkbox | @R7@
 |  | Job Family | @WY@
Icon | Corbu Icon | Name | ID
 |  | Transport, LKW | @7Q@
 |  | Transport, Bahn | @7R@
 |  | Transport, Schiff | @7S@
 |  | Transport, Flugzeug | @7T@
 |  | Transport, Post | @7U@
 |  | Warenumschlag | @7V@
 |  | Grenzpunkt, Zollstation | @7W@
 |  | Merkmal, aktiv | @81@
 |  | Merkmal, inaktiv | @82@
 |  | Kennzahl, aktiv | @83@
 |  | Kennzahl, inaktiv | @84@
 |  | Warentransport | @9K@
 |  | Zeigt ein MC an | @P3@
 |  | Zeigt eine BSC an | @P4@
 |  | Red Dash | @VG@
 |  | Red Slash | @VH@
 |  | Red Cross in Circle | @VI@
Icon | Corbu Icon | Name | ID
 |  | Video | @1X@
 |  | Spracheingabe | @1Y@
 |  | Sprachausgabe | @1Z@
Icon | Corbu Icon | Name | ID
 |  | Benutzerspezifischer Haltepunkt | @VB@
 |  | Deaktivierter Benutzerhaltepunk | @VC@
 |  | Modushaltepunkt | @VD@
 |  | Deaktivierter Modushaltepunkt | @VE@
 |  | Enterprise Service Repository | @VF@
 |  | Einchecken anfordern | @VY@
 |  | Auschecken anfordern | @VZ@
Icon | Corbu Icon | Name | ID
 |  | Platzhaltericon | @00@
 |  | Generieren | @39@
 |  | Verwendungsnachweis | @3A@
 |  | Stapel | @3B@
 |  | Fremdschlüssel | @3V@
 |  | Modifizieren; erweitern | @61@
 |  | Umfeldermittlung | @62@
 |  | Schnittstelle | @63@
 |  | Debugger Einzelschritt | @73@
 |  | Debugger ausführen | @74@
 |  | Debugger zurück | @75@
 |  | Debugger weiter | @76@
 |  | Aufzeichnung beenden | @7Y@
 |  | Modifikation: Anlegen, ändern | @97@
 |  | Modifikation: Übersicht | @98@
 |  | Modifikation: Original anzeige | @99@
 |  | Modifikation: Rücksetzen | @9A@
 |  | Tabelleneintrag zuordnen | @I3@
 |  | Tabelleneintrag zuordnen aufh. | @I4@
 |  | Aufzeichnung starten | @I5@
 |  | Aufzeichnung abspielen | @I6@
 |  | Übersetzung pflegen | @I7@
 |  | Übersetzung anzeigen | @I8@
 |  | Kennwort ändern | @I9@
 |  | Verteilen von Einträgen | @IA@
 |  | Aufruf von Systemen | @IB@
 |  | Rolle für Berechtigungen | @IC@
 |  | Benutzergruppen in Berecht. | @ID@
 |  | Zuordnung aufheben | @IE@
 |  | Differenzen ermitteln | @II@
 |  | Differenz ermitteln Rücknahme | @IJ@
 |  | Demarkieren | @IK@
 |  | Übernahme eines Objektes | @IL@
 |  | Absprung in die Terminologie | @IM@
 |  | Anzeige eines Projektes | @IO@
 |  | Importieren | @K4@
 |  | Einzelimport | @K5@
 |  | Wechsel Grund - Detailsicht | @K6@
 |  | Standardmodus - Expertenmodus | @K7@
 |  | Einstellungen | @K8@
 |  | Objekte aufnehmen | @KA@
 |  | Übertragen | @KB@
 |  | Konfiguration verteilen | @KC@
 |  | Konfiguration abgleichen | @KD@
 |  | Standardkonfiguration | @KE@
 |  | Überarbeitet | @KF@
 |  | nicht spezifiziert (1) | @KW@
 |  | nicht spezifiziert (2) | @KX@
 |  | nicht spezifiziert (3) | @KY@
 |  | nicht spezifiziert (4) | @KZ@
 |  | nicht spezifiziert (5) | @L0@
 |  | Transportantrag anlegen | @OE@
Icon | Corbu Icon | Name | ID
 |  | Klasse | @7C@
 |  | Interface | @7D@
 |  | Attribut | @7E@
 |  | Klassenattribut | @7F@
 |  | Instanzattribut | @7G@
 |  | Methode | @7H@
 |  | Klassenmethode | @7I@
 |  | Instanzmethode | @7J@
 |  | Ereignis | @7K@
 |  | Konstante | @7L@
 |  | Überdefinieren | @7M@
 |  | Beziehungen | @7N@
 |  | Vererbung/Spezialisierung | @7O@
 |  | Interface-Impl./Komposition | @7P@
 |  | Klassenereignis | @C6@
 |  | Instanzereignis | @C7@
 |  | Alias | @C8@
 |  | Objekt | @C9@
 |  | Dokument | @IF@
 |  | Liste | @IG@
 |  | Mappe | @IH@
 |  | Darstellung Dreiecksbeziehung | @IN@
 |  | Projekt | @K9@
 |  | Systemtyp | @M6@
 |  | Sammelrolle | @M7@
 |  | Dokumentenmodellbereich | @OR@
 |  | Beziehungsklasse | @OS@
 |  | Attributdefinition | @OT@
 |  | Virtuelle Beziehungsklasse | @OU@
 |  | Klassenverbindungsbereich | @OV@
 |  | Festwerte Attributdefinition | @OW@
 |  | Kontextklasse | @OX@
 |  | Logische Infoobjektklasse | @OY@
 |  | Virtuelle log. Infoobjektkl. | @OZ@
 |  | Physische Infoobjektklasse | @P0@
 |  | Virtuelle phys. Infoobjektkl. | @P1@
 |  | Test der PAW | @PJ@
 |  | Subtest eines Tests der PAW | @PK@
 |  | Performance Unit | @PL@
 |  | Test-Item eines Tests der PAW | @PM@
 |  | WD Anwendungskomponente | @RG@
 |  | Tag Library | @RH@
 |  | Tag Library Reference | @RI@
 |  | Web Project | @RJ@
 |  | Web Application Project | @RK@
 |  | Inbound Plug | @RL@
 |  | Outbound Plug | @RM@
 |  | View | @RN@
 |  | Views | @RO@
 |  | Interface View | @RP@
 |  | Interface Views | @RQ@
 |  | View Area | @RR@
 |  | T Layout ViewSet | @RS@
 |  | Reverse T Layout ViewSet | @RT@
 |  | T Layout 270° ViewSet | @RU@
 |  | T Layout 90° ViewSet | @RV@
 |  | Tab Layout ViewSet | @RW@
 |  | Grid ViewSet | @RX@
 |  | View Container | @RY@
 |  | Windows Collection | @RZ@
 |  | Window | @S0@
 |  | Build all | @S1@
 |  | Build Incremental | @S2@
 |  | Components | @S3@
 |  | Component | @S4@
 |  | Component Interface | @S5@
 |  | Application | @S6@
 |  | Applications | @S7@
 |  | Context | @S8@
 |  | Value Node | @S9@
 |  | Value Attribute | @SA@
 |  | Mapped Value Node | @SB@
 |  | Mapped Value Attribute | @SC@
 |  | Model Node | @SD@
 |  | Model Attribute | @SE@
 |  | Mapped Model Node | @SF@
 |  | Mapped Model Attribute | @SG@
 |  | Recursion Node | @SH@
 |  | Image | @SI@
 |  | Caption | @SJ@
 |  | Business Graphics | @SK@
 |  | Label | @SL@
 |  | Input Field | @SM@
 |  | Numeric Value | @SN@
 |  | Time Value | @SO@
 |  | Checkbox (indexed) | @SP@
 |  | Checkbox Group | @SQ@
 |  | Radio Button (empty) | @SR@
 |  | Radio Button Group by Index | @SS@
 |  | Radio Button Group by Key | @ST@
 |  | Dropdown by Index | @SU@
 |  | Dropdown by Key | @SV@
 |  | Link To Action | @SW@
 |  | Link To URL | @SX@
 |  | Toolbar Button | @SY@
 |  | Toolbar Dropdown by Index | @SZ@
 |  | Toolbar Dropdown by Key | @T0@
 |  | Toolbar Inputfield | @T1@
 |  | Toolbar Separator | @T2@
 |  | Toolbar Caption | @T3@
 |  | Table | @T4@
 |  | Table Column | @T5@
 |  | Tree | @T6@
 |  | Tree Node | @T7@
 |  | Tree Item | @T8@
 |  | IFrame | @T9@
 |  | Checkbox | @TA@
 |  | Radio Button | @TB@
 |  | Button | @TC@
 |  | Text View | @TD@
 |  | Text Edit | @TE@
 |  | Toolbar | @TF@
 |  | Tabstrip | @TG@
 |  | Tab | @TH@
 |  | Group | @TI@
 |  | Tray | @TJ@
 |  | Transparent Container | @TK@
 |  | Scroll Container | @TL@
 |  | Navigation Link | @TM@
 |  | Navigation Link Bidirectional | @TN@
 |  | Navigation Link Out | @TO@
 |  | Navigation Link In | @TP@
 |  | Controller | @TQ@
 |  | Interface Message Type | @VN@
 |  | Fehler Interf. Nachr.typ | @VO@
Icon | Corbu Icon | Name | ID
 |  | Haltepunkt | @3U@
 |  | Custom Controller | @US@
 |  | Custom Controllers | @UT@
 |  | InputModelAttribute | @UU@
 |  | InputModelNode | @UV@
 |  | InputValueAttribute | @UW@
 |  | InputValueNode | @UX@
 |  | MappedInputModelAttribute | @UY@
 |  | MappedInputModelNode | @UZ@
 |  | MappedInputValueAttribute | @V0@
 |  | MappedInputValueNode | @V1@
 |  | ComponentController | @V2@
 |  | ComponentControllerUsage | @V3@
 |  | Component Interface Controller | @V4@
 |  | Component Interface Definition | @V5@
 |  | Component Interface Definitions | @V6@
 |  | Component Usage | @V7@
 |  | Component Usages | @V8@
 |  | Web Breakpoint | @V9@
 |  | Disabled Web Breakpoint | @VA@
 |  | Ausgecheckt | @VX@
 |  | Haltepunkt mit Bedingung | @WW@
 |  | Inaktiver Haltepunkt mit Bed. | @WX@
Icon | Corbu Icon | Name | ID
 |  | Prozeß | @4S@
 |  | Prozeßauswahlmatrix | @4T@
 |  | Systemorganigramm | @4U@
 |  | Szenario | @4V@
 |  | Business-Objekte | @4W@
 |  | Infoflußdiagramm | @4X@
 |  | Entitätstyp | @4Y@
 |  | Prozeß vorhanden | @4Z@
 |  | Kommunikationsdiagramm | @50@
 |  | Datenmodell | @51@
 |  | Wertschöpfungskette | @5G@
Icon | Corbu Icon | Name | ID
 |  | Aktivität | @5H@
 |  | Bedingung | @5I@
 |  | Benutzerentscheidung | @5J@
 |  | Container Operation | @5K@
 |  | Externe Ereignisse | @5L@
 |  | Interne Ereignisse | @5M@
 |  | Mehrfachbedingungen | @5N@
 |  | Workflow verzweigen | @5O@
 |  | Ereigniserzeuger | @5P@
 |  | Ablaufsteuerung | @5Q@
 |  | Unbestimmter Schritt | @5R@
 |  | Bis Schleife | @5S@
 |  | Warten auf Ereignisse | @5T@
 |  | Während Schleife | @5U@
 |  | Int. Ereignisse mit Termin | @87@
 |  | Dokument aus Vorlage erzeugen | @CP@
 |  | Datenfluß festlegen | @CQ@
 |  | Datenfluß auflösen | @CR@
 |  | Workitem bereit | @CS@
 |  | Workitem reserviert | @CT@
 |  | Workitem in Arbeit | @CU@
 |  | Workitem ausgeführt | @CV@
 |  | Workitem wartend | @CW@
 |  | Workitem beendet | @CX@
 |  | Workitem fehlerhaft | @CY@
 |  | Workitem logisch gelöscht | @CZ@
 |  | Workitem annehmen | @D0@
 |  | Workitem zurücklegen | @D1@
 |  | Regelwerk | @D3@
 |  | Parameter eines Prozesses | @D4@
 |  | Workflow verbinden | @M2@
 |  | Workflow Prozess | @M3@
 |  | Workflow | @OQ@
 |  | Schrittyp Web_Aktivität | @PA@
 |  | Platzhalter | @Q5@
Icon | Corbu Icon | Name | ID
 |  | Vorgang | @64@
 |  | Standardvorgang | @65@
 |  | Arbeitsaufgabe | @66@
 |  | Verrichtungen | @67@
 |  | Arbeitsplankopf | @HR@
 |  | Material-Plan-Zuordnung | @HS@
 |  | Untervorgang | @HT@
 |  | Referierter Untervorgang | @HU@
 |  | Folge | @HV@
Icon | Corbu Icon | Name | ID
 |  | InfoSource | @6E@
 |  | Applikation | @6F@
 |  | InfoArea | @6G@
 |  | InfoCube | @6H@
 |  | Fortschreibungsregeln, inaktiv | @6I@
 |  | Quellsystem, allgemein | @6J@
 |  | Quellsystem R/3 | @6K@
 |  | Quellsystem, fremd | @6L@
 |  | Quellsystem Datei | @6M@
 |  | InfoCatalog | @6N@
 |  | InfoObject | @6O@
 |  | Monitor | @6P@
 |  | Scheduler | @6Q@
 |  | Vorlagestruktur | @6S@
 |  | Bericht | @6T@
 |  | Reportview (=Workbook) | @6U@
 |  | Stammdaten, aktiv | @6V@
 |  | Stammdaten, inaktiv | @6W@
 |  | Texte, aktiv | @6X@
 |  | Texte, inaktiv | @6Y@
 |  | Hierarchien, aktiv | @6Z@
 |  | Hierarchien, inaktiv | @70@
 |  | Bewegungsdaten, aktiv | @71@
 |  | Bewegungsdaten, inaktiv | @72@
 |  | Fortschreibungsregeln, aktiv | @80@
 |  | InfoObjects Einheiten, aktiv | @85@
 |  | InfoObjects Einheiten, inaktiv | @86@
 |  | InfoObjekt Katalog | @88@
 |  | ODS aktiv | @9L@
 |  | ODS inaktiv | @9M@
 |  | InfoPackage | @9N@
 |  | Transferstruktur aktiv | @9W@
 |  | Auf Karte verzweigen | @F2@
 |  | InfoCube, SAP Version | @F3@
 |  | InfoCube, inaktiv | @F4@
 |  | InfoObjekt Katalog, SAP Ver. | @F5@
 |  | Data Marts | @GH@
 |  | Merkmal, SAP Version | @GJ@
 |  | Kennzahl, SAP Version | @GK@
 |  | Einheit, SAP Version | @GL@
 |  | Zeitmerkmal, SAP Version | @GM@
 |  | Fortschreibungsregeln, SAP | @GN@
 |  | Query, SAP Version | @GO@
 |  | Variable, SAP Version | @GP@
 |  | Template, SAP Version | @GQ@
 |  | Eingeschränkte Kennzahl, SAP | @GR@
 |  | Berechnete Kennzahl, SAP Ver. | @GX@
 |  | InfoKatalog, SAP Version | @GY@
 |  | Segment, aktiv | @H8@
 |  | Segment, inaktiv | @H9@
 |  | Segment, SAP Version | @HA@
 |  | Quellsystem eigenes System | @M1@
 |  | Exception Monitor | @MS@
 |  | Navigationszustand einer Query | @MT@
 |  | Transferstruktur, inaktiv | @MU@
 |  | Ausnahme beim Reporting | @MV@
 |  | Ranglistenfunktion | @MW@
 |  | Balkengrafik | @NF@
 |  | Farbverlaufgrafik | @NG@
 |  | Kartenschicht tiefer | @NH@
 |  | Punktedichtegrafik | @NI@
 |  | Karteneinstellungen | @NJ@
 |  | Kartenmittelpunkt verschieben | @NK@
 |  | Kreisdiagramm | @NL@
 |  | Kartenschicht höher | @NM@
 |  | Selektieren von Kartenobjekten | @NN@
 |  | Symbolgrafik | @NO@
 |  | Reporting Agent: Aktiv | @O1@
 |  | Reporting Agent: Inaktiv | @O2@
 |  | Datenbanktabelle | @PO@
 |  | Inaktive Datenbanktabelle | @PP@
 |  | Aktives InfoSet | @QI@
 |  | Inaktives InfoSet | @QJ@
 |  | Formel auf Strukturelement | @QK@
 |  | Merkmal mit Hierarchie | @QL@
 |  | Ausgeschlossener Knoten | @QM@
 |  | Eingeschl. variabler Knoten | @QN@
 |  | Ausgeschl. variabler Knoten | @QO@
 |  | Formel auf Kennzahl | @QP@
 |  | Eingeschl. variabler Wert | @QQ@
 |  | Ausgeschl. variabler Wert | @QR@
 |  | Werte >= Variable einschließen | @QS@
 |  | Werte > Variable einschließen | @QT@
 |  | Werte <= Variable einschließen | @QU@
 |  | Werte < Variable einschließen | @QV@
 |  | Variables Intervall einschl. | @QW@
 |  | Variables Intervall ausschl. | @QX@
 |  | Multi Data Provider | @QY@
 |  | Inaktiver Multi Data Provider | @QZ@
 |  | Quellsystem Datenbank | @R0@
 |  | Quellsystem Internet | @R1@
 |  | DataSource | @R2@
 |  | BW Web-Report | @R3@
 |  | Geo-Merkmal | @R8@
 |  | Inaktives Geo-Merkmal | @R9@
 |  | SAP Data Mining | @TW@
 |  | Visualization | @TX@
 |  | Target | @TY@
 |  | Transformation | @TZ@
 |  | Source | @U0@
 |  | Column to row | @U1@
 |  | Row to column | @U2@
 |  | Database table | @U3@
 |  | Analysis Process | @U4@
 |  | 3rd Party Data Mining | @U5@
 |  | Weighted Score Tables | @U6@
 |  | Regression | @U7@
 |  | Clustering | @U8@
 |  | Association Analysis | @U9@
 |  | Decision Tree | @UA@
 |  | Unit Conversion | @UB@
 |  | Planning Layer | @UC@
 |  | Planning Layer Inactive | @UD@
 |  | Open Hub Destination | @UE@
 |  | Rotate Right | @UF@
 |  | Rotate Left | @UG@
 |  | Werthilfe | @VJ@
 |  | Datentransferprozess | @VK@
 |  | Datentransferprozess (Inaktiv) | @VL@
 |  | Open Hub Destination Inaktiv | @VM@
 |  | Segmentierte Daten | @VP@
 |  | Segmentierte Daten (inaktiv) | @VQ@
 |  | Virtueller InfoProvider | @VR@
 |  | Virt. InfoProvider inaktiv | @VS@
 |  | Quellsystem (Univ. Data C.) | @VU@
 |  | BW Info Source inaktiv | @VW@
Icon | Corbu Icon | Name | ID
 |  | Belege | @90@
 |  | Zwischenziele | @91@
 |  | Kilometeraufteilung | @92@
 |  | Vorschuß | @93@
 |  | Abzüge | @94@
 |  | Kostenzuordnung | @95@
 |  | Flugbuchung | @AV@
 |  | Mietwagenbuchung | @AW@
 |  | Hotelbuchung | @AX@
 |  | Bahnbuchung | @AY@
 |  | Preisanfrage | @AZ@
 |  | Abfrage | @B0@
 |  | Buchen | @B1@
 |  | Stornieren | @B2@
 |  | Buchungsstatus offen | @B3@
 |  | Buchungsstatus gebucht | @B4@
 |  | Buchungsstatus teilw. gebucht | @B5@
 |  | Buchungsstatus storniert | @B6@
 |  | Präferenzen | @B7@
 |  | Pauschale | @M0@
Icon | Corbu Icon | Name | ID
 |  | Automatisches Angebot | @9C@
 |  | Vorgeschlagenes Angebot | @9D@
 |  | Ereignisangebot | @9E@
 |  | Freies Angebot | @9F@
 |  | Angebotsauswahl | @9G@
 |  | Angehörige | @9H@
 |  | Aktuelle Leistungen | @9I@
 |  | Beendigung AG-Leistungen | @9J@
 |  | Abrechnung | @BC@
 |  | Workload | @BD@
 |  | Vorschlag | @BE@
 |  | Zeitauswertung | @BH@
 |  | Position (Arbeitsstelle) | @BI@
 |  | Aufgabe | @BK@
 |  | Manager | @BM@
 |  | Organisationseinheit | @BN@
 |  | Schnelleingabe | @BQ@
 |  | Maßnahmen | @BR@
 |  | Workcenter | @BS@
 |  | Arbeitsstelle | @CA@
 |  | Haushaltselement | @GZ@
 |  | Finanzierung | @H0@
 |  | Umwandlungsvermerk | @H1@
 |  | Umwandlung | @H2@
 |  | Wegfallvermerk | @H3@
 |  | Zweckbindung | @H4@
 |  | Stellvertreter | @H5@
 |  | Budgetaktualisierung | @H6@
 |  | Umbuchung | @H7@
 |  | Krankheit | @IP@
 |  | Urlaub | @IQ@
 |  | Standardrolle, Sachbearbeiter | @IR@
 |  | Personalverwaltung | @IS@
 |  | Anzeige eines Baumes | @JG@
 |  | Erweiterte Suche | @JH@
 |  | Objekt schließen | @JI@
 |  | Objekt öffnen | @JJ@
 |  | To be hired | @L2@
 |  | To be hired hold | @L3@
 |  | Neuer Mitarbeiter | @L4@
 |  | Incoming Employee | @L5@
 |  | Outgoing Employee | @L6@
 |  | Obsolete Planstelle | @L7@
 |  | abgegrenzte Planstelle | @L8@
 |  | Planstelle mit 2 Inhabern | @L9@
 |  | geteilte Planstelle obsolet | @LA@
 |  | geteilte Planstelle abgegrenzt | @LB@
 |  | Planstelle anlegen | @LD@
 |  | abgegrenzte Organisationseinh. | @LF@
 |  | Organisationseinheit anlegen | @LG@
 |  | begrenzte Zuordnung | @LH@
 |  | hinzugefügte Orga-Einheit | @LI@
 |  | Aufgabe anlegen | @LJ@
 |  | abgegrenzte Aufgabe | @LK@
 |  | Aufgabenzuordnung abgegrenzt | @LL@
 |  | Aufgabe neu zuordnen | @LM@
 |  | Stellenzuordnung abgegrenzt | @LN@
 |  | Stelle neu zugeordnet | @LO@
 |  | Stelle anlegen | @LP@
 |  | abgegrenzte Stelle | @LQ@
 |  | Objekt neu zugeordnet | @LR@
 |  | Objekt abgegrenzt | @LS@
Icon | Corbu Icon | Name | ID
 |  | Spoolauftrag | @EQ@
 |  | Ausgabeauftrag anzeigen | @ER@
 |  | Spool-Status anzeigen | @EU@
 |  | Drucken mit Parameterangabe | @EW@
 |  | Applikationsserver mit Spool | @G7@
 |  | realer Applikationsserver | @G8@
 |  | logischer Applikationsserver | @G9@
 |  | Alternativ-Server | @GA@
 |  | Operator | @KP@
 |  | Systemadministrator | @KQ@
 |  | SAP | @KR@
 |  | Öffentlich | @KS@
 |  | Binäres Dokument | @O8@
 |  | Unbekannter Dokumenttyp | @O9@
 |  | Dokument mit OTF-Daten | @OA@
Icon | Corbu Icon | Name | ID
 |  | Projektdefinition | @EC@
 |  | PSP Element | @ED@
 |  | Netzplankopf | @EE@
 |  | Netzplanvorgang | @EF@
 |  | Netzplanvorgangselement | @EG@
 |  | Anordnungsbeziehung | @EH@
 |  | Meilenstein | @HM@
 |  | Projekttext | @HN@
Icon | Corbu Icon | Name | ID
 |  | Fenster halten | @LX@
 |  | Fenster halten aufheben | @LY@
 |  | Anruf annehmen | @NP@
 |  | Zwischen Anrufen wechseln | @NQ@
 |  | Anruf halten | @NR@
 |  | Anruf weiterleiten | @NS@
 |  | Rückfrage | @NT@
 |  | Konferenzschaltung | @NU@
 |  | Anruf direkt verbinden | @NV@
 |  | Gehaltenen Anruf zurücknehmen | @NW@
 |  | Anruf wiederaufnehmen | @NX@
 |  | Anruf indirekt verbinden | @NY@
 |  | Rückruf anlegen | @NZ@
 |  | Rückruf bearbeiten | @O0@
Icon | Corbu Icon | Name | ID
 |  | Sichern | @2L@
 |  | Hilfe | @35@
 |  | Wiederholen | @4R@
 |  | Erweiterte Hilfe | @5E@
 |  | Leer | @5F@
 |  | SAP-Menü | @6A@
 |  | Unternehmensmenü | @6B@
 |  | Benutzermenü | @6C@
 |  | Benutzerfavoriten | @6D@
Icon | Corbu Icon | Name | ID
 |  | Informationsnachricht | @19@
 |  | Warnung | @1A@
 |  | Fehlernachricht | @1B@
 |  | Fragetext | @1C@
 |  | Kritische Nachricht | @1D@
Icon | Corbu Icon | Name | ID
 |  | Form View | @UH@
 |  | List View | @UI@
 |  | Medium View Size | @UJ@
 |  | Maximize View | @UK@
 |  | Expand View Vertical | @UL@
 |  | Expand View Horizontal | @UM@
 |  | Refresh View | @UN@
 |  | Create A View | @UO@
 |  | Close a view | @UP@
 |  | Switch Views | @UQ@
 |  | Disable Debugger Breakpoint | @UR@
Icon | Corbu Icon | Name | ID
 |  | Aufr./Def. einer Schadenakte | @FH@
 |  | Ansicht / Anlage Police-Daten | @JK@
 |  | Ansicht / Definition Zahlung | @JL@
 |  | Ansicht/Definition Katastrophe | @JM@
 |  | Bündelung von Schäden | @JN@
 |  | Persönlichkeitsrechtsverl. | @JO@
 |  | Teilschaden Geistiges Eigentum | @JP@
 |  | Teilschaden Fahrzeug | @JQ@
 |  | Teilschaden Hausrat | @JR@
 |  | Teilschaden Gebäude | @JS@
 |  | Behandlung zu Personenschaden | @JT@
 |  | Personenschaden | @JU@
 |  | Umweltschaden | @JV@
 |  | Vermögensschaden | @JW@
Icon | Corbu Icon | Name | ID
 |  | Baukasten Kopfknoten | @MX@
 |  | Baukasten, Änderungsstand | @MY@
 |  | Alternative am Strukturknoten | @MZ@
 |  | Änderungsstand einer Variante | @N0@
 |  | Stukturknoten mit Varianten | @N1@
 |  | Einstiegsknoten | @N2@
 |  | Aktivitätenplan | @N3@
 |  | Gliederungsknoten | @N4@
 |  | Modus | @N5@
 |  | Alternat. Anordnungsbeziehung | @N6@
 |  | Alternative Zerlegung | @N7@
 |  | Vorgang | @N8@
 |  | Aktivität | @N9@
 |  | Gliederungsaktivität | @NA@
 |  | Puffer | @NB@
 |  | Linienabschnitt | @NC@
 |  | Fertigungslinie | @ND@
 |  | Baukasten Positionsknoten | @NE@
 |  | Baukastenposition | @O5@
 |  | Baukastenkopf | @O6@
 |  | Alt. Zerlegung Aktivitätenplan | @O7@
 |  | Abtaktung | @PH@
 |  | iPPE-Einstiegsobjekt | @PI@
Icon | Corbu Icon | Name | ID
 |  | Weiblich | @RA@
 |  | Männlich | @RB@
 |  | Geschlecht unbekannt | @RC@
 |  | Weiblich | @RD@
 |  | Männlich | @RE@
 |  | Verstorben | @RF@
Icon | Corbu Icon | Name | ID
 |  | Retail Product | @TT@
 |  | Retail Store | @TU@
 |  | Filialen | @WU@
 |  | Mehrere Zentrallager | @WV@


STLport: License Agreement

License Agreement

Boris Fomitchev grants Licensee a non-exclusive, non-transferable, royalty-free license to use STLport and its documentation without fee.

By downloading, using, or copying STLport or any portion thereof, Licensee agrees to abide by the intellectual property laws and all other applicable laws of the United States of America, and to all of the terms and conditions of this Agreement.

Licensee shall maintain the following copyright and permission notices on STLport sources and its documentation unchanged :

Copyright 1999,2000 Boris Fomitchev

This material is provided "as is", with absolutely no warranty expressed or implied. Any use is at your own risk.
Permission to use or copy this software for any purpose is hereby granted without fee, provided the above notices are retained on all copies. Permission to modify the code and to distribute modified code is granted, provided the above notices are retained, and a notice that the code was modified is included with the above copyright notice.

The Licensee may distribute binaries compiled with STLport (whether original or modified) without any royalties or restrictions.

The Licensee may distribute original or modified STLport sources, provided that:

  • The conditions indicated in the above permission notice are met;
  • The following copyright notices are retained when present, and conditions provided in accompanying permission notices are met :

Copyright 1994 Hewlett-Packard Company

Copyright 1996,97 Silicon Graphics Computer Systems, Inc.

Copyright 1997 Moscow Center for SPARC Technology.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Hewlett-Packard Company makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Silicon Graphics makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Moscow Center for SPARC Technology makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.